2019-12-23 18:49 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (242470e6f3d6 [tip])

	* CMakeLists.txt, configure, configure.ac:
	[ski ci] Update version number for release. Bootstrap.

2019-12-23 00:51 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (0b252bb8e13a)

	* Makefile.am, Makefile.in, include/Makefile.am, include/Makefile.in,
	src/geo/Makefile.am, src/geo/Makefile.in, src/misc/Makefile.am,
	src/misc/Makefile.in, src/rendering/Makefile.am,
	src/rendering/Makefile.in, src/scxml/Makefile.am,
	src/scxml/Makefile.in:
	[skip ci] Updated Makefiles for moved sources.

2019-12-22 22:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (6c222df6e26b)

	* docs/ChangeLog.v3.1.2: new file.
	* INSTALL, README, README.MACOSX, README.WIN32, RELNOTES,
	docs/ChangeLog.v3.1.2, src/navigation/SoScXMLDollyTarget.cpp,
	src/navigation/SoScXMLNavigationTarget.cpp,
	src/navigation/SoScXMLZoomTarget.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoWWWAnchor.cpp,
	src/rendering/SoGLImage.cpp, src/scxml/ScXMLElt.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoVertexShape.cpp:
	[skip ci] documentation fixes.

2019-12-08 21:03 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (40ba7e1f53af)

	* NEWS:
	[skip ci] added Coin 4.0.0 information to NEWS file

2019-12-08 20:28 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (f371e4498edd)

	* docs/releases.dox:
	[skip ci] updated releases.dox for version 4.0.0

2019-12-08 20:25 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e9d725e0c243)

	* RELNOTES:
	[skip ci] Added release information for version 4.0.0 to RELNOTES

2019-12-04 21:22 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (66d5725bd529)

	* models/tessellation/PointOnEdge.iv,
	models/tessellation/RenderIsMissingTriangles.iv,
	models/tessellation/StripAroundHole.iv: new file.
	* Merged in VolkerEnderlein/coin/TesselationIssues (pull request #177)

	Fixed tesselation issues.

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org>

2019-12-04 20:37 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (d15e1ce96b5f)

	* Merged in efferre79/coin (pull request #164)

	reduce search paths to only supported spidermonkey versions

2019-03-25 14:20 +0000  Fabio Rossi  <rossi.f@inwind.it>  (e83e7c3504bc)

	* cmake/FindSpiderMonkey.cmake:
	spidermonkey 1.8.5 is not supported due to a change of upstream API

2019-03-25 10:02 +0100  Fabio Rossi  <rossi.f@inwind.it>  (a3ccfafedc01)

	* .circleci/config.yml: new file.
	* Merged Coin3D/coin into default

2019-03-20 19:04 +0000  Fabio Rossi  <rossi.f@inwind.it>  (960d8312a342)

	* cmake/FindSpiderMonkey.cmake:
	improved version detection when not embedded in the include path

2019-03-20 19:03 +0000  Fabio Rossi  <rossi.f@inwind.it>  (f5d7854824c5)

	* cmake/FindSpiderMonkey.cmake:
	added all include paths known for spidermonkey 1.7.0 and 1.8.5

2019-03-14 16:01 +0000  Fabio Rossi  <rossi.f@inwind.it>  (6f9ab3d67b41)

	* cmake/FindSpiderMonkey.cmake:
	reduce search paths to only supported spidermonkey versions

2019-12-04 20:33 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (7946f2819f35)

	* src/CMakeLists.txt:
	Added installation of coin-config script

2019-11-09 14:39 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (a4ce638f43bd)

	* .hgsubstate:
	Updated to last cpack.d for centOS and RHEL support

2019-11-06 12:31 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (d4cdd0af8859)

	* Merged in mdenk/coin/Michael-Denk/tidbits-fix-binary-file-reading-
	for-doub-1572937609304 (pull request #178)

	tidbits: fix binary file reading for doubles

2019-11-06 11:36 +0100  Michael Denk  <m.denk@blackbird-robotics.de>  (7aba72972d34 <Michael-Denk/tidbits-fix-binary-file-reading-for-doub-1572937609304>)

	* src/tidbits.cpp:
	tidbits.cpp: fix broken encoding

2019-11-05 07:06 +0000  Michael Denk  <m.denk@blackbird-robotics.de>  (33b7d2ef4be2 <Michael-Denk/tidbits-fix-binary-file-reading-for-doub-1572937609304>)

	* src/tidbits.cpp:
	tidbits: fix binary file reading for doubles

2019-10-13 11:42 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (75d20cc15bc0)

	* .hgsubstate:
	Aligned with last cpack.d commit

2019-09-16 07:04 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ab8d0e47a4de)

	* CMakeLists.txt, cmake/CoinCMakeUtilities.cmake:
	cpack.d report setup

2019-09-15 23:13 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (5b799255fd2c)

	* .hgsubstate:
	cpack.d update

2019-12-04 21:22 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (4f6784757307 <TesselationIssues>)

	* Close branch TesselationIssues

2019-10-27 23:12 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8fe06970f936 <TesselationIssues>)

	* src/base/SbTesselator.cpp:
	Fixed inadvertently changed line endings to Unix LF.

2019-10-27 23:05 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (b16d66702eab <TesselationIssues>)

	* src/base/SbTesselator.cpp:
	Fixed another issue in Delaunay triangulation.

2019-10-27 23:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c7a46feec677 <TesselationIssues>)

	* include/Inventor/C/base/heap.h, src/base/heap.cpp:
	Added update and print methods to cc_heap. Restructuring and test
	cases added.

2019-09-22 22:19 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (cc2f2622c41e <TesselationIssues>)

	* src/base/SbTesselator.cpp:
	Fixed another issue with tesselation algorithm.

2019-08-12 22:54 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (2a67162b7697 <TesselationIssues>)

	* models/tessellation/PointOnEdge.iv,
	models/tessellation/RenderIsMissingTriangles.iv,
	models/tessellation/StripAroundHole.iv: new file.
	* models/tessellation/PointOnEdge.iv,
	models/tessellation/RenderIsMissingTriangles.iv,
	models/tessellation/StripAroundHole.iv:
	Added test files for tessellation.

2019-08-12 22:45 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (13337cc22a33 <TesselationIssues>)

	* src/base/SbTesselator.cpp:
	Compare against square epsilon in function pointOnEdge as suggested.
	Cleanup.

2019-08-11 17:10 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b211476013e5 <TesselationIssues>)

	* src/base/SbTesselator.cpp:
	Fixed errors in Coin tessellator leading to missing triangles. Issue
	#177 and no. 213 from Coin/docs/BUGS.txt.

2019-07-13 21:32 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (5b520d2362af)

	* Merged in VolkerEnderlein/coin/pvs_analysis_part_2 (pull request
	#176)

	Fixed warnings and errors according to PVS static code analysis.

2019-07-13 21:32 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (7264fba2bbf3 <pvs_analysis_part_2>)

	* Close branch pvs_analysis_part_2

2019-07-13 23:14 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (c784d3ea4f07 <pvs_analysis_part_2>)

	* include/Inventor/SbByteBufferP.icc, src/3ds/SoStream.cpp,
	src/actions/SoToVRML2Action.cpp, src/base/SbDPPlane.cpp,
	src/base/SbImage.cpp, src/base/SbName.cpp, src/base/rbptree.cpp,
	src/base/string.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/draggers/SoTransformerDragger.cpp, src/errors/SoDebugError.cpp,
	src/fields/SoField.cpp, src/fields/SoSFImage.cpp,
	src/fonts/freetype.cpp, src/fonts/glyph3d.cpp, src/glue/gl.cpp,
	src/io/SoInput.cpp, src/io/SoOutput.cpp, src/misc/SoAudioDevice.cpp,
	src/misc/SoContextHandler.cpp, src/misc/SoPick.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoSceneTexture2.cpp,
	src/nodes/SoSceneTextureCubeMap.cpp, src/nodes/SoVertexProperty.cpp,
	src/profiler/SoProfilerTopEngine.cpp, src/rendering/SoGLImage.cpp,
	src/rendering/SoGLNurbs.cpp, src/rendering/SoOffscreenRenderer.cpp,
	src/rendering/SoRenderManager.cpp,
	src/rendering/SoRenderManagerP.cpp, src/scxml/ScXMLEvaluator.cpp,
	src/scxml/ScXMLEventTarget.cpp, src/scxml/ScXMLIfElt.cpp,
	src/scxml/ScXMLMinimumEvaluator.cpp,
	src/scxml/ScXMLStateMachine.cpp, src/sensors/SoDataSensor.cpp,
	src/shaders/SoShaderObject.cpp, src/shaders/SoShaderParameter.cpp,
	src/shadows/SoShadowGroup.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedPointSet.cpp,
	src/soscxml/ScXMLCoinEvaluator.cpp, src/soscxml/SoScXMLEvent.cpp,
	src/threads/mutex_win32cs.icc, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLineSet.cpp, src/vrml97/Script.cpp,
	src/vrml97/Sound.cpp, src/xml/attribute.cpp, src/xml/document.cpp,
	src/xml/element.cpp, testsuite/TestSuiteUtils.cpp:
	Fixed warnings and errors according to PVS static code analysis.
	Fixed style issue: delete handles null pointers correctly, no need
	to check for it in the code.

2019-07-06 12:02 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e5bf84ae882a)

	* docs/doxygen/header.html:
	Fixed wrong usage of Coin_logo.png

2019-07-05 22:26 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (1f3f8737eb9b)

	* src/doc/Coin_modules.dox, src/misc/SoProto.cpp,
	src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/CoordinateInterpolator.cpp, src/vrml97/Cylinder.cpp,
	src/vrml97/CylinderSensor.cpp, src/vrml97/DirectionalLight.cpp,
	src/vrml97/DragSensor.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/Extrusion.cpp, src/vrml97/Fog.cpp,
	src/vrml97/FontStyle.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLineSet.cpp, src/vrml97/Inline.cpp,
	src/vrml97/Interpolator.cpp, src/vrml97/LOD.cpp,
	src/vrml97/Material.cpp, src/vrml97/MovieTexture.cpp,
	src/vrml97/NavigationInfo.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/PlaneSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ScalarInterpolator.cpp, src/vrml97/Script.cpp,
	src/vrml97/Shape.cpp, src/vrml97/Sound.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/Switch.cpp, src/vrml97/Text.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/TouchSensor.cpp,
	src/vrml97/Transform.cpp, src/vrml97/Viewpoint.cpp:
	[skip ci] Fixed broken links to VRML97 specification in
	documentation.

2019-07-05 17:39 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c6cc65ed3c66)

	* THANKS:
	[skip ci] Added further contributors to THANKS file.

2019-07-04 00:12 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b9ec3844295f)

	* THANKS:
	Added contributors to THANKS file.

2019-07-02 22:32 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (6cb778e70aff)

	* appveyor_oldcomp.yml:
	Fixed wrong artifacts name.

2019-07-02 20:43 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (eb75f1788d4b)

	* appveyor_oldcomp.yml:
	Skip commits on other AppVeyor script file.

2019-07-02 20:42 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (3a7415235761)

	* appveyor_newcomp.yml:
	Skip build on commits to second AppVeyor script file.

2019-07-02 20:03 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (207ee58fd19b)

	* appveyor_newcomp.yml: new file.
	* appveyor.yml: deleted file.
	* appveyor.yml, appveyor_newcomp.yml:
	Renamed appveyor.yml

2019-07-02 19:58 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (55889cd4ed4d)

	* appveyor.yml:
	Fixed wrong download address.

2019-07-02 18:54 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e37830b97658)

	* appveyor_oldcomp.yml:
	Fixed wrong download address.

2019-07-02 18:42 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (9f9eed37579b)

	* appveyor_oldcomp.yml:
	Fixed AppVeyor script errors.

2019-07-02 18:39 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (b5e298b67e36)

	* appveyor.yml:
	Fixed AppVeyor script errors.

2019-07-01 21:39 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (eb4e55cba0d8)

	* appveyor_oldcomp.yml: new file.
	* Merged in VolkerEnderlein/coin/splitappveyorproject (pull request
	#172)

	Splitappveyorproject

2019-06-29 21:17 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (291ca1cb599f)

	* scripts/documentHeader.pl:
	Fixed wrong perl interpreter path in another script.

2019-07-01 21:39 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (7d96e4d17bb6 <splitappveyorproject>)

	* Close branch splitappveyorproject

2019-07-01 23:27 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7bbd74e7aa10 <splitappveyorproject>)

	* appveyor_oldcomp.yml: new file.
	* appveyor_oldcomp.yml:
	Created separate AppVeyor project for older compilers.

2019-07-01 21:22 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (db9d058480c8)

	* appveyor.yml:
	Configuration is not part of name anymore.

2019-07-01 21:20 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (02727d8833e0)

	* appveyor.yml:
	Split AppVeyor project into older and current compilers.

2019-06-27 21:54 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e0c34aa91fe4)

	* Merged in VolkerEnderlein/coin/debianpatch (pull request #171)

	Debianpatch

2019-06-24 22:40 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (b001799a2c74)

	* Merged in ggabbiani/coin-fork/fix-datadir (pull request #170)

	Updated cpack.d and fixed datadir in case of multi-versioned build.

2019-06-24 22:40 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (2235015137b7 <fix-datadir>)

	* Close branch fix-datadir

2019-06-25 00:36 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (4acd70fdc768 <fix-datadir>)

	* .hgsubstate, CMakeLists.txt, src/CMakeLists.txt:
	Updated cpack.d and fixed datadir in case of multi-versioned build.

2019-06-27 21:54 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e0a25277c360 <debianpatch>)

	* Close branch debianpatch

2019-06-27 23:51 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (314490869c62 <debianpatch>)

	* data/scxml/xml2cpp.pl:
	Applied patch from Debian maintainer Leopold Palomo-Avellaneda: 0004
	-Wrong-path-for-interpreter.patch. Thanks for spotting this.

2019-06-20 21:24 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e82a8ed16b99)

	* appveyor.yml:
	Removed superfluous parameters from AppVeyor build matrix.

2019-06-19 22:55 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e38b8fee48ac)

	* Merged Coin3D/coin into default

2019-06-18 01:25 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (bd4a9ad02af2)

	* docs/coin.doxygen.cmake.in:
	Fixed QtHelp namespace and virtual folder to work.

2019-06-17 23:17 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (79418f1e74eb)

	* .hgsubstate:
	synchronized cpack.d subrepo

2019-06-18 18:05 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (9683b71a2e12)

	* appveyor.yml:
	Removed VS2019 from AppVeyor script because of missing
	prerequisites.

2019-06-17 17:59 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (b3d47a20c8d2)

	* appveyor.yml:
	Used correct AppVeyor image.

2019-06-17 17:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (1f7747318c99)

	* appveyor.yml:
	Fixed extract location of downloaded CMake archive.

2019-06-16 20:27 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (14fdad7c75ea)

	* appveyor.yml:
	Added Visual Studio 16 2019 build instructions to AppVeyor.

2019-06-16 07:02 -0700  Volker Enderlein  <volkerenderlein@hotmail.com>  (3ed89cffe5bb)

	* testsuite/CMakeLists.txt:
	Coin testsuite on macOS for X11 needs some X11 include directories
	for GL headers.

2019-06-12 20:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (8d860d7ba112)

	* CMakeLists.txt:
	Merged in VolkerEnderlein/coin/issue175 (pull request #168)

	Fixed library and include lists variables converted to strings in
	CMake.

2019-06-12 20:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (179d40165f78)

	* CMakeLists.txt:
	Inverted default values for options COIN_BUILD_DOCUMENTATION and
	COIN_BUILD_MAC_FRAMEWORK for better out of the box build experience.

2019-06-12 20:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (2c7fba3d16a8 <issue175>)

	* Close branch issue175

2019-05-19 17:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (5608ff1a353a)

	* Merged in VolkerEnderlein/coin/tovrml2action (pull request #166)

	Fixed incorrect handling of NurbsCurves and IndexedNurbsCurves in
	SoToVRML2Action.

2019-05-19 17:31 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e03ca8be48d0)

	* Merged in roboticslibrary/coin/patch-find-dependency (pull request
	#167)

	Add find_dependency for libraries in static build

	Approved-by: Volker Enderlein <volkerenderlein@hotmail.com>

2019-05-05 22:12 +0200  Markus Rickert  <rickert@fortiss.org>  (58f8832d561f <patch-find-dependency>)

	* src/coin-config.cmake.in:
	Add find_dependency for libraries in static build

2019-05-19 20:15 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (99d4d98ed546 <issue175>)

	* CMakeLists.txt:
	Explicitly check for OPENGL_glx_LIBRARY being valid.

2019-05-19 17:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (56a824075ca6 <tovrml2action>)

	* Close branch tovrml2action

2019-05-18 23:19 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (9812e9199c3d <issue175>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Fixed library and include lists variables converted to strings in
	CMake.

2019-04-24 22:50 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4f524842fffe <tovrml2action>)

	* src/actions/SoToVRML2Action.cpp,
	src/shapenodes/soshape_primdata.cpp:
	Fixed incorrect handling of NurbsCurves and IndexedNurbsCurves in
	SoToVRML2Action.

2019-03-23 21:10 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (30674a94a67f)

	* .circleci/config.yml: new file.
	* Merged in VolkerEnderlein/coin/spidermonkey (pull request #165)

	Spidermonkey

2019-03-23 21:10 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (9fdb6f900bf8 <spidermonkey>)

	* Close branch spidermonkey

2019-03-23 22:06 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (0895b49a47ad <spidermonkey>)

	* src/setup.h.cmake.in, src/setup.h.in, src/vrml97/Script.cpp:
	Fixed typos.

2019-03-23 22:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8fbec0cca7ce <spidermonkey>)

	* src/glue/spidermonkey.cpp:
	Fixed inadvertently changed include order to re-enable static and
	dynamic linktime linking of spidermonkey.

2019-03-08 19:00 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (07e44893e008)

	* packaging/macosx/DMGBackground.tiff, packaging/macosx/Welcome.rtf:
	new file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff: deleted file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff:
	Merged Coin3D/coin into default

2019-03-08 18:00 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (8ee3efcd2f9a)

	* packaging/macosx/DMGBackground.tiff, packaging/macosx/Welcome.rtf:
	new file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff: deleted file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff,
	src/CMakeLists.txt:
	Merged in VolkerEnderlein/coin/osxframework_x11 (pull request #161)

	Preparations for X11/MacOS version of Coin

2019-03-08 18:00 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (3b33de753dd7 <osxframework_x11>)

	* Close branch osxframework_x11

2019-03-08 09:57 -0800  Volker Enderlein  <volkerenderlein@hotmail.com>  (9004dfc4efc1 <osxframework_x11>)

	* CMakeLists.txt:
	CGLPBuffer check fixed.

2019-03-06 18:59 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (7d06727da67e)

	* Merged Coin3D/coin into default

2019-03-06 11:13 +0100  Florian Franzen  <Florian.Franzen@gmail.com>  (88065d49f47c)

	* src/CMakeLists.txt:
	Let CMake handle prefix of include path

2019-02-23 13:47 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (a143cf3acca9)

	* Merged in circleci (pull request #4)

	Fixed syntax error on circleci config file.

2019-02-23 14:44 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (20753153e0da <circleci>)

	* .circleci/config.yml:
	Fixed syntax error on circleci config file.

2019-02-23 13:43 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (a4e0fd4d09eb)

	* .circleci/config.yml: new file.
	* Merged in circleci (pull request #3)

	Added circleci config file.

2019-02-23 14:41 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (addf2485074c <circleci>)

	* .circleci/config.yml: new file.
	* .circleci/config.yml:
	Added circleci config file.

2019-02-22 22:32 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (40877d4b8b67)

	* Merged in VolkerEnderlein/coin/issue149 (pull request #162)

	Removed non ASCII characters at end of line causing problems with
	Chinese simplified and Visual Studio 2017

2019-02-22 22:32 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (b218b523997c <issue149>)

	* Close branch issue149

2019-02-22 23:29 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c0eaf933996b <issue149>)

	* src/projectors/SbSphereSheetProjector.cpp:
	Removed non ASCII characters at end of line causing problems with
	Chinese simplified and Visual Studio 2017

2019-02-21 22:10 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (1fe8b66f2e3d)

	* Merged in circleci (pull request #2)

	Testing circleci for macOS.

2019-02-21 22:52 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (fdcf3bf6078c <circleci>)

	* Testing circleci for macOS.

2019-02-19 19:43 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (ad4c06d6b274 <osxframework_x11>)

	* .hgsubstate:
	Update cpack.d

2019-02-17 23:38 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (1ddf547e8922 <osxframework_x11>)

	* packaging/macosx/DMGBackground.tiff, packaging/macosx/Welcome.rtf:
	new file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff: deleted file.
	* CMakeLists.txt, packaging/macosx/DMGBackground.tiff,
	packaging/macosx/Welcome.rtf, packaging/macosx/noinst-dmg-
	files/DMGBackground.tiff:
	Generalisation of packaging for MacOS.

2019-02-17 18:40 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (892dcdd62f8c <osxframework_x11>)

	* CMakeLists.txt:
	Fixed mixed up GLX test.

2019-02-17 00:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (a1ae0b9feae7 <osxframework_x11>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Added X11 version of MacOS framework.

2019-02-16 23:40 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (4fc90666a5e5)

	* include/Inventor/system/gl-headers.h.cmake.in:
	Restore generation of include commands in OS dependent gl-headers.h

2019-02-13 22:13 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (dc32381dc913)

	* src/CMakeLists.txt:
	Fixed wrongly generated package config file for MacOS frameworks.

2019-02-13 21:09 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (b58c34767ae9)

	* src/io/SoInput.cpp:
	Merged in VolkerEnderlein/coin/macwarnings1 (pull request #157)

	Numerous fixes to problems that have been identified with static
	code analysis.

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl>

2019-02-13 21:09 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (6d5e2f7a30e8 <macwarnings1>)

	* Close branch macwarnings1

2019-02-12 13:23 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (9a88807108e2)

	* Merged.

2019-02-12 13:20 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (ce8749ddc8bb)

	* appveyor.yml:
	Added Boost path to AppVeyor script.

2019-02-12 12:10 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (fb7d76177594)

	* CMakeLists.txt:
	Merged in VolkerEnderlein/coin/staticruntime (pull request #155)

	Support MSVC compilation with static runtime library.

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl>

2019-02-12 12:09 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (df75392b2615)

	* include/boost.README: deleted file.
	* include/Inventor/nodes/Makefile.in, include/boost.README:
	Merged in VolkerEnderlein/coin/issue71 (pull request #153)

	Using the system/user provided Boost installation

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org> Approved-
	by: Bastiaan Veelo <bastiaan@sarc.nl>

2019-02-12 11:38 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (4184dca2b580)

	* Merged in VolkerEnderlein/coin/gcc82warnings (pull request #154)

	Fixed warnings when using configure build path with gcc 8.2.0 under
	Ubuntu 18.04

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org> Approved-
	by: Bastiaan Veelo <bastiaan@sarc.nl>

2019-02-11 23:05 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (53060330c9fe)

	* Merged in VolkerEnderlein/coin/installmissingheader (pull request
	#156)

	Install missing header.

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org>

2019-02-12 12:10 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (4f3d6ab703c3 <staticruntime>)

	* Close branch staticruntime

2019-02-12 12:09 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (7a4348daf7e9 <issue71>)

	* Close branch issue71

2019-02-12 11:38 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c94a7f184032 <gcc82warnings>)

	* Close branch gcc82warnings

2019-02-11 23:05 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (76c37917d6a5 <installmissingheader>)

	* Close branch installmissingheader

2019-02-11 23:26 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8cd229b84d57 <macwarnings1>)

	* src/base/SbTesselator.cpp:
	Too many parentheses used on expression.

2019-02-11 23:19 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (266d8821cb1f <macwarnings1>)

	* src/base/SbBox2d.cpp:
	Fixed incorrect assignment.

2019-02-11 23:11 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (9147b646b1a6 <macwarnings1>)

	* src/actions/SoGLRenderAction.cpp:
	Determination of bbox center aligned with other occurences.

2019-02-11 22:36 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (4f72dd4e73a0 <macwarnings1>)

	* src/glue/normalization_cubemap.cpp:
	Simplify multiple levels of unneeded parentheses.

2019-02-11 22:34 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d4fd939642fc <macwarnings1>)

	* src/io/SoInput.cpp:
	Conditional expression is always true in elseif clause.

2019-02-11 22:27 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (074b62a75e2b <macwarnings1>)

	* src/engines/SoComposeVec4f.cpp:
	Wrong index used in assingment.

2019-02-11 22:26 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (ac42061f71fe <macwarnings1>)

	* src/shaders/SoShaderParameter.cpp:
	Wrong index used in assignment.

2019-02-11 15:25 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8ff8f58c61cc <macwarnings1>)

	* src/glue/GLUWrapper.cpp:
	Improved const correctness to silence warning.

2019-02-11 15:24 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (3c813a658b12 <macwarnings1>)

	* src/shaders/SoGLCgShaderParameter.cpp:
	Removed extraneous parentheses to silence warning.

2019-02-11 13:52 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (3b68ebd65ddb <installmissingheader>)

	* include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/Makefile.in:
	Install missing header.

2019-02-11 13:44 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (55a8a9eb37c6 <staticruntime>)

	* cmake/CoinCMakeUtilities.cmake:
	Fixed typo.

2019-02-11 12:54 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c955958cc330 <staticruntime>)

	* CMakeLists.txt, cmake/CoinCMakeUtilities.cmake:
	Support MSVC compilation with static runtime library.

2019-02-11 12:07 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (bee0a0806652 <issue71>)

	* CMakeLists.txt:
	Fixed typo.

2019-02-11 11:29 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8d116bb5fe62 <issue71>)

	* configure, configure.ac:
	Boost header only version does not add to CPP_LDFLAGS in configure
	build.

2019-02-11 11:28 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (bd33015791dc <issue71>)

	* CMakeLists.txt:
	Boost inclusion for CMake < 3.5 added.

2019-02-09 15:24 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (fa99060a393b <gcc82warnings>)

	* src/nodes/SoTexture3.cpp:
	Fixed typo.

2019-02-09 15:16 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d649703bf27d <gcc82warnings>)

	* src/shapenodes/SoText2.cpp:
	Initialisation order adapted to definition order.

2019-02-09 15:15 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (36b3d6ddb2cf <gcc82warnings>)

	* src/shapenodes/SoFaceSet.cpp:
	Explicit grouping of OR'ed expressions.

2019-02-09 15:10 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (aa6d0022d4f0 <gcc82warnings>)

	* src/geo/SbGeoAngle.cpp:
	Explicit grouping of expression with parentheses.

2019-02-09 15:06 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (7ec9e80039e4 <gcc82warnings>)

	* src/vrml97/Parent.cpp:
	Fixed incorrect datatype.

2019-02-09 15:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (1d1a36d90c48 <gcc82warnings>)

	* src/vrml97/Sound.cpp:
	Fixed wrongly set parentheses.

2019-02-09 14:59 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (e1528225ff8d <gcc82warnings>)

	* src/nodes/SoTexture3.cpp:
	Fixed invalid access. Fixed missing parentheses.

2019-02-09 14:50 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (152bebb9b237 <gcc82warnings>)

	* src/nodes/SoExtSelection.cpp:
	Intended fallthrough marked explicitly.

2019-02-09 14:48 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (b587ee3d2efa <gcc82warnings>)

	* src/io/SoInput.cpp:
	Not intended fallthrough fixed.

2019-02-09 14:45 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (4dd81f99b71e <gcc82warnings>)

	* src/base/SbTime.cpp:
	Misleading indentation fixed.

2019-02-09 14:44 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (1f3219dee9c3 <gcc82warnings>)

	* src/actions/SoToVRML2Action.cpp:
	Initialisation order adapted to definition order.

2019-02-08 19:15 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (44785a4d5ab0 <issue71>)

	* include/boost.README: deleted file.
	* .hgsub, .hgsubstate, CMakeLists.txt, Makefile.in, aclocal.m4,
	bin/Makefile.in, cfg/gendsp.pl.in, configure, configure.ac,
	data/Makefile.in, data/draggerDefaults/Makefile.in,
	data/scxml/Makefile.in, data/scxml/navigation/Makefile.in,
	data/shaders/Makefile.in, data/shaders/lights/Makefile.in,
	data/shaders/vsm/Makefile.in, html/Makefile.in,
	include/Inventor/C/Makefile.in, include/Inventor/C/XML/Makefile.in,
	include/Inventor/C/base/Makefile.in,
	include/Inventor/C/errors/Makefile.in,
	include/Inventor/C/glue/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/annex/FXViz/Makefile.in,
	include/Inventor/annex/FXViz/elements/Makefile.in,
	include/Inventor/annex/FXViz/nodes/Makefile.in,
	include/Inventor/annex/ForeignFiles/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in,
	include/Inventor/annex/Makefile.in,
	include/Inventor/annex/Profiler/Makefile.in,
	include/Inventor/annex/Profiler/elements/Makefile.in,
	include/Inventor/annex/Profiler/engines/Makefile.in,
	include/Inventor/annex/Profiler/nodekits/Makefile.in,
	include/Inventor/annex/Profiler/nodes/Makefile.in,
	include/Inventor/annex/Profiler/utils/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/caches/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/details/Makefile.in,
	include/Inventor/draggers/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/engines/Makefile.in,
	include/Inventor/errors/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in,
	include/Inventor/lists/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/manips/Makefile.in,
	include/Inventor/misc/Makefile.in,
	include/Inventor/navigation/Makefile.in,
	include/Inventor/nodekits/Makefile.in,
	include/Inventor/nodes/Makefile.in,
	include/Inventor/projectors/Makefile.in,
	include/Inventor/scxml/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/system/Makefile.in,
	include/Inventor/threads/Makefile.in,
	include/Inventor/tools/Makefile.in, include/Makefile.in,
	include/boost.README, man/Makefile.in, man/man1/Makefile.in,
	man/man3/Makefile.in, src/3ds/Makefile.in, src/Makefile.in,
	src/actions/Makefile.in, src/base/Makefile.in,
	src/bundles/Makefile.in, src/caches/Makefile.in,
	src/collision/Makefile.in, src/details/Makefile.in,
	src/discard.h.in, src/doc/Makefile.in, src/draggers/Makefile.in,
	src/elements/GL/Makefile.in, src/elements/Makefile.in,
	src/engines/Makefile.in, src/errors/Makefile.in,
	src/events/Makefile.in, src/extensions/Makefile.in,
	src/fields/Makefile.in, src/fonts/Makefile.in,
	src/foreignfiles/Makefile.in, src/geo/Makefile.in,
	src/glue/Makefile.in, src/hardcopy/Makefile.in, src/io/Makefile.in,
	src/lists/Makefile.in, src/manips/Makefile.in, src/misc/Makefile.in,
	src/navigation/Makefile.in, src/nodekits/Makefile.in,
	src/nodes/Makefile.in, src/profiler/Makefile.in,
	src/projectors/Makefile.in, src/rendering/Makefile.in,
	src/scxml/Makefile.in, src/sensors/Makefile.in,
	src/shaders/Makefile.in, src/shadows/Makefile.in,
	src/shapenodes/Makefile.in, src/soscxml/Makefile.in,
	src/threads/Makefile.in, src/upgraders/Makefile.in,
	src/vrml97/Makefile.in, src/xml/Makefile.in,
	src/xml/expat/Makefile.in:
	Removed local Boost includes. Added Boost finding to CMake script.
	Added configure option --with-boost. Bootstrapped repo.

2019-02-05 22:31 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (cbbeac5f7984)

	* Merged in ggabbiani/coin-fork (pull request #152)

	updated cpack.d sub repo state

2019-02-05 23:24 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ec23d22809df)

	* .hgsubstate:
	updated cpack.d sub repo state

2019-02-05 23:25 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (cc4f652af756)

	* src/CMakeLists.txt:
	Fixed inadvertently mixed up header installation.

2019-02-05 13:55 +0100  Mario Koerner  <mario.koerner@gmx.de>  (d52ebf6de62a)

	* .hgsub:
	Defined link to cpack.d repository as relative path, to support
	working without internet connection.

2019-02-03 23:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (9383a01a8936)

	* Merged in VolkerEnderlein/coin/xmldir2 (pull request #149)

	Removed remainders of XML directory in configure files

2019-02-03 23:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (eea9e9551fc8 <xmldir2>)

	* Close branch xmldir2

2019-02-04 00:42 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (6b2a32bfefdb <xmldir2>)

	* configure, configure.ac, src/Makefile.am, src/Makefile.in:
	Removed remainders of XML directory in configure files

2019-02-03 22:40 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (415b8040c73c)

	* Merged in VolkerEnderlein/coin/privateheaders (pull request #148)

	Marked hpp files as private headers.

2019-02-03 22:40 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (38a0598d492b <privateheaders>)

	* Close branch privateheaders

2019-02-03 23:36 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c97645754d6f <privateheaders>)

	* include/Inventor/tools/Makefile.am,
	include/Inventor/tools/Makefile.in:
	Marked hpp files as private headers. see issue #169

2019-02-03 22:03 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (3d3a5abab50b)

	* src/CMakeLists.txt:
	Merged in VolkerEnderlein/coin/frameworks2 (pull request #147)

	Use relative installation path for config package files.

2019-02-03 22:03 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (5276ddcbdd1c <frameworks2>)

	* Close branch frameworks2

2019-02-03 22:45 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (703589c446c1 <frameworks2>)

	* src/CMakeLists.txt:
	Use relative installation path for config package files.

2019-02-02 23:53 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (3ce4766d7113)

	* include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in:
	deleted file.
	* include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in:
	Merged Coin3D/coin into default

2019-02-02 19:59 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (a1fd44efaa71)

	* include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in:
	deleted file.
	* include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in:
	Merged in VolkerEnderlein/coin/emptyXMLdir (pull request #145)

	Removed empty XML include dir.

2019-02-02 23:52 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (3b9cdcf1da98)

	* src/coin-config.cmake.in:
	Fixed wrong access to CMake variable in config package.

2019-02-02 19:59 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (8194164063bd <emptyXMLdir>)

	* Close branch emptyXMLdir

2019-02-02 20:53 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d03586523007 <emptyXMLdir>)

	* include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in:
	deleted file.
	* include/Inventor/Makefile.am, include/Inventor/Makefile.in,
	include/Inventor/XML/Makefile.am, include/Inventor/XML/Makefile.in,
	src/CMakeLists.txt:
	Removed empty XML include dir.

2019-02-02 19:27 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (ca442f1ae7bc)

	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff: new file.
	* Merged in VolkerEnderlein/coin/frameworks (pull request #143)

	Building Frameworks on Mac OS X

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org>

2019-02-02 19:26 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (d8c3cd29205a)

	* include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt: deleted file.
	* include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt:
	Merged in VolkerEnderlein/coin/sourcegroups (pull request #142)

	Adding source groups for IDE project structuring, bundling header
	processing and installation commands in CMake scripts.

	Approved-by: Giampiero Gabbiani <giampiero@gabbiani.org>

2019-02-02 19:27 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (4e8049d08f14 <frameworks>)

	* Close branch frameworks

2019-02-02 19:26 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c6b728d81002 <sourcegroups>)

	* Close branch sourcegroups

2019-02-02 19:31 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (7ff41f77de0a <frameworks>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Fixed framework installation path for packaging.

2019-02-02 19:27 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (fb752729b1ca <frameworks>)

	* src/coin-config.cmake.in:
	Exclude most library naming related stuff in package config file
	when building framework.

2019-02-02 19:22 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d1c26579e903 <frameworks>)

	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff: new file.
	* packaging/macosx/noinst-dmg-files/DMGBackground.tiff:
	Added new background image for noinst DMG files.

2019-01-04 17:26 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (b27a607fcdf6 <frameworks>)

	* src/CMakeLists.txt, src/coin-config.cmake.in:
	Rather set OUTPUT_NAME property for frameworks than fiddling with
	PROJECT_NAME variable.

2018-12-22 19:01 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (6c7a6ce6eed6)

	* Merged in VolkerEnderlein/coin (pull request #144)

	Create source package from ci.

2018-12-14 19:25 +0100  Fabio Rossi  <rossi.f@inwind.it>  (acee8063042f)

	* Coin.pc.cmake.in:
	better to use CMAKE_INSTALL_FULL_* variables, there is no assumption
	CMAKE_INSTALL_* are relative path

2018-12-14 15:41 +0100  Fabio Rossi  <rossi.f@inwind.it>  (6df3b895aba5)

	* Coin.pc.cmake.in:
	and finally datadir as it can be different from datarootdir

2018-12-14 15:34 +0100  Fabio Rossi  <rossi.f@inwind.it>  (24ea788c3787)

	* Coin.pc.cmake.in:
	fix previous commit to have absolute paths

2018-12-14 11:08 +0100  Fabio Rossi  <rossi.f@inwind.it>  (1e087acfc64f)

	* Coin.pc.cmake.in:
	completed substitution with all the other vars

2018-12-13 10:32 +0100  Fabio Rossi  <rossi.f@inwind.it>  (60b8d21ba971)

	* Coin.pc.cmake.in:
	align pkgconfig data with real info from cmake

2018-12-22 19:58 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d910e7539b97)

	* appveyor.yml:
	Create source package from ci.

2018-12-15 00:49 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (2bef6ba2602e <frameworks>)

	* CMakeLists.txt, Info.plist.in, configure, configure.ac,
	src/CMakeLists.txt, src/doc/CMakeLists.txt, version.plist.in:
	Added Framework building for Mac OS X.

2018-12-15 00:48 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (a252f111376f <frameworks>)

	* docs/coin.doxygen.cmake.in:
	Condensing Doxyfile.

2018-12-15 00:42 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (28e97c14dc59 <sourcegroups>)

	* CMakeLists.txt:
	Wrong order of processing for data directory.

2018-12-15 00:05 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (6f3bd9c69e4f <sourcegroups>)

	* include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt: deleted file.
	* CMakeLists.txt, data/CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, src/CMakeLists.txt:
	Added source groups for IDE project structuring. Moved spread header
	processing to CMake script in include directory. Moved spread
	installation commands to CMake script in src directory.

2018-12-10 19:47 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (48d1d68e0b1b <macosxframework>)

	* src/CMakeLists.txt:
	Updated CMake script documentation.

2018-12-08 15:25 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (fa6fb89350d5 <macosxframework>)

	* Merge

2018-12-08 15:15 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (11e9f32c46ff <macosxframework>)

	* CMakeLists.txt, data/CMakeLists.txt, src/CMakeLists.txt:
	Some cleanup in CMake scripts for Frameworks.

2018-12-06 23:44 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (013b163e2395 <macosxframework>)

	* Merged default into macosxframework

2018-12-06 23:06 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (94f95b3d7d24 <macosxframework>)

	* data/CMakeLists.txt, include/CMakeLists.txt, src/CMakeLists.txt, src
	/coin-config.cmake.in:
	Further progress on building framework on Mac OS X.

2018-11-21 19:04 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (403818e63a6d <macosxframework>)

	* src/coin-config.cmake.in:
	Updated package config file.

2018-11-21 18:00 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (6fa09083754e <macosxframework>)

	* CMakeLists.txt, Coin.pc.cmake.in, src/CMakeLists.txt, src/coin-
	config.cmake.in, src/doc/CMakeLists.txt:
	Further workings on the CMake build scripts.

2018-11-17 09:50 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (cf02bc4e5c2e <macosxframework>)

	* src/CMakeLists.txt:
	Removed per target based common compile definitions.

2018-11-17 00:09 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (78f48ea46874 <macosxframework>)

	* src/CMakeLists.txt:
	Fixed inadvertently changed include directory.

2018-11-17 00:01 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d3023b283e1f <macosxframework>)

	* CMakeLists.txt:
	Merged from trunk.

2018-11-16 23:55 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d8077cdbdc5b <macosxframework>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Updated framework generation.

2018-11-03 15:31 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c896579f17b2 <macosxframework>)

	* CMakeLists.txt:
	Added frameworks to linker flags.

2018-11-16 21:15 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (61ca0271202f <macosxframework>)

	* CMakeLists.txt, Info.plist.in, configure, configure.ac,
	src/CMakeLists.txt, src/coin-config.cmake.in, version.plist.in:
	Framework building on MacOSX.

2018-11-07 22:53 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (265874742bb6)

	* Coin.pc.cmake.in, src/xml/expat/loadlibrary.c,
	src/xml/expat/siphash.h: new file.
	* src/xml/expat/amigaconfig.h, src/xml/expat/macconfig.h: deleted
	file.
	* src/xml/expat/amigaconfig.h, src/xml/expat/macconfig.h:
	Merged default into default (e74da18)

2018-11-07 22:42 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (11031b933506 <macosxframework>)

	* remerge with default.

2018-11-07 22:33 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (d80a689c6b15 <macosxframework>)

	* data/CMakeLists.txt, src/coin-config.cmake.in:
	merged default into branch.

2018-11-07 22:16 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (4a3192a8d542 <macosxframework>)

	* include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt: deleted file.
	* CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt, include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, src/CMakeLists.txt:
	First attempt Mac OS X framework install.

2018-09-30 19:29 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b88f98768e42)

	* include/Inventor/C/glue/spidermonkey.h,
	src/foreignfiles/SoSTLFileKit.cpp, src/threads/thread_win32.icc,
	src/vrml97/JS_VRMLClasses.cpp:
	Fixed build issues on MinGW-w64. Applied/adapted patches provided
	with pull request #26

2018-11-02 18:19 +0000  Bastiaan Veelo  <bastiaan@sarc.nl>  (e74da184f75b)

	* Merged in siretty/coin (pull request #138)

	Removed check for compatible CMake generators.

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by: Volker
	Enderlein <volkerenderlein@hotmail.com>

2018-10-30 11:04 +0000  siretty  <ettyr.edwards@googlemail.com>  (a18cf1d86f0e)

	* src/coin-config.cmake.in:
	Removed checking that users of the library (eg. applications) use
	the same cmake generator as the library itself in coin-
	config.cmake.in.

2018-11-01 21:24 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (77ad8eec47f3)

	* Merged in VolkerEnderlein/coin/installdata (pull request #139)

	Installation commands added for data dir.

2018-11-01 21:24 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (2665e09fb0a0 <installdata>)

	* Close branch installdata

2018-11-01 22:21 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (acda3930c61c <installdata>)

	* data/CMakeLists.txt:
	Installation commands added for data dir.

2018-10-28 23:36 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (eded7b8d1181 <macosxframework>)

	* CMakeLists.txt, Info.plist.in, src/CMakeLists.txt, version.plist.in:
	Added framework option for MacOSX.

2018-10-28 23:35 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (17cc8671f037 <macosxframework>)

	* src/coin-config.cmake.in:
	Enhanced config package script.

2018-10-28 23:34 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (b77766d02468 <macosxframework>)

	* src/doc/CMakeLists.txt:
	Fixed working directory for doc generation.

2018-10-28 23:31 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (f8128f8154bb <macosxframework>)

	* docs/coin.doxygen.cmake.in:
	Updated and condensed Doxyfile.

2018-10-28 14:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (ea82a76a7683)

	* Merged in VolkerEnderlein/coin/no_ubuntu (pull request #137)

	Disabled Ubuntu build on AppVeyor because of broken dependencies.

2018-10-28 14:44 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (e0a6b6cece47 <no_ubuntu>)

	* Close branch no_ubuntu

2018-10-28 15:42 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (0c8485bde576 <no_ubuntu>)

	* appveyor.yml:
	Disabled ubuntu.

2018-10-28 15:26 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (8e1dd1387d9a <appveyorubuntufix>)

	* appveyor.yml:
	Reenabled freeglut3 installation.

2018-10-28 15:18 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (0d0e62dd79f9 <appveyorubuntufix>)

	* appveyor.yml:
	fixed yml error.

2018-10-28 15:17 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (3b3db39a02d5 <appveyorubuntufix>)

	* appveyor.yml:
	Disabled freeglut3 installation.

2018-10-28 14:48 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (104c9cb54564 <appveyorubuntufix>)

	* appveyor.yml:
	Use Ubuntu1804 image.

2018-10-28 14:41 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (a7197e17856d <appveyorubuntufix>)

	* appveyor.yml:
	Disabled Ubuntu 32 bit build .

2018-10-28 14:27 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (cf7b9697dde4 <appveyorubuntufix>)

	* appveyor.yml:
	Try to avoid multilib packages.

2018-10-28 13:20 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (0b19532968f3 <appveyorubuntufix>)

	* appveyor.yml:
	Readded -y option.

2018-10-28 12:59 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (c902d4821974 <appveyorubuntufix>)

	* appveyor.yml:
	Branch name updated.

2018-10-28 12:57 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (eb21d2297a99 <appveyorubuntufix>)

	* appveyor.yml:
	Try to fix Ubuntu build.

2018-10-27 17:20 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (d2491398ea42)

	* Merged in ggabbiani/coin-fork/cpack.d-move (pull request #136)

	cpack.d moved from ggabbiani to coin3d

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by: Volker
	Enderlein <volkerenderlein@hotmail.com>

2018-10-27 17:20 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (4948068cd53a <cpack.d-move>)

	* Close branch cpack.d-move

2018-10-27 09:36 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (79e9b54e1321 <cpack.d-move>)

	* .hgsub, .hgsubstate:
	cpack.d moved from ggabbiani to coin3d

2018-10-25 23:02 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (6e5d6d001607)

	* CMakeLists.txt:
	Merged in ggabbiani/coin/cpack.d-update2 (pull request #135)

	cpack.d update for Windows support

	Approved-by: Volker Enderlein <volkerenderlein@hotmail.com>

2018-10-25 23:02 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (01e25dcbe330 <cpack.d-update2>)

	* Close branch cpack.d-update2

2018-10-21 14:19 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (984ea3dc9cd1 <cpack.d-update2>)

	* .hgsubstate, CMakeLists.txt:
	cpack.d update for Windows support

2018-10-24 21:36 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (a7478927eb56)

	* Coin.pc.cmake.in: new file.
	* Merged in VolkerEnderlein/coin/mingww64fix (pull request #131)

	Fixed build issues on MinGW-w64. Applied/adapted patches kindly
	provided by Alexey Pavlov with pull request #26

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org>

2018-10-24 21:36 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (7b4606f83635 <mingww64fix>)

	* Close branch mingww64fix

2018-10-08 23:25 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ab0fbc5981a2 <mingww64fix>)

	* src/xml/expat/loadlibrary.c, src/xml/expat/siphash.h: new file.
	* src/xml/expat/amigaconfig.h, src/xml/expat/macconfig.h: deleted
	file.
	* CMakeLists.txt, src/xml/expat/amigaconfig.h,
	src/xml/expat/macconfig.h:
	Updated pull request.

2018-10-07 12:11 +0000  Bastiaan Veelo  <bastiaan@sarc.nl>  (6f54f1602475)

	* CMakeLists.txt, src/config.h.cmake.in:
	Merged in superjuny/coin_issue_159/FixIssue159 (pull request #128)

	Fixes issue #159

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com> Approved-by:
	Bastiaan Veelo <bastiaan@sarc.nl>

2018-09-26 14:17 -0700  Eunjun Choi  <eunjun.choi@siemens.com>  (87c836b7052a <FixIssue159>)

	* CMakeLists.txt, src/config.h.cmake.in:
	Fixes issue 159. “$<TARGET_FILE_NAME:Coin>” gets evaluated to either
	“Coin4.dll” for release or “Coin4d.dll” for debug on Windows,
	causing the CMake generation failure. The change is to make the
	config.h generation consistent regardless of configuration type.

2018-10-06 20:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (f67646579fcc)

	* Merged in VolkerEnderlein/coin/branchcorrection (pull request #134)

	Use default branch for downloading artifacts in appveyor script.

2018-10-06 20:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (72a9e7542fad <branchcorrection>)

	* Close branch branchcorrection

2018-10-06 22:06 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (81386e98e11e <branchcorrection>)

	* appveyor.yml:
	Use default branch for downloading artifacts in appveyor script.

2018-10-03 12:08 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (50190c7fea80)

	* Merged in VolkerEnderlein/coin/appveyor-ci-doxygen (pull request
	#133)

	Fixed dependency issues with doxygen in AppVeyor CI script.

2018-10-03 12:08 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (1ea3b54c2faf <appveyor-ci-doxygen>)

	* Close branch appveyor-ci-doxygen

2018-10-03 14:05 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (bb7fa7ab0b1e <appveyor-ci-doxygen>)

	* appveyor.yml:
	Fixed dependency issues with doxygen in AppVeyor CI script.

2018-10-02 22:55 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (12649cb10659)

	* CMakeLists.txt:
	Merged in VolkerEnderlein/coin/cmakesimplification (pull request
	#132)

	Simplified policy detection in CMakeLists.txt

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl>

2018-10-02 22:54 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (fe6da845dc15)

	* src/xml/expat/loadlibrary.c, src/xml/expat/siphash.h: new file.
	* src/xml/expat/amigaconfig.h, src/xml/expat/macconfig.h: deleted
	file.
	* CMakeLists.txt, src/xml/expat/amigaconfig.h,
	src/xml/expat/macconfig.h:
	Merged in VolkerEnderlein/coin/update_expat (pull request #129)

	Update expat

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org>

2018-10-02 22:55 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c3211c24bda3 <cmakesimplification>)

	* Close branch cmakesimplification

2018-10-02 22:54 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (854d3317b3a1 <update_expat>)

	* Close branch update_expat

2018-10-03 00:44 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4f8e181dcf1f <cmakesimplification>)

	* CMakeLists.txt:
	Simplified policy detection in CMakeLists.txt

2018-10-02 23:17 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (fbfb7d0b80d4 <mingww64fix>)

	* CMakeLists.txt, Coin.pc.cmake.in, src/CMakeLists.txt:
	Output names corrected for MinGW in CMake build scripts.

2018-10-01 21:12 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (9ad3f2edf5f5 <mingww64fix>)

	* src/CMakeLists.txt:
	Pkg-config file added to installation.

2018-10-01 21:11 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (147b88939300 <mingww64fix>)

	* Coin.pc.cmake.in: new file.
	* Coin.pc.cmake.in, Coin.pc.in:
	pkg-config file added.

2018-09-30 21:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c4c0ea76ca89)

	* Merged in VolkerEnderlein/coin/vrmltransformfix (pull request #130)

	Applied changes from pull request #65

2018-09-30 21:35 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (001d158291cc <vrmltransformfix>)

	* Close branch vrmltransformfix

2018-09-30 23:26 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (23a3cf24c286 <vrmltransformfix>)

	* src/vrml97/Transform.cpp:
	Applied changes from pull request #65

2018-09-30 20:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c2ac7d2ec759)

	* Merged in VolkerEnderlein/coin/macosfix (pull request #124)

	Fix build issues on Mac OS X

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org>

2018-09-28 19:54 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (494c7949b32a)

	* Merged in ggabbiani/coin/pipeline-update (pull request #123)

	Pipeline update

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by: Volker
	Enderlein <volkerenderlein@hotmail.com>

2018-09-28 19:54 +0000  Giampiero Gabbiani  <giampiero@gabbiani.org>  (a7507c99feb5 <pipeline-update>)

	* Close branch pipeline-update

2018-09-23 22:13 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (03fc8fe1c367 <pipeline-update>)

	* src/doc/CMakeLists.txt:
	fixed double chm and qch installation

2018-09-23 18:54 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (38b85b8312b0 <pipeline-update>)

	* cmake/CoinCMakeUtilities.cmake:
	check if variable undef

2018-09-23 11:06 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (fb2eca6b55e3 <pipeline-update>)

	* bitbucket-pipelines.yml:
	Updated config options

2018-09-30 20:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (a0e3ed74e33e <macosfix>)

	* Close branch macosfix

2018-09-30 19:29 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (3249150324ef <mingww64fix>)

	* include/Inventor/C/glue/spidermonkey.h,
	src/foreignfiles/SoSTLFileKit.cpp, src/threads/thread_win32.icc,
	src/vrml97/JS_VRMLClasses.cpp:
	Fixed build issues on MinGW-w64. Applied/adapted patches provided
	with pull request #26

2018-09-26 22:06 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4bb80affcb4f <update_expat>)

	* configure, configure.ac, src/config.h.cmake.in, src/config.h.in,
	src/discard.h.in:
	Changes for configure scripts and input files.

2018-09-25 23:54 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (0877dd515954 <update_expat>)

	* CMakeLists.txt, src/config.h.cmake.in:
	Added Expat entropy setting

2018-09-25 23:42 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (a92cffd705f1 <update_expat>)

	* src/xml/expat/xmlparse.c:
	Added missing config include.

2018-09-25 23:27 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f5e396a165c4 <update_expat>)

	* src/xml/expat/loadlibrary.c, src/xml/expat/siphash.h: new file.
	* src/xml/expat/amigaconfig.h, src/xml/expat/macconfig.h: deleted
	file.
	* src/xml/expat/CMakeLists.txt, src/xml/expat/COPYING,
	src/xml/expat/Makefile.am, src/xml/expat/Makefile.in,
	src/xml/expat/README, src/xml/expat/all-expat-c.c,
	src/xml/expat/amigaconfig.h, src/xml/expat/ascii.h,
	src/xml/expat/asciitab.h, src/xml/expat/expat.h,
	src/xml/expat/expat_external.h, src/xml/expat/iasciitab.h,
	src/xml/expat/internal.h, src/xml/expat/latin1tab.h,
	src/xml/expat/loadlibrary.c, src/xml/expat/macconfig.h,
	src/xml/expat/nametab.h, src/xml/expat/siphash.h,
	src/xml/expat/utf8tab.h, src/xml/expat/winconfig.h,
	src/xml/expat/xmlparse.c, src/xml/expat/xmlrole.c,
	src/xml/expat/xmlrole.h, src/xml/expat/xmltok.c,
	src/xml/expat/xmltok.h, src/xml/expat/xmltok_impl.c,
	src/xml/expat/xmltok_impl.h, src/xml/expat/xmltok_ns.c:
	Updated Expat to 2.2.6

2018-09-25 18:29 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (c983693a771e <macosfix>)

	* src/base/SbTime.cpp:
	Restored inadvertently deleted linebreak (important for correct
	documentation).

2018-09-24 21:47 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (f59ec693a5c1)

	* Merged in VolkerEnderlein/coin/appveyor_mkdir (pull request #127)

	Do not create a directory more than once.

2018-09-24 21:47 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (ba598280bede <appveyor_mkdir>)

	* Close branch appveyor_mkdir

2018-09-24 23:44 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (6ebdcd540fc3 <appveyor_mkdir>)

	* appveyor.yml:
	Do not create a directory more than once.

2018-09-24 21:11 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (b1ba1ca0de14)

	* Merged in VolkerEnderlein/coin/appveyor_typo (pull request #126)

	Fixed missing space character in appveyor.yml.

2018-09-24 21:11 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (1baeb9188058 <appveyor_typo>)

	* Close branch appveyor_typo

2018-09-24 23:09 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (27552057c7e8 <appveyor_typo>)

	* appveyor.yml:
	Fixed missing space character in appveyor.yml.

2018-09-24 20:53 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (8ee9c0ad4ecb)

	* Merged in VolkerEnderlein/coin/appveyor_doxygen (pull request #125)

	Added doxygen to appveyor script.

2018-09-24 20:53 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (5bce9274deed <appveyor_doxygen>)

	* Close branch appveyor_doxygen

2018-09-24 21:43 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (899f09ca68ed <appveyor_doxygen>)

	* appveyor.yml:
	Added doxygen to appveyor script.

2018-09-24 18:55 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (cb368511f931 <macosfix>)

	* src/actions/all-actions-cpp.cpp, src/io/all-io-cpp.cpp, src/scxml
	/all-scxml-cpp.cpp:
	Added missing private classes to all-xxxxx-cpp files.

2018-09-24 00:32 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (bc47177df1bd <macosfix>)

	* CMakeLists.txt, src/base/SbTime.cpp:
	Fixed compilation issue on MacOSX because of not selecting a type
	for SIM_TIMEVAL_TV_USEC_T.

2018-09-23 22:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (8316d3671df6)

	* src/base/SbRotation.cpp, src/base/string.cpp,
	src/details/SoFaceDetail.cpp, src/geo/SoGeoElement.cpp,
	src/glue/dl.cpp, src/glue/gl.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/io/SoInput.cpp,
	src/io/SoOutput.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SoEnabledElementsList.cpp,
	src/lists/SoPathList.cpp, src/manips/SoClipPlaneManip.cpp,
	src/misc/CoinStaticObjectInDLL.cpp, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoType.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLinearProfile.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoReversePerspectiveCamera.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/nodes/SoTextureCubeMap.cpp, src/nodes/SoWWWInline.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp, src/projectors/SbProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/rendering/SoOffscreenRenderer.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDelayQueueSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoOneShotSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/shaders/SoShaderObject.cpp, src/shaders/SoShaderParameter.cpp,
	src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowStyleElement.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoCone.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoImage.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoMarkerSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/threads/storage.cpp,
	src/threads/thread.cpp, src/upgraders/SoUpgrader.cpp,
	src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Cylinder.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/ImageTexture.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Material.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/Script.cpp,
	src/vrml97/Shape.cpp, src/vrml97/Sound.cpp,
	src/vrml97/SpotLight.cpp, src/vrml97/Switch.cpp,
	src/vrml97/Text.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/Viewpoint.cpp:
	Merged in VolkerEnderlein/coin/doc_fixes (pull request #121)

	Doc fixes

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl>

2018-09-23 22:14 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (9fdee54b5468)

	* Merged in VolkerEnderlein/coin/cpp_includes (pull request #122)

	Replaced references to C include files <xxx.h> with <cxxx> in CPP
	sources

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org>

2018-09-23 22:16 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (5110f05a8907 <doc_fixes>)

	* Close branch doc_fixes

2018-09-23 22:14 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (4ee5ce4e7982 <cpp_includes>)

	* Close branch cpp_includes

2018-09-23 21:15 +0000  Bastiaan Veelo  <bastiaan@sarc.nl>  (7f77dcf4e6f2)

	* Merged in realthunder/coin (pull request #119)

	Fix SoChildList auditing

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by: Thomas
	Moeller <thomas_moeller@yahoo.com>

2018-09-03 11:33 +0800  Zheng,Lei  <realthunder.dev@gmail.com>  (68765750bf58)

	* src/misc/SoChildList.cpp:
	Fix SoChildList auditing

2018-09-22 01:42 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (3989ebbc04cd <doc_fixes>)

	* appveyor.yml, cmake/CoinCMakeUtilities.cmake,
	cmake/FindFontconfig.cmake, cmake/FindSpiderMonkey.cmake, src/coin-
	config.cmake.in: new file.
	* src/CoinConfig.cmake.in: deleted file.
	* docs/coin.doxygen.cmake.in, src/Coin.rc.cmake.in,
	src/CoinConfig.cmake.in:
	Sync in changes from trunk.

2018-09-22 01:31 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (20cdfc2cbfa3 <doc_fixes>)

	* src/Coin.rc.cmake.in:
	Fixed merge issue.

2018-09-22 00:48 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (829bdb0e1eab <cpp_includes>)

	* include/Inventor/SbBSPTree.h, include/Inventor/SbBox3d.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbClip.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDPLine.h,
	include/Inventor/SbDPMatrix.h, include/Inventor/SbDPPlane.h,
	include/Inventor/SbDPRotation.h, include/Inventor/SbDPViewVolume.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbMatrix.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPlane.h, include/Inventor/SbRotation.h,
	include/Inventor/SbSphere.h, include/Inventor/SbString.h,
	include/Inventor/SbTesselator.h, include/Inventor/SbTime.h,
	include/Inventor/SbVec2d.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2i32.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3d.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/SoInput.h, include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoType.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/misc/SoGLImage.h, include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoSubNode.h, src/base/SbRotation.cpp,
	src/base/rbptree.cpp, src/base/string.cpp,
	src/details/SoFaceDetail.cpp, src/fonts/common.cpp,
	src/fonts/extractfont.cpp, src/fonts/fontlib_wrapper.cpp,
	src/fonts/fontspec.cpp, src/fonts/freetype.cpp,
	src/fonts/glyph2d.cpp, src/fonts/glyph3d.cpp, src/fonts/win32.cpp,
	src/foreignfiles/SoForeignFileKit.cpp, src/foreignfiles/steel.cpp,
	src/geo/SbGeoAngle.cpp, src/geo/SbGeoEllipsoid.cpp,
	src/geo/SbPolarStereographic.cpp, src/geo/SbUTMProjection.cpp,
	src/geo/SoGeo.cpp, src/geo/SoGeoElement.cpp,
	src/glue/GLUWrapper.cpp, src/glue/bzip2.cpp, src/glue/cg.cpp,
	src/glue/dl.cpp, src/glue/freetype.cpp, src/glue/gl.cpp,
	src/glue/gl_agl.cpp, src/glue/gl_cgl.cpp, src/glue/gl_glx.cpp,
	src/glue/gl_wgl.cpp, src/glue/normalization_cubemap.cpp,
	src/glue/openal_wrapper.cpp, src/glue/simage_wrapper.cpp,
	src/glue/spidermonkey.cpp, src/glue/win32api.cpp, src/glue/zlib.cpp,
	src/hardcopy/VectorizeActionP.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/io/SoByteStream.cpp,
	src/io/SoInput.cpp, src/io/SoInput_FileInfo.cpp,
	src/io/SoInput_Reader.cpp, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.cpp, src/io/SoTranSender.cpp,
	src/io/SoWriterefCounter.cpp, src/io/gzmemio.cpp,
	src/lists/SoActionMethodList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoPathList.cpp,
	src/manips/SoClipPlaneManip.cpp, src/misc/AudioTools.cpp,
	src/misc/CoinStaticObjectInDLL.cpp, src/misc/SoBase.cpp,
	src/misc/SoCompactPathList.cpp, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/misc/SoDebug.cpp, src/misc/SoFullPath.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoLockManager.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoNotRec.cpp,
	src/misc/SoNotification.cpp, src/misc/SoPick.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoType.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFrustumCamera.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLinearProfile.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoReversePerspectiveCamera.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/nodes/SoTextureCubeMap.cpp, src/nodes/SoWWWInline.cpp,
	src/profiler/SoProfilerElement.cpp,
	src/profiler/SoProfilerTopEngine.cpp,
	src/profiler/SoProfilingReportGenerator.cpp,
	src/profiler/SoScrollingGraphKit.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp, src/projectors/SbProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/rendering/CoinOffscreenGLCanvas.cpp, src/rendering/SoGL.cpp,
	src/rendering/SoGLBigImage.cpp, src/rendering/SoGLCubeMapImage.cpp,
	src/rendering/SoGLDriverDatabase.cpp,
	src/rendering/SoOffscreenRenderer.cpp, src/rendering/SoVBO.cpp,
	src/scxml/eval-minimum-tab.cpp, src/scxml/eval-minimum.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDelayQueueSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoOneShotSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/shaders/SoGLARBShaderObject.cpp,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLARBShaderProgram.cpp,
	src/shaders/SoGLCgShaderObject.cpp,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoGLCgShaderProgram.cpp,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLSLShaderParameter.cpp,
	src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderParameter.cpp,
	src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLShaderProgramElement.cpp, src/shaders/SoShader.cpp,
	src/shaders/SoShaderObject.cpp, src/shaders/SoShaderParameter.cpp,
	src/shaders/SoShaderProgram.cpp,
	src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowCulling.cpp,
	src/shadows/SoShadowDirectionalLight.cpp,
	src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowSpotLight.cpp,
	src/shadows/SoShadowStyle.cpp, src/shadows/SoShadowStyleElement.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoCone.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoImage.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoMarkerSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/shapenodes/soshape_bigtexture.cpp,
	src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_primdata.cpp,
	src/shapenodes/soshape_trianglesort.cpp, src/soscxml/eval-coin-
	tab.cpp, src/soscxml/eval-coin.cpp, src/threads/barrier.cpp,
	src/threads/condvar.cpp, src/threads/fifo.cpp,
	src/threads/mutex.cpp, src/threads/recmutex.cpp,
	src/threads/rwmutex.cpp, src/threads/sched.cpp,
	src/threads/storage.cpp, src/threads/sync.cpp,
	src/threads/thread.cpp, src/threads/worker.cpp,
	src/threads/wpool.cpp, src/tidbits.cpp,
	src/upgraders/SoUpgrader.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Background.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/Extrusion.cpp, src/vrml97/Fog.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedLine.cpp,
	src/vrml97/IndexedLineSet.cpp, src/vrml97/Inline.cpp,
	src/vrml97/Material.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/Script.cpp, src/vrml97/Shape.cpp, src/vrml97/Sound.cpp,
	src/vrml97/SpotLight.cpp, src/vrml97/Switch.cpp,
	src/vrml97/Text.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/VertexLine.cpp, src/vrml97/VertexPoint.cpp,
	src/vrml97/VertexShape.cpp, src/vrml97/Viewpoint.cpp,
	src/xml/attribute.cpp, src/xml/document.cpp, src/xml/element.cpp,
	src/xml/entity.cpp, src/xml/path.cpp, src/xml/utils.cpp:
	Replaced references to C include files <xxx.h> with <cxxx> in CPP
	sources

2018-09-21 23:48 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (219bdbb593c5 <doc_fixes>)

	* docs/coin.doxygen.cmake.in:
	Extraction of anonymous namespaces disabled.

2018-09-21 23:47 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ddad45ad6777 <doc_fixes>)

	* src/nodes/SoSelection.cpp:
	Fixed typo

2018-09-21 23:47 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (1bfd701d3ae4 <doc_fixes>)

	* src/nodes/SoTextureCoordinateFunction.cpp,
	src/vrml97/DirectionalLight.cpp:
	\brief expects empty line after paragraph!

2018-09-21 23:14 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (3f1cf42588a8 <doc_fixes>)

	* src/misc/CoinStaticObjectInDLL.cpp:
	reference to coin-discuss list on groups.google.com

2018-09-21 23:03 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (a0b5913a37ad <doc_fixes>)

	* src/Coin.rc.cmake.in, src/Coin.rc.in, src/glue/gl.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoWWWAnchor.cpp,
	src/rendering/SoOffscreenRenderer.cpp,
	src/shadows/SoShadowGroup.cpp, src/vrml97/AudioClip.cpp:
	Replaced some references to coin3d.org with bitbucket.org/Coin3D

2018-09-21 23:02 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (d3c334695e71 <doc_fixes>)

	* src/manips/SoTrackballManip.cpp, src/nodes/SoTextureCombine.cpp:
	Superfluous img tags removed.

2018-09-21 22:00 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4d6c9bce0242 <doc_fixes>)

	* include/Inventor/SbTypeInfo.h:
	Exclude SbTypeInfo.h from documentation generation.

2018-09-21 21:58 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f1ab3c51e46e <doc_fixes>)

	* src/doc/Coin_macros.dox:
	Partially revert restructuring for Coin_macros.dox

2018-09-21 00:41 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e5c677a00280 <doc_fixes>)

	* src/actions/SoAction.cpp, src/actions/SoAudioRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoSearchAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/base/SbBSPTree.cpp, src/base/SbBox2d.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox2i32.cpp, src/base/SbBox2s.cpp, src/base/SbBox3d.cpp,
	src/base/SbBox3f.cpp, src/base/SbBox3s.cpp, src/base/SbClip.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDPLine.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPPlane.cpp,
	src/base/SbDPRotation.cpp, src/base/SbDPViewVolume.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbImage.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	src/base/SbVec2i32.cpp, src/base/SbVec2s.cpp, src/base/SbVec3d.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec3s.cpp, src/base/SbVec4d.cpp,
	src/base/SbVec4f.cpp, src/base/SbViewVolume.cpp,
	src/base/SbViewportRegion.cpp, src/base/SbXfBox3d.cpp,
	src/base/SbXfBox3f.cpp, src/base/string.cpp,
	src/bundles/SoBundle.cpp, src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoNormalBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/bundles/SoVertexAttributeBundle.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoGLCacheList.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoShaderProgramCache.cpp, src/collision/SbTri3f.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp, src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp,
	src/elements/GL/SoGLDisplayList.cpp,
	src/elements/GL/SoGLDrawStyleElement.cpp,
	src/elements/GL/SoGLEnvironmentElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLLightIdElement.cpp,
	src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLModelMatrixElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/GL/SoGLNormalElement.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLProjectionMatrixElement.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/elements/GL/SoGLShapeHintsElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp,
	src/elements/GL/SoGLVBOElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoBumpMapMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoCacheHintElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp, src/elements/SoInt32Element.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoListenerDopplerElement.cpp,
	src/elements/SoListenerGainElement.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/elements/SoListenerPositionElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoMultiTextureEnabledElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCombineElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoVertexAttributeBindingElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/engines/SoBoolOperation.cpp,
	src/engines/SoCalculator.cpp, src/engines/SoComposeMatrix.cpp,
	src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp, src/engines/SoConcatenate.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/debugerror.cpp,
	src/errors/error.cpp, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFColorRGBA.cpp,
	src/fields/SoMFDouble.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2b.cpp, src/fields/SoMFVec2d.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec2i32.cpp,
	src/fields/SoMFVec2s.cpp, src/fields/SoMFVec3b.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec3i32.cpp, src/fields/SoMFVec3s.cpp,
	src/fields/SoMFVec4b.cpp, src/fields/SoMFVec4d.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMFVec4i32.cpp,
	src/fields/SoMFVec4s.cpp, src/fields/SoMFVec4ub.cpp,
	src/fields/SoMFVec4ui32.cpp, src/fields/SoMFVec4us.cpp,
	src/fields/SoMField.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFBox2d.cpp,
	src/fields/SoSFBox2f.cpp, src/fields/SoSFBox2i32.cpp,
	src/fields/SoSFBox2s.cpp, src/fields/SoSFBox3d.cpp,
	src/fields/SoSFBox3f.cpp, src/fields/SoSFBox3i32.cpp,
	src/fields/SoSFBox3s.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFColorRGBA.cpp, src/fields/SoSFDouble.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2b.cpp, src/fields/SoSFVec2d.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec2i32.cpp,
	src/fields/SoSFVec2s.cpp, src/fields/SoSFVec3b.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec3i32.cpp, src/fields/SoSFVec3s.cpp,
	src/fields/SoSFVec4b.cpp, src/fields/SoSFVec4d.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoSFVec4i32.cpp,
	src/fields/SoSFVec4s.cpp, src/fields/SoSFVec4ub.cpp,
	src/fields/SoSFVec4ui32.cpp, src/fields/SoSFVec4us.cpp,
	src/fields/SoSField.cpp, src/geo/SoGeoCoordinate.cpp,
	src/geo/SoGeoElement.cpp, src/geo/SoGeoLocation.cpp,
	src/geo/SoGeoOrigin.cpp, src/geo/SoGeoSeparator.cpp,
	src/hardcopy/HardCopy.cpp, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/io/SoInput.cpp,
	src/io/SoOutput.cpp, src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoPathList.cpp, src/lists/SoPickedPointList.cpp,
	src/lists/SoTypeList.cpp, src/manips/SoCenterballManip.cpp,
	src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp, src/manips/SoTransformManip.cpp,
	src/manips/SoTransformerManip.cpp, src/misc/SoAudioDevice.cpp,
	src/misc/SoBase.cpp, src/misc/SoChildList.cpp,
	src/misc/SoContextHandler.cpp, src/misc/SoDB.cpp,
	src/misc/SoFullPath.cpp, src/misc/SoInteraction.cpp,
	src/misc/SoLightPath.cpp, src/misc/SoLockManager.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoNotRec.cpp,
	src/misc/SoNotification.cpp, src/misc/SoPath.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoType.cpp,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoBumpMap.cpp, src/nodes/SoBumpMapCoordinate.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoCacheHint.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoInfo.cpp, src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLinearProfile.cpp,
	src/nodes/SoListener.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoReversePerspectiveCamera.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSceneTexture2.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSurroundScale.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/nodes/SoTextureCoordinateObject.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTextureCubeMap.cpp,
	src/nodes/SoTextureMatrixTransform.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTextureUnit.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTransparencyType.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp, src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/rendering/SoOffscreenRenderer.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/shaders/SoFragmentShader.cpp, src/shaders/SoGeometryShader.cpp,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoVertexShader.cpp,
	src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowStyleElement.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoCone.cpp,
	src/shapenodes/SoCube.cpp, src/shapenodes/SoCylinder.cpp,
	src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoImage.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedMarkerSet.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoIndexedPointSet.cpp,
	src/shapenodes/SoIndexedShape.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoMarkerSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp,
	src/shapenodes/SoNurbsCurve.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoShape.cpp, src/shapenodes/SoSphere.cpp,
	src/shapenodes/SoText2.cpp, src/shapenodes/SoText3.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoVertexShape.cpp, src/threads/storage.cpp,
	src/threads/thread.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/upgraders/SoShapeHintsV10.cpp, src/upgraders/SoUpgrader.cpp,
	src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/Inline.cpp, src/vrml97/LOD.cpp, src/vrml97/Material.cpp,
	src/vrml97/MovieTexture.cpp, src/vrml97/NavigationInfo.cpp,
	src/vrml97/Normal.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/PlaneSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ProximitySensor.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Script.cpp, src/vrml97/Shape.cpp, src/vrml97/Sound.cpp,
	src/vrml97/Sphere.cpp, src/vrml97/SphereSensor.cpp,
	src/vrml97/SpotLight.cpp, src/vrml97/Switch.cpp,
	src/vrml97/Text.cpp, src/vrml97/TextureCoordinate.cpp,
	src/vrml97/TextureTransform.cpp, src/vrml97/TimeSensor.cpp,
	src/vrml97/TouchSensor.cpp, src/vrml97/Transform.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/WorldInfo.cpp:
	\brief expects empty line after paragraph!

2018-09-21 08:54 +0000  Bastiaan Veelo  <bastiaan@sarc.nl>  (cf2a467adeca)

	* appveyor.yml, cmake/CoinCMakeUtilities.cmake,
	cmake/FindFontconfig.cmake, cmake/FindSpiderMonkey.cmake: new file.
	* Merged in VolkerEnderlein/coin/cmake_restructuring_2 (pull request
	#120)

	Reworking CMake files part 2

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org> Approved-by: Volker
	Enderlein <volkerenderlein@hotmail.com>

2018-09-21 08:54 +0000  Bastiaan Veelo  <bastiaan@sarc.nl>  (a1ba918e3d49)

	* src/coin-config.cmake.in: new file.
	* src/CoinConfig.cmake.in: deleted file.
	* src/CoinConfig.cmake.in:
	Merged in VolkerEnderlein/coin/cmake_restructuring (pull request
	#118)

	Reworking CMake files.

	Approved-by: Bastiaan Veelo <bastiaan@sarc.nl> Approved-by:
	Giampiero Gabbiani <giampiero@gabbiani.org>

2018-09-20 20:52 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f675e296d3a8 <doc_fixes>)

	* docs/coin.doxygen.cmake.in, src/base/SbImage.cpp,
	src/doc/Coin_macros.dox, src/doc/Coin_modules.dox,
	src/draggers/SoDragger.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp, src/misc/SoState.cpp,
	src/nodes/SoMaterialBinding.cpp:
	Some more documentation issues fixed.

2018-09-20 00:40 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e6d125c36e53 <doc_fixes>)

	* docs/releases.dox, src/doc/Coin_environment.dox,
	src/doc/Coin_modules.dox, src/glue/dl.cpp,
	src/profiler/SoProfiler.cpp:
	Further documentation errors fixed.

2018-09-19 22:54 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (6be2fd5becb2 <doc_fixes>)

	* docs/releases.dox, src/actions/SoGetBoundingBoxAction.cpp,
	src/base/SbDPMatrix.cpp, src/base/SbDPViewVolume.cpp,
	src/base/SbMatrix.cpp, src/base/SbVec3d.cpp,
	src/base/SbViewVolume.cpp, src/doc/Coin_main.dox,
	src/elements/GL/SoGLLineWidthElement.cpp,
	src/elements/GL/SoGLPointSizeElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoOverrideElement.cpp, src/engines/SoEngine.cpp,
	src/engines/SoNodeEngine.cpp, src/geo/SoGeoOrigin.cpp,
	src/io/SoInput.cpp, src/nodes/SoNode.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/scxml/ScXMLSendElt.cpp, src/scxml/ScXMLStateMachine.cpp,
	src/shaders/CMakeLists.txt, src/shaders/SoFragmentShader.cpp,
	src/shaders/SoGeometryShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoVertexShader.cpp,
	src/vrml97/Switch.cpp, src/vrml97/Viewpoint.cpp:
	Documentation issues fixed.

2018-09-18 22:44 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7e0ff7d5026c <cmake_restructuring_2>)

	* CMakeLists.txt, src/CMakeLists.txt, src/doc/CMakeLists.txt:
	More restructuring of CMake files. CMake variables properly escaped.

2018-09-17 22:55 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (23a53ba00f66 <cmake_restructuring_2>)

	* CMakeLists.txt:
	Documentation update.

2018-09-16 22:23 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (c4832bf7297b <cmake_restructuring_2>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Restructuring CMake files.

2018-09-16 22:21 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (1c6e4d137abc <cmake_restructuring_2>)

	* cmake/CoinCMakeUtilities.cmake: new file.
	* cmake/CoinCMakeUtilities.cmake:
	Moved Coins CMake utility functions and macros to separate file.

2018-09-16 20:43 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (24bfe07a49e9 <cmake_restructuring_2>)

	* cmake/FindSpiderMonkey.cmake:
	Enhanced find_package script to find older spidermonkey versions.

2018-09-16 20:28 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (a9a5b0b12d02 <cmake_restructuring_2>)

	* src/doc/CMakeLists.txt:
	Refactor CMake build script to make settings more obvious.

2018-09-16 20:25 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b7e01d99fa10 <cmake_restructuring_2>)

	* docs/coin.doxygen.cmake.in:
	Added Coin logo. Escaping qthelpgenerator path (may contain spaces).

2018-09-13 23:43 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (89f29dbbe308 <cmake_restructuring_2>)

	* cmake/FindSpiderMonkey.cmake: new file.
	* cmake/FindSpiderMonkey.cmake:
	Added FindSpiderMonkey.cmake module.

2018-09-12 23:51 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ae45ba6ecc67 <cmake_restructuring_2>)

	* appveyor.yml: new file.
	* appveyor.yml:
	Added AppVeyor script.

2018-09-12 23:50 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (182b13abb183 <cmake_restructuring_2>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Reworking CMake files part II.

2018-09-12 23:48 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (dbe0e80d7a27 <cmake_restructuring_2>)

	* testsuite/CMakeLists.txt:
	Added link libraries to test executable.

2018-09-12 23:43 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (c16503b82189 <cmake_restructuring_2>)

	* src/config.h.cmake.in:
	Added numerous #cmakedefine values in config.

2018-09-12 23:42 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (aaaadc0bfab3 <cmake_restructuring_2>)

	* src/glue/spidermonkey.cpp:
	Fixed wrong usage of define SPIDERMONKEY_RUNTIME_LINKING.

2018-09-12 23:39 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f144d0ecd632 <cmake_restructuring_2>)

	* cmake/FindFontconfig.cmake: new file.
	* cmake/FindFontconfig.cmake:
	Created cmake directory for scripts.

2018-08-27 23:05 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (0da1dedc8747 <cmake_restructuring>)

	* src/coin-config.cmake.in: new file.
	* src/CoinConfig.cmake.in: deleted file.
	* CMakeLists.txt, include/Inventor/C/basic.h.cmake.in,
	include/Inventor/system/inttypes.h.cmake.in, src/CMakeLists.txt,
	src/Coin.rc.cmake.in, src/CoinConfig.cmake.in, src/coin-
	config.cmake.in, src/config.h.cmake.in, testsuite/CMakeLists.txt:
	Reworking CMake files.

2018-08-26 17:25 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (bcc3be20676d)

	* Merged in VolkerEnderlein/coin/update_configure (pull request #117)

	Added missing sources to automake/autoconfig files.

2018-08-26 17:25 +0000  Volker Enderlein  <volkerenderlein@hotmail.com>  (c10f9d7d98ad <update_configure>)

	* Close branch update_configure

2018-08-26 19:14 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (8d8693d9bc61 <update_configure>)

	* src/actions/Makefile.am, src/actions/Makefile.in,
	src/io/Makefile.am, src/io/Makefile.in, src/scxml/Makefile.am,
	src/scxml/Makefile.in:
	Added missing sources to automake/autoconfig files.

2018-08-22 06:59 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (20e41cde3980)

	* Merged in ggabbiani/coin/new-pipeline (pull request #116)

	added debian support and modified behaviour for artifacts upload

2018-08-21 20:58 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (2dbb1effdc21 <new-pipeline>)

	* bitbucket-pipelines.yml:
	fixed right ocker image

2018-08-21 15:23 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (2af6ca3ce248 <new-pipeline>)

	* bitbucket-pipelines.yml:
	added debian support and modified behaviour for artifacts upload

2018-08-07 19:42 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (341f4ef7febc)

	* Merged in stewart-milberger/coin/field-converter (pull request #115)

	More changes to SoField for improved field converter support

2018-08-06 20:32 -0600  Stewart Milberger  <sjm-mail@protonmail.com>  (d83ec545754f <field-converter>)

	* src/fields/SoField.cpp:
	More changes to SoField for improved field converter support.

2018-07-11 23:03 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (c0999df53040)

	* Merged in veelo/coin/issue153_config_h (pull request #114)

	Fill in some CMake gaps in config.h, fixes issue 153.

2018-07-11 23:03 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (b9b788d438a4 <issue153_config_h>)

	* Close branch issue153_config_h

2018-07-11 22:24 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (3aae7b00a936 <issue153_config_h>)

	* src/config.h.cmake.in:
	Remove spurious comment closing in config.h.cmake.in.

2018-07-11 22:22 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (3628a9df2dc3 <issue153_config_h>)

	* src/config.h.cmake.in:
	Use CMake for version strings in config.h.cmake.in.

2018-07-11 22:18 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7177a72e68ab <issue153_config_h>)

	* src/config.h.cmake.in:
	Use CMake variables for OPENGL_SYSTEM_LIBRARY_NAME in
	config.h.cmake.in.

2018-07-11 22:17 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (258d53fc4e21 <issue153_config_h>)

	* src/config.h.cmake.in:
	Use CMake variable for DYNAMIC_LIBRARY_EXTENSION in
	config.h.cmake.in.

2018-07-11 22:14 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (988a77312dba <issue153_config_h>)

	* src/config.h.cmake.in:
	Use CMake generator expression for COIN_SYSTEM_LIBRARY_NAME in
	config.h.cmake.in.

2018-07-11 22:11 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (1ed1300c333b <issue153_config_h>)

	* src/CMakeLists.txt:
	Allow for CMake generator expressions in config.h.cmake.in.

2018-07-11 22:03 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7e7dfef2a4a9 <issue153_config_h>)

	* Created new branch issue153_config_h

2018-07-01 21:42 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7c9bb7de74b7)

	* Merged in stewart-milberger/coin/field-converter (pull request #113)

	Changes to SoField for improved field converter support

2018-06-28 18:56 -0600  Stewart Milberger  <sjm-mail@protonmail.com>  (b410b0d620ee <field-converter>)

	* src/fields/SoField.cpp:
	Modified 'SoField.cpp' to provide type when connecting to a field
	converter.

2018-06-29 00:28 +0000  Stewart Milberger  <sjm-mail@protonmail.com>  (fbcc912b52d4 <field-converter>)

	* Created new branch field-converter

2018-07-01 14:54 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (e3c366fe1863)

	* Merged issue_150_sobasekit into default.

2018-06-29 13:06 +0200  Mario Koerner  <mario.koerner@gmx.de>  (928bfd038f77 <issue_150_sobasekit>)

	* src/nodekits/SoBaseKit.cpp:
	Fixed memory leak in SoBaseKit (fix provided by Xiaoyong Yang)

2018-06-26 19:28 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (cda366684846)

	* Merged in ggabbiani/coin-subcpack/subcpack (pull request #112)

	fixed extern sub repo

2018-06-26 20:59 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (fc4f9e798623 <subcpack>)

	* .hgsubstate:
	fixed cpack.d remote sub repo and updated sub state

2018-06-26 20:56 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (08140b956420 <subcpack>)

	* .hgsub:
	fixed extern sub repo

2018-06-24 13:29 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (582b1fe202c5)

	* packaging/description-summary.txt: new file.
	* cpack.d/CMakeLists.txt, cpack.d/README, cpack.d/build-process.xml,
	cpack.d/commons.cmake.in, cpack.d/debian.cmake.in,
	cpack.d/fedora.cmake.in, cpack.d/fedora_post_uninstall.sh, cpack.d
	/linux-tools.cmake.in, cpack.d/readme-file.txt: deleted file.
	* CMakeLists.txt, cpack.d/CMakeLists.txt, cpack.d/README, cpack.d
	/build-process.xml, cpack.d/commons.cmake.in,
	cpack.d/debian.cmake.in, cpack.d/fedora.cmake.in,
	cpack.d/fedora_post_uninstall.sh, cpack.d/linux-tools.cmake.in,
	cpack.d/readme-file.txt:
	Merged in ggabbiani/coin-subcpack/subcpack (pull request #111)

	Subcpack

2018-06-24 14:56 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (563527d2ad27 <subcpack>)

	* bitbucket-pipelines.yml:
	removed reference to fedora release

2018-06-24 14:43 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (a32861d926c2 <subcpack>)

	* bitbucket-pipelines.yml:
	update for new HAVE_MULTIPLE_VERSION option

2018-06-24 13:58 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (8473be996db7 <subcpack>)

	* .hgsubstate:
	updated to last cpack.d version

2018-06-24 12:12 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (33f6e873e312 <subcpack>)

	* .hgsubstate:
	added support for HAVE_MULTIPLE_VERSION

2018-06-24 12:09 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (4c4b0ca3079a <subcpack>)

	* CMakeLists.txt:
	COIN_MULTIPLE_VERSION renamed into HAVE_MULTIPLE_VERSION

2018-06-24 02:10 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (18f0cf64f533 <subcpack>)

	* .hgsubstate:
	cpack.d sub repo update

2018-06-19 01:21 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (18e8893c6b20 <subcpack>)

	* .hgsubstate:
	update

2018-06-18 00:13 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (8b686c4a71a0 <subcpack>)

	* .hgsubstate:
	updated subrepo

2018-06-17 22:25 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ec776540609c <subcpack>)

	* packaging/description-summary.txt: new file.
	* packaging/description-summary.txt:
	first import

2018-06-17 22:25 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (254c84b7b3e1 <subcpack>)

	* CMakeLists.txt:
	added legacy compatibility statements

2018-06-17 21:07 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (6f9afbedea27 <subcpack>)

	* .hgsub, .hgsubstate:
	first sub try

2018-06-17 21:03 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (89ba4ad911a6 <subcpack>)

	* cpack.d/CMakeLists.txt, cpack.d/README, cpack.d/build-process.xml,
	cpack.d/commons.cmake.in, cpack.d/debian.cmake.in,
	cpack.d/fedora.cmake.in, cpack.d/fedora_post_uninstall.sh, cpack.d
	/linux-tools.cmake.in, cpack.d/readme-file.txt: deleted file.
	* cpack.d/CMakeLists.txt, cpack.d/README, cpack.d/build-process.xml,
	cpack.d/commons.cmake.in, cpack.d/debian.cmake.in,
	cpack.d/fedora.cmake.in, cpack.d/fedora_post_uninstall.sh, cpack.d
	/linux-tools.cmake.in, cpack.d/readme-file.txt:
	removed local cpack.d

2018-06-18 10:26 +0200  Adriaan de Groot  <adridg@FreeBSD.org>  (a2769c63c7d3)

	* CMakeLists.txt:
	On FreeBSD, rework looking for GL/gl.h

	The CMake code looking for GL/gl.h was unnecessarily complex, and
	presumably unneeded on other platforms. Restrict the extra looking-
	around to FreeBSD, and do it more simply.

2018-06-18 09:58 +0200  Adriaan de Groot  <adridg@FreeBSD.org>  (6a747cbce289)

	* CMakeLists.txt, src/config.h.cmake.in:
	Search for sys/timeb.h and ftime(), instead of assuming they exist.

	On FreeBSD, ftime() is deprecated and requires special linking; the
	header generates a warning as well. Check naively for existence.

2018-06-17 14:02 +0200  Adriaan de Groot  <adridg@FreeBSD.org>  (eae828e4ab46)

	* testsuite/TestSuiteUtils.cpp:
	On FreeBSD, follow POSIX

2018-06-17 13:58 +0200  Adriaan de Groot  <adridg@FreeBSD.org>  (c9a873178450)

	* CMakeLists.txt:
	On FreeBSD, look a little harder for GL/gl.h

2018-06-14 08:16 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (c4ce8843ae37)

	* Merged in stewart-milberger/coin/api-changes (pull request #109)

	Open Inventor 2.1 API Conformance

2018-06-13 16:59 -0600  Stewart Milberger  <sjm-mail@protonmail.com>  (2cc5889c942d <api-changes>)

	* include/Inventor/SbMatrix.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/lists/SbPList.h, src/actions/SoPickAction.cpp,
	src/base/SbMatrix.cpp, src/events/SoEvent.cpp,
	src/fields/SoSFTime.cpp, src/lists/SbPList.cpp:
	Changes to improve conformance to Open Inventor 2.1 API.

2018-06-13 21:06 +0000  Stewart Milberger  <sjm-mail@protonmail.com>  (c0e35225a677 <api-changes>)

	* Created new branch api-changes

2018-06-03 14:54 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (a8c6435095ce)

	* cpack.d/build-process.xml, cpack.d/linux-tools.cmake.in: new file.
	* CMakeLists.txt:
	Merged in ggabbiani/coin/new-cpack (pull request #108)

	Manually triggered pipelines for package creation

2018-06-03 15:44 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (29af20fcd7df <new-cpack>)

	* bitbucket-pipelines.yml:
	removed test building

2018-06-03 15:43 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (1a8dc9e6e6cc <new-cpack>)

	* CMakeLists.txt:
	restored old behaviour (make package) for backward compatibility

2018-06-03 14:50 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (1be504147518 <new-cpack>)

	* bitbucket-pipelines.yml:
	temporarly removed tests

2018-06-03 12:57 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (59e5ac1a199f <new-cpack>)

	* bitbucket-pipelines.yml:
	implemented manual pipelines

2018-05-24 23:14 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (04886e64b077 <new-cpack>)

	* bitbucket-pipelines.yml:
	added tests in new-cpack branch for time measuring with bitbucket
	pipelines

2018-05-23 12:40 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (5887ae5e6a4d <new-cpack>)

	* cpack.d/linux-tools.cmake.in: new file.
	* cpack.d/debian.cmake.in, cpack.d/fedora.cmake.in, cpack.d/linux-
	tools.cmake.in:
	added linux-tools.cmake.in

2018-05-23 12:40 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (b0d37b1c565f <new-cpack>)

	* bitbucket-pipelines.yml:
	added fedora and ubuntu on both default and new-cpack branch

2018-05-23 12:39 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (7a17f4ea62a7 <new-cpack>)

	* CMakeLists.txt:
	removed legacy package generator

2018-05-23 02:49 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (74dfc48e1b0a <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 02:30 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (84a63bd4ba7c <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 02:21 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (26e90cb8f3f1 <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 01:57 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (eca50e0d29cf <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 01:56 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (f0cc7e6559f2 <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 01:39 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (07580623fee2 <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-23 01:35 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (815923add18c <new-cpack>)

	* docs/coin.doxygen.cmake.in:
	update

2018-05-23 01:35 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (de3d768efae5 <new-cpack>)

	* bitbucket-pipelines.yml, cpack.d/debian.cmake.in:
	update

2018-05-18 00:42 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (da70271a65c7 <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-18 00:37 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (4411bc73816c <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-18 00:20 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (da49eab0042f <new-cpack>)

	* bitbucket-pipelines.yml:
	update

2018-05-18 00:14 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ce9849bd870f <new-cpack>)

	* bitbucket-pipelines.yml:
	new pipelines with cpack.d

2018-05-18 00:13 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (3d79fb217f53 <new-cpack>)

	* cpack.d/fedora.cmake.in:
	implemented artifacts.list

2018-04-28 14:16 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ce72282c2522 <new-cpack>)

	* cpack.d/build-process.xml: new file.
	* cpack.d/build-process.xml:
	Draw.io package build functional

2018-04-19 08:15 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (464aa31bc228 <new-cpack>)

	* cpack.d/debian.cmake.in:
	fixed missing architecture in the generated package names

2018-04-16 19:45 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (05f892c52c99 <new-cpack>)

	* CMakeLists.txt:
	Fixed missing support for missing BOOL operator
	VERSION_GREATER_EQUAL in older version of CMake

2018-06-04 21:49 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f5586b0e41b7 <AppVeyorCI>)

	* appveyor.yml:
	Full build matrix enabled.

2018-06-03 22:50 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (cb22dd92931f <AppVeyorCI>)

	* appveyor.yml:
	Used correct order and path.

2018-06-03 22:35 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (6d6fdb70d3e4 <AppVeyorCI>)

	* appveyor.yml:
	set path.

2018-06-03 22:27 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (3251b41a559e <AppVeyorCI>)

	* appveyor.yml:
	minor update.

2018-05-31 00:39 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (326840f25f0e <AppVeyorCI>)

	* appveyor.yml:
	minor change .

2018-05-31 00:03 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (8236ee79b48b <AppVeyorCI>)

	* appveyor.yml:
	KISS. cmd and sh. basta.

2018-05-30 20:23 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (459bdad96dca <AppVeyorCI>)

	* appveyor.yml:
	Escape special symbol

2018-05-30 20:02 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ed1e1aefc7c3 <AppVeyorCI>)

	* appveyor.yml:
	missing env:.

2018-05-30 19:52 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (5a84f4a4ee38 <AppVeyorCI>)

	* appveyor.yml:
	used env to store variables.

2018-05-30 00:36 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (68108555d0fb <AppVeyorCI>)

	* appveyor.yml:
	Corrected ps linux commands.

2018-05-29 23:59 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (782cc4b332bf <AppVeyorCI>)

	* appveyor.yml:
	Corrected ps linux commands.

2018-05-29 23:55 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (cc482314c4be <AppVeyorCI>)

	* appveyor.yml:
	Test linux commands.

2018-05-29 23:51 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b7efa8763e64 <AppVeyorCI>)

	* appveyor.yml:
	Test linux commands.

2018-05-04 19:52 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (8fc7dbd123d4 <AppVeyorCI>)

	* CMakeLists.txt, appveyor.yml:
	Added default build type for non Multi configuration environments
	(Visual Studio, Xcode). Fixed Appveyor script for multi
	configuration environments.

2018-05-02 18:39 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f31cfe5c4bdd <AppVeyorCI>)

	* appveyor.yml:
	Enable position independent code flag.

2018-05-02 00:31 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f723ce1e7e20 <AppVeyorCI>)

	* appveyor.yml:
	full matrix enabled

2018-05-02 00:07 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (43870611486f <AppVeyorCI>)

	* appveyor.yml:
	testing vs2015

2018-04-30 22:57 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ff5bf9bbb2da <AppVeyorCI>)

	* appveyor.yml:
	Enable tests.

2018-04-30 10:17 +0200  Volker Enderlein  <Volker Enderlein>  (7e1965da35cd <AppVeyorCI>)

	* appveyor.yml:
	new test run

2018-04-30 09:45 +0200  Volker Enderlein  <Volker Enderlein>  (039ab0912f18 <AppVeyorCI>)

	* CMakeLists.txt:
	Added superglu include dirs.

2018-04-30 08:06 +0200  Volker Enderlein  <Volker Enderlein>  (b13c142d76e8 <AppVeyorCI>)

	* appveyor.yml:
	Commented shallow clone.

2018-04-30 00:18 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b1bffecea88e <AppVeyorCI>)

	* appveyor.yml:
	Minor change to run test.

2018-04-30 00:10 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7236f6f0abbc <AppVeyorCI>)

	* CMakeLists.txt:
	Fixed dynamic linking condition.

2018-04-29 23:02 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (d7425ab00d56 <AppVeyorCI>)

	* src/setup.h.cmake.in:
	Fixed line endigs for another file.

2018-04-29 22:46 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ab4dce4b2628 <AppVeyorCI>)

	* appveyor.yml:
	Removed verbose output of curl.

2018-04-29 22:46 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (5c13329141b8 <AppVeyorCI>)

	* CMakeLists.txt:
	Fixed opengl include path.

2018-04-29 22:45 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4493c98a322e <AppVeyorCI>)

	* include/Inventor/C/basic.h.cmake.in, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/config.h.cmake.in:
	Remove DOS line endings.

2018-04-27 00:51 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (8a3e5a848e84 <AppVeyorCI>)

	* appveyor.yml:
	Created downloads directory.

2018-04-27 00:44 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (fe15c7641fc0 <AppVeyorCI>)

	* appveyor.yml:
	Fixed permission error.

2018-04-27 00:20 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (da3382e7e4db <AppVeyorCI>)

	* appveyor.yml:
	Fixed extraction error.

2018-04-27 00:05 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (b2f4f50dad53 <AppVeyorCI>)

	* appveyor.yml:
	Naming scheme changed. Test curl download artifacts.

2018-04-24 22:27 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (680ef22345ac <AppVeyorCI>)

	* appveyor.yml:
	Fetch compressed repository.

2018-04-24 22:15 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ccd8e37e9b39 <AppVeyorCI>)

	* appveyor.yml:
	Updated multiple configurations.

2018-04-24 21:13 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (163ae968a021 <AppVeyorCI>)

	* appveyor.yml:
	Updated multiple configurations.

2018-04-24 21:02 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (5c82ef78786d <AppVeyorCI>)

	* appveyor.yml:
	Updated multiple configurations.

2018-04-24 20:51 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f2e5b8249192 <AppVeyorCI>)

	* appveyor.yml:
	Updated multiple configurations.

2018-04-24 20:36 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (2440ae078ffc <AppVeyorCI>)

	* appveyor.yml:
	Updated multiple configurations.

2018-04-24 20:10 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (d459747bf6bd <AppVeyorCI>)

	* appveyor.yml:
	Enabled multiple configurations.

2018-04-23 22:49 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (fe4dc71dfe9b <AppVeyorCI>)

	* appveyor.yml:
	Updated job parameter in appveyor script.

2018-04-23 22:42 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (f9f22729081a <AppVeyorCI>)

	* appveyor.yml:
	Build two configurations in appveyor script.

2018-04-23 20:40 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (8b6f57add105 <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script.

2018-04-23 19:55 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (4423f56f309a <AppVeyorCI>)

	* cmake/coin_helpers.cmake: new file.
	* cmake/coin_helpers.cmake:
	CMake helper macros added.

2018-04-23 00:32 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (aef4f4d1302b <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script. Download changed.

2018-04-23 00:28 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e06e8851874a <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script. Download changed.

2018-04-23 00:15 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (fde5990e32c5 <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script. Download changed.

2018-04-23 00:07 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (e3f190976bc1 <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script. Only one Configuration.

2018-04-22 23:06 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (013aa07ae93f <AppVeyorCI>)

	* appveyor.yml:
	Updated appveyor script.

2018-04-22 00:00 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7a95277be4d6 <AppVeyorCI>)

	* CMakeLists.txt, Info.plist.in, data/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/system/inttypes.h.cmake.in, src/CMakeLists.txt,
	src/Coin.rc.cmake.in, src/config.h.cmake.in,
	src/glue/spidermonkey.cpp, testsuite/CMakeLists.txt:
	updated CMake scripts.

2018-04-21 23:59 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (dc96fa8df10a <AppVeyorCI>)

	* appveyor.yml:
	updated Appveyor script.

2018-04-18 12:21 +0200  Volker Enderlein  <Volker Enderlein>  (432f211106f0 <AppVeyorCI>)

	* appveyor.yml:
	Added correct path to solution information.

2018-04-18 12:10 +0200  Volker Enderlein  <Volker Enderlein>  (8eb5bdf0a01b <AppVeyorCI>)

	* appveyor.yml:
	Added correct branch information.

2018-04-18 12:06 +0200  Volker Enderlein  <Volker Enderlein>  (9ef5ec3b479e <AppVeyorCI>)

	* appveyor.yml: new file.
	* appveyor.yml:
	Added minimal AppVeyor script.

2018-04-18 12:05 +0200  Volker Enderlein  <Volker Enderlein>  (d424c7602693 <AppVeyorCI>)

	* Created AppVeyor branch.

2018-04-16 23:14 +0200  sl1pkn07  <sl1pkn07@gmail.com>  (8d1ca1a6ea23)

	* CMakeLists.txt, src/CMakeLists.txt, src/xml/CMakeLists.txt:
	Allow to use system expat

2018-04-16 09:58 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (1cc420c9fafa)

	* Merged in veelo/coin/CMake-3.5-fix-Pipelines (pull request #105)

	CMake 3.5 fix Pipelines

2018-04-16 09:58 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (4cadc36a6c1a <CMake-3.5-fix-Pipelines>)

	* Close branch CMake-3.5-fix-Pipelines

2018-04-16 09:28 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (c24cf65f6ded <CMake-3.5-fix-Pipelines>)

	* CMakeLists.txt:
	CMake 3.5 workaround for missing VERSION_GREATER_EQUAL. Should fix
	Pipelines.

2018-04-16 09:24 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (f5bc76cd4f25 <CMake-3.5-fix-Pipelines>)

	* Created new branch CMake-3.5-fix-Pipelines

2018-04-16 09:21 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (964842c458ce)

	* Initial Bitbucket Pipelines configuration

2018-04-16 07:22 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (9b8b206db101)

	* cpack.d/CMakeLists.txt, cpack.d/README, cpack.d/commons.cmake.in,
	cpack.d/debian.cmake.in, cpack.d/fedora.cmake.in,
	cpack.d/fedora_post_uninstall.sh, cpack.d/readme-file.txt,
	examples/CMakeLists.txt, examples/dynloadextensions/CMakeLists.txt:
	new file.
	* CMakeLists.txt:
	Merged in ggabbiani/coin/new-cpack (pull request #103)

	New cpack

2018-04-12 01:07 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (cff70f19bcce <new-cpack>)

	* CMakeLists.txt:
	made less 'invasive', moving missing infos to the
	cpack,d/commons.cmake template

2018-04-12 01:06 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (bd13cb3f6e99 <new-cpack>)

	* cpack.d/CMakeLists.txt:
	added build number calculation from mercurial commits

2018-04-12 01:05 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (54ce9267fbaa <new-cpack>)

	* cpack.d/README:
	updated

2018-04-12 01:05 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (2f37ff730655 <new-cpack>)

	* docs/coin.doxygen.cmake.in:
	removed unused options

2018-04-12 01:04 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (c9ca3f117ced <new-cpack>)

	* cpack.d/CPackConfig-debian.cmake.in, cpack.d/CPackConfig-
	default.cmake.in, cpack.d/CPackConfig-fedora.cmake.in,
	cpack.d/DESCRIPTION.txt: deleted file.
	* cpack.d/CPackConfig-debian.cmake.in, cpack.d/CPackConfig-
	default.cmake.in, cpack.d/CPackConfig-fedora.cmake.in,
	cpack.d/DESCRIPTION.txt:
	renamed to new names

2018-04-12 01:04 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (71a8bd6c947d <new-cpack>)

	* cpack.d/commons.cmake.in, cpack.d/debian.cmake.in,
	cpack.d/fedora.cmake.in, cpack.d/readme-file.txt: new file.
	* cpack.d/commons.cmake.in, cpack.d/debian.cmake.in,
	cpack.d/fedora.cmake.in, cpack.d/readme-file.txt:
	renamed and modified version for cpack templates

2018-03-27 01:01 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (b1643dc76588 <new-cpack>)

	* examples/CMakeLists.txt, examples/dynloadextensions/CMakeLists.txt:
	new file.
	* CMakeLists.txt:
	merged

2018-03-27 00:54 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (56628a8a705e <new-cpack>)

	* CMakeLists.txt, cpack.d/CPackConfig-debian.cmake.in, cpack.d
	/CPackConfig-default.cmake.in, cpack.d/CPackConfig-fedora.cmake.in,
	cpack.d/README:
	cpack.d drop-in implementation

2018-03-26 15:04 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (5e350c9fd354 <new-cpack>)

	* examples/CMakeLists.txt, examples/dynloadextensions/CMakeLists.txt:
	new file.
	* CMakeLists.txt, examples/CMakeLists.txt,
	examples/dynloadextensions/CMakeLists.txt:
	added dynloadextensions example

2018-03-26 08:48 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (8b3bfe3dd4db <new-cpack>)

	* cpack.d/CMakeLists.txt, cpack.d/CPackConfig-debian.cmake.in, cpack.d
	/CPackConfig-default.cmake.in, cpack.d/CPackConfig-fedora.cmake.in,
	cpack.d/DESCRIPTION.txt, cpack.d/README,
	cpack.d/fedora_post_uninstall.sh: new file.
	* cpack.d/CMakeLists.txt, cpack.d/CPackConfig-debian.cmake.in, cpack.d
	/CPackConfig-default.cmake.in, cpack.d/CPackConfig-fedora.cmake.in,
	cpack.d/DESCRIPTION.txt, cpack.d/README,
	cpack.d/fedora_post_uninstall.sh:
	cpack.d implementation

2018-03-26 08:48 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ad6987c0e6cf <new-cpack>)

	* CMakeLists.txt:
	cpack.d implementation

2018-03-24 21:58 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (aa88861aff2a <new-cpack>)

	* testsuite/CMakeLists.txt:
	fixed missing pthread linking on testsuite

2018-04-02 10:56 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (03114bf703b0)

	* CMakeLists.txt:
	Moved HAVE_GLX define after HAVE_CGL (fixes issue #144)

2018-03-24 10:06 +0000  Mario Koerner  <mario.koerner@gmx.de>  (08d79cb92d64)

	* Merged in VolkerEnderlein/coin/testsuiteVS2005 (pull request #102)

	Fixes to enable building the testsuite with VS 2005 and VS 2010

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com>

2018-03-23 12:21 +0100  Volker Enderlein  <Volker Enderlein>  (0c75ae04ae83 <testsuiteVS2005>)

	* src/base/SbDPPlane.cpp, src/base/SbRotation.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec4f.cpp, src/base/rbptree.cpp:
	Fixes to enable building the testsuite with VS 2005 and VS 2010

2018-03-21 20:05 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (910cfb35969f)

	* bitbucket-pipelines.yml:
	Updated bitbucket-pipelines.yml to install to working directory
	(instead of /usr/local).

2018-03-20 22:51 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (f79a7b6019c3)

	* bitbucket-pipelines.yml:
	Added test and package to pipeline configuration

2018-03-20 11:54 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (d8e11e4cffe3)

	* testsuite/CMakeLists.txt, testsuite/TestSuiteUtils.cpp:
	Fix in utils for filter check and filter only when errors are
	expected

2018-03-20 11:51 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (76e80bdcf2f3)

	* src/base/SbDPPlane.cpp:
	Reduced number of test iterations in SbDPPlane for reasonable
	execution time

2018-03-20 11:47 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (3b8a5a684f13)

	* models/dead_simple/all-iv.iv, models/oiv_compliance/image.iv,
	models/oiv_compliance/texturecoordinateenvironment.iv:
	Fix for errors and warnings during test execution (don't assume
	simage is present).

2018-03-20 08:31 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (060041e3d999)

	* testsuite/CMakeLists.txt, testsuite/TestSuiteMain.cpp,
	testsuite/TestSuiteTemplate.cmake.in: new file.
	* Merged in TheHubbit/coin/issue145 (pull request #98)

	Added test suite to CMake build

2018-03-20 00:00 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (b01912e7050f <issue145>)

	* CMakeLists.txt:
	Don't check for GLX if WGL, AGL or CGL have been found.

2018-03-19 23:58 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (0d26d82f1420 <issue145>)

	* src/base/SbRotation.cpp:
	Fixed test by number instead of string comparison

2018-03-19 23:09 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (c1fe148576fa <issue145>)

	* testsuite/CMakeLists.txt, testsuite/TestSuiteUtils.cpp:
	Consider read error for passing incorrect files and filter console
	output.

2018-03-19 22:23 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (8932004c99a0 <issue145>)

	* models/vrml1.0/properties/info.wrl:
	Fix for Info with backslashes, which should only read if quote is at
	end of line.

2018-03-19 10:23 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (73df589056c7 <issue145>)

	* testsuite/CMakeLists.txt, testsuite/StandardTests.cpp,
	testsuite/TestSuiteUtils.cpp, testsuite/TestSuiteUtils.h:
	Spelling correction

2018-03-18 22:55 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (699e39585072 <issue145>)

	* testsuite/CMakeLists.txt:
	Added CMake option to include / exclude tests.

2018-03-18 22:27 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (ea019b636476 <issue145>)

	* testsuite/CMakeLists.txt:
	Handle 'incorrect' files under models folder.

2018-03-18 21:41 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (9d8126cd85d7 <issue145>)

	* testsuite/CMakeLists.txt:
	Disable warnings from test macros (and cleanup tabs).

2018-03-18 20:48 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (ea96414fea43 <issue145>)

	* src/misc/SoBase.cpp:
	Updated failed test case for output names (usage of VRMLGroup
	instead of Separator changed references).

2018-03-18 20:39 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (abf30715bec9 <issue145>)

	* testsuite/CMakeLists.txt, testsuite/TestSuiteMain.cpp,
	testsuite/TestSuiteTemplate.cmake.in: new file.
	* CMakeLists.txt, testsuite/CMakeLists.txt,
	testsuite/TestSuiteMain.cpp, testsuite/TestSuiteTemplate.cmake.in:
	Added testsuite to CMake build.

2018-03-18 20:31 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (2cd532f191ff <issue145>)

	* testsuite/TestSuiteMisc.cpp, testsuite/TestSuiteMisc.h:
	Added missing copyright header.

2018-03-18 20:30 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (8de5fb1ca547 <issue145>)

	* testsuite/StandardTests.cpp, testsuite/TestSuiteUtils.cpp,
	testsuite/TestSuiteUtils.h:
	Refactoring:
	- Moved part of test_all_files into separate test_file function
	- Moved test correct/incorrect/outofspec functions from StandardTests
	to TestSuiteUtils

2018-03-17 20:01 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (8f25a581fbca)

	* bitbucket-pipelines.yml: new file.
	* Merged Coin3D/coin into default

2018-03-17 13:31 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (d4c3c36890e8)

	* Merged Coin3D/default to default

2018-03-17 17:03 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (b8a0b4171598)

	* bitbucket-pipelines.yml:
	Added branch rule for issues

2018-03-17 20:50 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (de2e5a9fee0a)

	* bitbucket-pipelines.yml: new file.
	* bitbucket-pipelines.yml:
	Initial Bitbucket Pipelines configuration

2018-03-17 18:53 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (86fccf12eda2)

	* Merged in TheHubbit/coin/issue143 (pull request #97)

	Issue143 - extend list of invalid VRML identifier characters

2018-03-17 17:14 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (f2521973374d <issue143>)

	* bitbucket-pipelines.yml: deleted file.
	* bitbucket-pipelines.yml:
	Removed pipeline config from issue branch for pull request to main
	repo

2018-03-17 09:44 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (836589b43bb8 <issue143>)

	* src/io/SoInputP.cpp:
	Added '(', ')' and '|' to invalid VRML identifier characters (issue
	143)

2018-03-15 18:54 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (cbee6eb1f55b)

	* bitbucket-pipelines.yml:
	added cmake build to default

2018-03-15 18:50 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (09c9e8d4baa6)

	* bitbucket-pipelines.yml: new file.
	* bitbucket-pipelines.yml:
	Initial Bitbucket Pipelines configuration

2018-03-14 21:25 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (353a752d724b)

	* CMakeLists.txt, data/CMakeLists.txt, data/strfytemplate.cmake.in,
	docs/coin.doxygen.cmake.in, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/3ds/CMakeLists.txt, src/CMakeLists.txt, src/Coin.rc.cmake.in,
	src/CoinConfig.cmake.in, src/actions/CMakeLists.txt,
	src/actions/SoActionP.cpp, src/base/CMakeLists.txt,
	src/bundles/CMakeLists.txt, src/caches/CMakeLists.txt,
	src/collision/CMakeLists.txt, src/config.h.cmake.in,
	src/details/CMakeLists.txt, src/doc/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/extensions/CMakeLists.txt, src/fields/CMakeLists.txt,
	src/fonts/CMakeLists.txt, src/foreignfiles/CMakeLists.txt,
	src/geo/CMakeLists.txt, src/glue/CMakeLists.txt,
	src/hardcopy/CMakeLists.txt, src/io/CMakeLists.txt,
	src/io/SoInputP.cpp, src/lists/CMakeLists.txt,
	src/manips/CMakeLists.txt, src/misc/CMakeLists.txt,
	src/navigation/CMakeLists.txt, src/nodekits/CMakeLists.txt,
	src/nodes/CMakeLists.txt, src/profiler/CMakeLists.txt,
	src/projectors/CMakeLists.txt, src/rendering/CMakeLists.txt,
	src/scxml/CMakeLists.txt, src/scxml/ScXMLP.cpp,
	src/sensors/CMakeLists.txt, src/setup.h.cmake.in,
	src/shaders/CMakeLists.txt, src/shadows/CMakeLists.txt,
	src/shapenodes/CMakeLists.txt, src/soscxml/CMakeLists.txt,
	src/threads/CMakeLists.txt, src/upgraders/CMakeLists.txt,
	src/vrml97/CMakeLists.txt, src/xml/CMakeLists.txt,
	src/xml/expat/CMakeLists.txt: new file.
	* Merged CMake into default. We consider it ready for production!

2018-03-14 18:31 +0000  Mario Koerner  <mario.koerner@gmx.de>  (181e58a927a7 <CMake>)

	* Merged in Renreok/coin/sotext2_performance (pull request #92)

	Optimized rendering performance for SoText2

2018-03-14 18:31 +0000  Mario Koerner  <mario.koerner@gmx.de>  (8cfef9f626ec <sotext2_performance>)

	* Close branch sotext2_performance

2018-02-11 12:01 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (726efa6f3029 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Merged CMake into sotext2_performance

2018-01-15 12:10 +0100  Mario Koerner  <mario.koerner@gmx.de>  (685ab5d60502 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Always perform size and position check before copying glyph bitmap
	into text bitmap buffer.

2017-12-31 11:05 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (bad6e08ce036 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Blend overlapping glyph bitmaps in SoText2.

2017-12-28 15:23 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (765db5ce1b74 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Fixed several border cases for optimized text rendering.

2017-12-25 11:15 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (3a814e11c574 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Ensure that length of individual text lines is consistent with text
	bounding box.

2017-12-16 21:54 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (3c6c392d4260 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Changed SoText2::GLRender to send the whole text using a single
	glDrawPixels call.

2017-12-16 12:50 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (eaa00affda34 <sotext2_performance>)

	* src/shapenodes/SoText2.cpp:
	Refactored SoText2 to use the same position computation in GLRender
	and buildGlyphCache.

2018-03-13 23:57 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (cb5c29c29608 <CMake>)

	* Merged default into CMake

2018-03-12 18:48 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (717915b14382)

	* Merged in Renreok/coin/patch_sosensormanager_processqueue (pull
	request #93)

	Make sure to continue sensor queue processing after unhandled
	exception

2018-01-17 20:28 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (f215169e314e <patch_sosensormanager_processqueue>)

	* src/sensors/SoSensorManager.cpp:
	Replaced tabs with spaces.

2018-01-15 09:44 +0100  Mario Koerner  <mario.koerner@gmx.de>  (9cf604dde5fc <patch_sosensormanager_processqueue>)

	* src/sensors/SoSensorManager.cpp:
	Added code to reset queue processing flags even in case of an
	unhandled exception.

2018-03-11 17:48 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (fde61b14bc86 <CMake>)

	* Merged in ggabbiani/coin/tagfile-export (pull request #96)

	Documentation export in CoinConfig.cmake

2018-03-11 18:34 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (c2adbbbd832e <tagfile-export>)

	* src/CMakeLists.txt, src/CoinConfig.cmake.in:
	cosmetics changes

2018-03-11 18:20 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (99dc0ee3020f <tagfile-export>)

	* docs/coin.doxygen.cmake.in, src/CMakeLists.txt,
	src/CoinConfig.cmake.in:
	In order to allow client code documentation to access the Coin tag
	file, a new variable Coin_DOC_DIR has been exported through
	CoinConfig file.

2018-02-15 21:16 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7e191c8f6a31 <CMake>)

	* Merged in ggabbiani/coin-multiversion/multiversion (pull request
	#95)

	Multiversion

2018-02-13 12:26 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (f344434e1ba4 <multiversion>)

	* docs/coin.doxygen.cmake.in:
	Modified the eventually produced QtHelp file name

2018-02-13 12:25 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (7da4739c1000 <multiversion>)

	* CMakeLists.txt, docs/coin.doxygen.cmake.in, src/doc/CMakeLists.txt:
	Implemented Qt Help generation management for supporting IDEs like
	QtCreator or KDevelop

2018-02-13 12:15 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ad452e6c486f <multiversion>)

	* src/CMakeLists.txt:
	cmake config assigned to development component

2018-02-13 12:14 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (b9ad548174d5 <multiversion>)

	* CMakeLists.txt:
	fixed cpack generation through RPM

2018-02-13 12:00 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (8fac1cde0599 <multiversion>)

	* CMakeLists.txt:
	added option controlled helper for cmake variable dumping during
	config added versioned installation path for includes and docs

2018-02-13 10:26 +0100  Giampiero Gabbiani  <giampiero@gabbiani.org>  (a44286719896 <multiversion>)

	* src/glue/simage_wrapper.cpp:
	fixed warn on string constant conversion

2018-02-11 11:39 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (61a4fd4230f9 <CMake>)

	* src/shapenodes/SoText2.cpp:
	Merged default into CMake

2018-02-09 12:01 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (cfa2cf65a23e)

	* Merged in chrvetter/coin_font_fix (pull request #70)

	turning off alpha test for small text quality improvement

	Fixes issue #126.

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com>

2016-12-01 11:39 -0500  Christoph  <Christoph>  (af09ec3a81b4)

	* src/shapenodes/SoText2.cpp:
	turning off alpha test for small text quality improvement

2018-02-09 01:13 +0100  efferre79  <rossi.f@inwind.it>  (59556dbe5179 <CMake>)

	* src/CoinConfig.cmake.in:
	add "coin-config --have-feature" equivalent infos to cmake config
	file

	pivy requires coin-config --have-feature to detect features enabled
	at compile time for coin. Let's export the same information also in
	the .cmake file for a future cmake-based coin installation.

2018-02-08 19:38 +0100  efferre79  <rossi.f@inwind.it>  (9d4cb8edd145 <CMake>)

	* CMakeLists.txt, src/CoinConfig.cmake.in:
	export also features to cmake config file

2018-01-09 20:07 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (92cea70a90df <CMake>)

	* Merged default into CMake.

2018-01-09 18:51 +0000  Mario Koerner  <mario.koerner@gmx.de>  (2f46a49c907b <CMake>)

	* Merged in TheHubbit/coin/issue139 (pull request #90)

	Optionally use 64 bit integer type for unique node id (issue #139)

	Approved-by: Peter Zarnay <peter.zarnay@hotmail.com> Approved-by:
	Bastiaan Veelo <Bastiaan@SARC.nl> Approved-by: Mario Koerner
	<mario.koerner@gmx.de>

2017-12-09 11:19 -0800  Thomas Moeller  <thomas_moeller@yahoo.com>  (8f939cfedf34 <issue139>)

	* include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoTextureCombineElement.h,
	include/Inventor/misc/SoNotification.h,
	src/elements/GL/SoGLLazyElement.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoMultiTextureImageElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoTextureCombineElement.cpp,
	src/geo/SoGeoCoordinate.cpp, src/rendering/SoVBO.cpp,
	src/rendering/SoVBO.h:
	Consistent usage of SbUniqueId.

2017-12-09 10:26 -0800  Thomas Moeller  <thomas_moeller@yahoo.com>  (462231153aae <issue139>)

	* CMakeLists.txt, build/Xcode/include/Inventor/C/basic.h,
	build/msvc10/include/Inventor/C/basic.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc9/include/Inventor/C/basic.h,
	include/Inventor/C/basic.h.cmake.in, include/Inventor/C/basic.h.in,
	src/nodes/SoNode.cpp:
	Use uint64_t for unique id in all configurations unless
	COIN_UNIQUE_ID_UINT32 is set.

2017-12-06 20:41 -0800  Thomas Moeller  <thomas_moeller@yahoo.com>  (1881fdba803a <issue139>)

	* CMakeLists.txt, build/Xcode/include/Inventor/C/basic.h,
	build/msvc10/include/Inventor/C/basic.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc9/include/Inventor/C/basic.h,
	include/Inventor/C/basic.h.cmake.in, include/Inventor/C/basic.h.in,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/nodes/SoNode.h, src/misc/SoNotification.cpp,
	src/nodes/SoNode.cpp:
	Optionally use 64 bit integer type for unique node id (issue #139)

2017-12-06 18:33 -0800  Thomas Moeller  <thomas_moeller@yahoo.com>  (7cd1aeba13b6 <CMake>)

	* include/Inventor/C/base/math-undefs.h: deleted file.
	* include/Inventor/C/base/math-undefs.h:
	Merged Coin3D/coin/CMake into CMake

2017-10-10 21:41 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (a2a42a3ad43f <CMake>)

	* Merged Coin3D/coin/CMake into CMake

2017-10-10 21:37 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (729e22884501 <CMake>)

	* docs/doxygen/header.html:
	Merge

2018-01-09 18:43 +0000  Mario Koerner  <mario.koerner@gmx.de>  (f6ce556012df)

	* Merged in Renreok/coin/issue_sobasekit_makeifneeded (pull request
	#91)

	SoBaseKit::getPart() sometimes creates parts even if makeIfNeeded is
	FALSE

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com>

2018-01-09 18:43 +0000  Mario Koerner  <mario.koerner@gmx.de>  (a228c2580412 <issue_sobasekit_makeifneeded>)

	* Close branch issue_sobasekit_makeifneeded

2017-11-27 15:07 +0100  Mario Koerner  <mario.koerner@gmx.de>  (1fabe103a074 <issue_sobasekit_makeifneeded>)

	* src/nodekits/SoBaseKit.cpp:
	Fixed bug in SoBaseKit: do not trigger all node sensors when calling
	getPart with makeifneeded=FALSE

2017-12-09 15:47 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (1d5b2270e495 <CMake>)

	* Merged default into CMake

2017-12-09 14:40 +0000  Mario Koerner  <mario.koerner@gmx.de>  (ba7ee8e2591c)

	* Merged in Renreok/coin/issue_dragger_start_default (pull request
	#89)

	Added virtual function SoDragger::getPickedPointForStart

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com>

2017-12-09 14:40 +0000  Mario Koerner  <mario.koerner@gmx.de>  (5cc390da3231 <issue_dragger_start_default>)

	* Close branch issue_dragger_start_default

2017-12-09 15:09 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (076c3bf2e5cc <issue_dragger_start_default>)

	* src/draggers/SoDragger.cpp:
	Call getPickedPointForStart explicitly on this pointer for reasons
	of code consistency

2017-11-18 11:29 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (591b8fca394a <issue_dragger_start_default>)

	* include/Inventor/draggers/SoDragger.h, src/draggers/SoDragger.cpp:
	Added virtual function SoDragger::getPickedPointForStart to allow
	dragging of (partially) covered objects by derived draggers.

2017-11-03 16:53 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (8e8337f61b05 <CMake>)

	* Merged in veelo/coin/CoinConfig.cmake (pull request #88)

	Add postfix to release version in CoinConfig.cmake.

2017-11-03 16:53 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (c66a53cb6dca <CoinConfig.cmake>)

	* Close branch CoinConfig.cmake

2017-11-03 15:14 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (9878eeafd840 <CoinConfig.cmake>)

	* src/CoinConfig.cmake.in:
	Add postfix to release version in CoinConfig.cmake. Fixes release
	builds of Quarter's CMake branch.

2017-11-01 11:23 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (b3338efb0a79 <CMake>)

	* include/Inventor/C/base/math-undefs.h: deleted file.
	* include/Inventor/C/base/math-undefs.h:
	Merged default into CMake

2017-11-01 09:36 +0000  Mario Koerner  <mario.koerner@gmx.de>  (b6c62e1d6ae0 <CMake>)

	* Merged in roboticslibrary/coin/patch-math-undefs-cmake (pull request
	#87)

	Remove math-undefs.h from CMake branch

2017-10-31 15:03 +0100  Markus Rickert  <rickert@fortiss.org>  (57e95a594815 <patch-math-undefs-cmake>)

	* include/Inventor/C/basic.h.cmake.in:
	Remove math-undefs.h

2017-11-01 11:18 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (a06299a30ed8)

	* include/Inventor/C/base/math-undefs.h: deleted file.
	* include/Inventor/C/base/math-undefs.h:
	Removed file include\Inventor\C\base\math-undefs.h

2017-11-01 09:19 +0000  Mario Koerner  <mario.koerner@gmx.de>  (380cf01157a2)

	* Merged in roboticslibrary/coin/patch-math-undefs (pull request #86)

	Remove math-undefs.h

2017-10-31 14:56 +0100  Markus Rickert  <rickert@fortiss.org>  (b06ca98efbec <patch-math-undefs>)

	* build/Xcode/include/Inventor/C/basic.h, build/misc/install-
	headers.bat, build/misc/uninstall-headers.bat,
	build/msvc10/coin4.vcxproj, build/msvc10/coin4.vcxproj.filters,
	build/msvc10/include/Inventor/C/basic.h, build/msvc6/coin4.dsp,
	build/msvc6/include/Inventor/C/basic.h, build/msvc7/coin4.vcproj,
	build/msvc7/include/Inventor/C/basic.h, build/msvc8/coin4.vcproj,
	build/msvc8/include/Inventor/C/basic.h, build/msvc9/coin4.vcproj,
	build/msvc9/include/Inventor/C/basic.h,
	include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/Makefile.in, include/Inventor/C/basic.h.in:
	Remove math-undefs.h

2017-10-06 17:22 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (a37c8fba8d01 <CMake>)

	* Merged in veelo/coin/issue130 (pull request #85)

	Use correct value in various instances of cmakedefine.

2017-10-06 17:22 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (9ab8ffc3c87c <issue130>)

	* Close branch issue130

2017-10-06 19:18 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (e8eb08f99b61 <issue130>)

	* include/Inventor/system/inttypes.h.cmake.in, src/config.h.cmake.in:
	Use correct value in various instances of cmakedefine. Resolves
	issue #130.

2017-10-04 13:22 +0200  Bastiaan Veelo  <Bastiaan@SARC.nl>  (1185c558b092 <CMake>)

	* Merged default into CMake

2017-10-04 11:18 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (2a6dfc265fca)

	* Merged in veelo/coin/r15_grey_colorado_edu (pull request #84)

	Prevent crash when no extensions are available (which can happen on
	some Linux systems).

2017-10-04 11:18 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7a2d9ffc7c21 <r15_grey_colorado_edu>)

	* Close branch r15_grey_colorado_edu

2017-10-04 12:51 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (022dcff26240 <r15_grey_colorado_edu>)

	* src/glue/gl.cpp:
	Prevent crash when no extensions are available (which can happen on
	some Linux systems). Cherry-picked r15 from
	https://grey.colorado.edu/svn/coin3d/coin/trunk/.

2017-10-04 10:32 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (f743fdc34809 <Unril/edited-srccmakeliststxt-changed-install--1457727488559>)

	* Close branch Unril/edited-srccmakeliststxt-changed-install--
	1457727488559.

2017-10-04 10:30 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (576ae88a2594 <have_stdint>)

	* Close branch have_stdint.

2017-10-04 10:28 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (cd15da4e3cca <Issue_WindowsLibraryNames>)

	* Close branch Issue_WindowsLibraryNames.

2017-10-04 10:24 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (0b9e387af207 <fedora26-adaptations>)

	* Close branch fedora26-adaptations.

2017-10-04 11:35 +0200  Bastiaan Veelo  <Bastiaan@SARC.nl>  (f3de45c8ec8f <CMake>)

	* Merged default into CMake

2017-10-04 08:06 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (97712b4a8a77 <CMake>)

	* Merged in ggabbiani/coin/fedora26-adaptations (pull request #83)

	Fedora26 adaptations

2017-10-03 23:38 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (cef816d14f36 <fedora26-adaptations>)

	* src/doc/CMakeLists.txt:
	used the new HAVE_MAN option for man pages generator on not windows
	systems. Changed the install directory for html documentation from
	${CMAKE_INSTALL_DATADIR}/doc to ${CMAKE_INSTALL_DOCDIR} as it should
	accoridng to the GNU Coding Standards
	(https://www.gnu.org/prep/standards/html_node/Directory-
	Variables.html)

2017-10-03 23:29 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (ac3a05834b3c <fedora26-adaptations>)

	* CMakeLists.txt:
	removed implicit OFF options, added new HAVE_MAN option

2017-08-30 13:06 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (6008c4bd6ba6 <fedora26-adaptations>)

	* src/3ds/SoStream.cpp:
	fixed wrong assignment to buffer pointer

2017-08-30 13:05 +0200  Giampiero Gabbiani  <giampiero@gabbiani.org>  (fbd6ca1c1436 <fedora26-adaptations>)

	* CMakeLists.txt:
	modified in order to keep usual postfix for built library on Linux
	systems

2017-09-28 11:38 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (1ff103ce5c04)

	* Merged in veelo/coin/Amend fix to issue #54 (pull request #82)

	Amend fix to issue #54

2017-09-28 11:38 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (111f501e94a5 <Amend fix to issue #54>)

	* Close branch Amend fix to issue #54

2017-09-28 13:29 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (29ae9e856407 <Amend fix to issue #54>)

	* src/glue/gl.cpp:
	Fix comment.

2017-09-28 13:25 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (485f00ff442c <Amend fix to issue #54>)

	* src/glue/gl.cpp:
	Replace tabs with spaces.

2017-09-27 11:49 +0200  Bastiaan Veelo  <Bastiaan@SARC.nl>  (9e21496028f2 <CMake>)

	* Merged default into CMake

2017-09-27 10:49 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (a016990baa14 <CMake>)

	* docs/doxygen/header.html:
	Merge default into CMake

2017-09-27 09:39 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (b9ba29d3a6c7)

	* src/base/SbViewVolume.cpp:
	Merged in VolkerEnderlein/sbviewvolume (pull request #76)

	Fixed loop condition in SbViewVolume.cpp

	Approved-by: Bastiaan Veelo <Bastiaan@SARC.nl>

2017-08-24 19:35 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (ce802678885e)

	* src/base/SbViewVolume.cpp:
	Fixed loop condition in SbViewVolume.cpp

2017-09-26 22:13 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (d7337dffc418)

	* Merged in veelo/coin/Clipped_markers_amend (pull request #61)

	Eliminate unnecessary casts.

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com>

2017-09-26 22:13 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (d1a313e09a9d <Clipped_markers_amend>)

	* Close branch Clipped_markers_amend

2016-04-01 14:10 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (ec1035ac8182 <Clipped_markers_amend>)

	* src/shapenodes/SoIndexedMarkerSet.cpp,
	src/shapenodes/SoMarkerSet.cpp:
	Eliminate unnecessary casts.

2017-09-26 22:04 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (8d59c2dc507e)

	* src/misc/SbHash.h:
	Merged in VolkerEnderlein/issue128 (pull request #75)

	Added fix for issue #128 provided by Fedora devs to SbHash.h

	Approved-by: Bastiaan Veelo <Bastiaan@SARC.nl>

2017-08-24 19:21 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7ba0af2dabad)

	* src/misc/SbHash.h:
	Added fix for issue #128 provided by Fedora devs to SbHash.h

2017-09-26 22:02 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (40e64d051c51)

	* Merged in VolkerEnderlein/coin (pull request #69)

	Fixed broken build with configure & make by removing DOS line
	endings in relevant files.

	Approved-by: Thomas Moeller <thomas_moeller@yahoo.com> Approved-by:
	Bastiaan Veelo <Bastiaan@SARC.nl>

2017-08-23 22:47 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (7427045da127)

	* src/base/SbViewVolume.cpp:
	Backed out changeset 497f6a296ac9

2017-08-23 22:46 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (0e1d4ae0bca4)

	* src/misc/SbHash.h:
	Reverted changes to SbHash.h

2017-08-23 22:13 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (532fc6c1bd19)

	* src/misc/SbHash.h:
	Added fix for issue #128 provided by fedora devs to SbHash.h

2017-08-23 22:09 +0200  Volker Enderlein  <volkerenderlein@hotmail.com>  (497f6a296ac9)

	* src/base/SbViewVolume.cpp:
	Fixed loop condition in SbViewVolume.cpp

2016-11-26 17:53 +0100  Volker Enderlein  <volkerenderlein@hotmail.com>  (27520223ac63)

	* build/msvc10/docs/coin4.doxygen, build/msvc6/docs/coin4.doxygen,
	build/msvc7/docs/coin4.doxygen, build/msvc8/docs/coin4.doxygen,
	build/msvc9/docs/coin4.doxygen, docs/doxygen/footer.html,
	docs/doxygen/header.html, docs/doxygen/stylesheet.css,
	include/Inventor/C/basic.h.in, models/io/correct/writeref-4.wrl,
	src/actions/SoHandleEventAction.cpp, src/fonts/win32.cpp,
	src/nodes/Makefile.am, src/nodes/Makefile.in, src/nodes/all-nodes-
	cpp.cpp:
	Removed DOS line endings in relevant files.

2017-09-26 21:39 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (25a6aca5213d <MSVC 2017>)

	* Close branch MSVC 2017.

2017-09-26 21:37 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (07e2e193312e <CMake>)

	* Merged in veelo/coin/MSVC 2017 (pull request #79)

	Resolve all (but one) MSVC 2017 warnings.

2017-09-26 23:15 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (50af7751708a <MSVC 2017>)

	* Merge from CMake

2017-09-26 21:33 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (6e114d70c5ca <MSVC 2017>)

	* src/CMakeLists.txt:
	Suppress MSVC warning about empty switch statement in Bison-
	generated files.

2017-09-26 12:49 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (45363d0ec0ad <MSVC 2017>)

	* src/engines/evaluator.y, src/engines/evaluator_tab.c,
	src/engines/evaluator_tab.diff, src/engines/so_eval.ic,
	src/foreignfiles/steel.cpp, src/foreignfiles/steel.l, src/scxml
	/eval-minimum-tab.cpp, src/scxml/eval-minimum-tab.hpp, src/scxml
	/eval-minimum.cpp, src/scxml/eval-minimum.cpp.patch, src/scxml/eval-
	minimum.l, src/soscxml/eval-coin-tab.cpp, src/soscxml/eval-coin-
	tab.hpp, src/soscxml/eval-coin-tab.y, src/soscxml/eval-coin.cpp,
	src/soscxml/eval-coin.cpp.patch, src/soscxml/eval-coin.l:
	Move includes to the top to prevent warnings about redefined
	INT8_MAX macros etc; MSVC 2017 complained. Parsers regenerated with
	flex/bison 2.6.3/2.7.

2017-09-26 09:49 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (3d88c63d65bb <MSVC 2017>)

	* src/rendering/SoOffscreenRenderer.cpp:
	Fix warning "Conversion uint -> int requires narrowing conversion."
	Repported by MSVC 2017.

2017-09-26 09:47 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (cf80fb39af0b <MSVC 2017>)

	* src/nodes/SoCamera.cpp:
	Use a constant like SoOffscreenRenderer does.

2017-09-26 00:22 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (919e20ddb664 <MSVC 2017>)

	* src/base/SbTime.cpp:
	From what I can see, the members of timeval are of type long on all
	Windows platforms. Fixes loss of precision warning on Windows.

2017-09-25 23:39 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (4a14fe307526 <MSVC 2017>)

	* src/base/SbSphere.cpp:
	Fix conversion from 'double' to 'float', possible loss of data.
	Warning by MSVC 2017.

2017-09-26 21:26 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (d5e12cf73abb <Boost version 1.65.1>)

	* Close branch Boost version 1.65.1.

2017-09-26 20:54 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (a713b5730081 <CMake>)

	* Merged in default (pull request #78)

	Use updated Boost headers in support of new compiler versions.

2017-09-26 20:47 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (4956b72d207a)

	* Merged in veelo/coin/Boost version 1.65.1 (pull request #77)

	Use updated Boost headers in support of new compiler versions.

2017-09-25 19:21 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (08985d5711d9 <Boost version 1.65.1>)

	* .hgsubstate, include/boost.README:
	Use updated Boost headers in support of new compiler versions.

2017-06-23 21:39 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (1ed29953c095 <CMake>)

	* Merged Issue_WindowsLibraryNames into CMake

2017-06-23 21:34 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (a3c492b6e36d <Issue_WindowsLibraryNames>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Install cmake configuration consistently with simage and SoQt to
	cmake/Coin-${COIN_VERSION} (instead of Coin\cmake)

2017-06-23 10:34 +0200  Mario Koerner  <mario.koerner@gmx.de>  (dc775a401a7e <Issue_WindowsLibraryNames>)

	* CMakeLists.txt, src/CMakeLists.txt:
	Merged changes from Markus Rickert

2017-05-18 10:05 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (39ff25eeb301 <Issue_WindowsLibraryNames>)

	* CMakeLists.txt, src/config.h.cmake.in:
	Added check for symbol _splitpath.

2017-03-13 12:46 +0100  Christoph Koehler  <christoph@c-koehler.eu>  (55b8a436d9c6 <Issue_WindowsLibraryNames>)

	* src/CMakeLists.txt:
	Fix pdb install name for Windows to also contain correct postfix.

2017-03-13 09:32 +0100  Christoph Koehler  <christoph@c-koehler.eu>  (0f048e00fc4c <Issue_WindowsLibraryNames>)

	* CMakeLists.txt:
	Fix coin dll name in windows case for relwithDebInfo and minsizerel
	configuration to match the normal release configuration name.

2016-06-03 21:01 +0200  Markus Rickert  <rickert@fortiss.org>  (e205a2afe1c1 <CMake>)

	* Merge upstream

2016-06-02 22:51 +0200  Markus Rickert  <rickert@fortiss.org>  (251555d19ba6 <CMake>)

	* src/CMakeLists.txt:
	Use only COIN_MAJOR_VERSION.COIN_MINOR_VERSION.COIN_MICRO_VERSION
	for target version

2016-06-02 00:40 +0200  Markus Rickert  <rickert@fortiss.org>  (55304da5898c <CMake>)

	* CMakeLists.txt, src/CMakeLists.txt, src/CoinConfig.cmake.in,
	src/glue/CMakeLists.txt:
	Add EXPORT target Coin::Coin and linking to simage::simage target

2016-06-02 00:27 +0200  Markus Rickert  <rickert@fortiss.org>  (cf41f4690961 <CMake>)

	* src/CMakeLists.txt:
	Use TARGET_PDB_FILE:Coin for PDB installation in CMake >= 3.1

2016-06-02 00:25 +0200  Markus Rickert  <rickert@fortiss.org>  (2a0b9bdf835a <CMake>)

	* src/CMakeLists.txt:
	Add Coin target version

2016-06-02 00:23 +0200  Markus Rickert  <rickert@fortiss.org>  (2f1b2dd01567 <CMake>)

	* CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, src/CMakeLists.txt,
	src/doc/CMakeLists.txt:
	Add CPack and install components

2016-06-02 00:15 +0200  Markus Rickert  <rickert@fortiss.org>  (f3db658e4c8f <CMake>)

	* CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, src/CMakeLists.txt,
	src/doc/CMakeLists.txt:
	Use GNUInstallDirs variables

2016-06-01 23:52 +0200  Markus Rickert  <rickert@fortiss.org>  (b1f5258414a0 <CMake>)

	* include/Inventor/C/base/math-undefs.h:
	Fix math-undefs.h for MSVC 2015

2016-06-01 23:44 +0200  Markus Rickert  <rickert@fortiss.org>  (9999418799ec <CMake>)

	* src/actions/SoHandleEventAction.cpp:
	Fix extra qualification error in SoHandleEventAction.cpp

2016-07-05 18:33 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (035e53e53730 <CMake>)

	* Merged in TheHubbit/coin/CMake (pull request #66)

	Added suffix to library names (issue #77 / CMake)

2016-07-05 09:55 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (7ba0e5e7fe61 <CMake>)

	* Merged tip into CMake

2016-06-18 23:24 -0700  TheHubbit  <TheHubbit@nospam.org>  (19f9eaeaa0ec <CMake>)

	* CMakeLists.txt:
	Major version number (“1”) of simage library is only used on
	Windows.

2016-06-18 22:34 -0700  TheHubbit  <TheHubbit@nospam.org>  (603417e00b67 <CMake>)

	* CMakeLists.txt, src/rendering/SoOffscreenCGData.cpp:
	Fix for OS X build: use CGL instead of AGL, which is now deprecated.

2016-06-13 19:01 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (7d16c14c6fb2 <CMake>)

	* CMakeLists.txt:
	Replaced spaces with tabs.

2016-06-13 18:57 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (771702020da0 <CMake>)

	* CMakeLists.txt:
	Use 's' and 'd' suffix on all platforms and additionally the major
	version on Windows only.

2016-06-13 18:35 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (9cc75ad67a7a <CMake>)

	* CMakeLists.txt:
	Added major version to library name on Windows and enabled C++
	exception handling.

2016-06-13 18:27 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (ad5af082a95f <CMake>)

	* src/CoinConfig.cmake.in: new file.
	* Merged Coin3D/coin/CMake into CMake

2016-06-10 08:07 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (6f700adeaa35 <CMake>)

	* Merged default into CMake

2016-07-05 18:31 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (5ad423d59544 <CMake>)

	* Merged default into CMake

2016-07-05 09:49 -0700  Thomas Moeller  <thomas_moeller@yahoo.com>  (10d8002bcf0d)

	* src/rendering/SoOffscreenCGData.cpp:
	Fix for missing ; in getResolution.

2016-06-23 18:07 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (dc61eed3c124 <CMake>)

	* Merged default into CMake

2016-06-23 18:06 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b138a07535b4)

	* src/draggers/SoDragger.cpp:
	Fix for SoDragger mouse release event, as per Issue #121

2016-06-03 19:08 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (2bb2650ca20d <CMake>)

	* Merged default into CMake

2016-06-03 19:02 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (5e5784939846)

	* src/actions/SoHandleEventAction.cpp:
	Remove erroneous qualifier

2016-04-14 18:33 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (91d49c323427 <CMake>)

	* Merged default into CMake

2016-04-14 17:33 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b3fc198a0c99 <addGetRadius_vetter>)

	* Close branch addGetRadius_vetter.

2016-04-14 18:32 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d0742431fe23)

	* Merged in chrvetter/coin/addGetRadius_vetter (pull request #63)

	added new methof getRadius to SoHandleEventAction

2016-04-13 14:44 -0400  Christoph  <Christoph>  (98610dd4aa23 <addGetRadius_vetter>)

	* src/actions/SoHandleEventAction.cpp:
	fixed getPickRadius according to suggestion

2016-04-13 14:02 -0400  Christoph  <Christoph>  (27eadd231580 <addGetRadius_vetter>)

	* include/Inventor/actions/SoHandleEventAction.h,
	src/actions/SoHandleEventAction.cpp:
	getPickRadius is now const function

2016-04-11 10:40 -0400  Christoph  <Christoph>  (793ca7b9f0de <addGetRadius_vetter>)

	* include/Inventor/actions/SoHandleEventAction.h,
	src/actions/SoHandleEventAction.cpp:
	add getRadius to SoHandleEventAction

2016-04-02 18:11 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (8a91391a23df <X3D>)

	* Merged default into X3D

2016-04-02 18:08 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (f1850f1ab449 <CMake>)

	* CMakeLists.txt, INSTALL, src/config.h.cmake.in:
	Solved CMake build problems on Windows, especially with VS 2008
	- inttypes.h and stdint.h are not necessary, Coin defines its own
	types in this case
	- ensure that HAVE_WINDLL_RUNTIME_BINDING is set, otherwise GLU is not
	loaded

2016-03-31 15:05 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d199826b792a <have_stdint>)

	* Merged default into have_stdint

2016-03-31 15:04 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f6ebb51b2c6d <CMake>)

	* Merged default into CMake

2016-03-31 14:04 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (6f96644769cd <Clipped_markers>)

	* Close branch Clipped_markers.

2016-03-31 15:02 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1febba170ac1)

	* Merged in veelo/coin/Clipped_markers (pull request #52)

	Fix markers disappearing when clipping planes are present.

2016-03-31 12:04 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (90d31ebbd5f6 <Clipped_markers>)

	* src/shapenodes/SoIndexedMarkerSet.cpp,
	src/shapenodes/SoMarkerSet.cpp:
	Document the fix.

2016-02-06 00:40 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (e747e20ef1fa <Clipped_markers>)

	* src/shapenodes/SoIndexedMarkerSet.cpp,
	src/shapenodes/SoMarkerSet.cpp:
	Fix markers disappearing when clipping planes are present.

2016-03-30 19:52 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (948f59509478 <Issue_Sphere_Line_Intersection>)

	* Close branch Issue_Sphere_Line_Intersection.

2016-03-30 19:52 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1eababa52992 <RayPickAction_getRadius>)

	* Close branch RayPickAction_getRadius.

2016-03-30 19:55 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (21159874e181 <CMake>)

	* Merged in veelo/coin/have_stdint (pull request #60)

	Deal with integer types on MSVC 9 2008.

2016-03-30 20:26 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (4e63d1d005db <have_stdint>)

	* CMakeLists.txt, include/Inventor/system/inttypes.h.cmake.in,
	src/config.h.cmake.in:
	Merge

2016-03-30 14:15 +0200  Bastiaan Veelo  <Bastiaan@Veelo.net>  (f3eb7a035fca <have_stdint>)

	* CMakeLists.txt, INSTALL,
	include/Inventor/system/inttypes.h.cmake.in, src/config.h.cmake.in:
	Test for stdint.h like autoconf did, and add instructions for
	compiling with MSVC 9 2008.

2016-03-30 19:09 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1ed5ec3809fb <X3D>)

	* Merged default into X3D

2016-03-30 19:08 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (fc82c4340d5a <CMake>)

	* Merged default into CMake

2016-03-30 19:06 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d2b9f6c18ed3)

	* Merged in Renreok/coin/Issue_Sphere_Line_Intersection (pull request
	#59)

	Fix for issue #118 (Numerical problems with interaction with
	SoTrackballManip)

2016-03-30 18:57 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (1f5db4a9011e <Issue_Sphere_Line_Intersection>)

	* src/base/SbLine.cpp, src/base/SbSphere.cpp:
	Incorporated review comments

2016-03-28 12:28 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (5adc2ba83204 <Issue_Sphere_Line_Intersection>)

	* src/base/SbDPMatrix.cpp:
	Fixed numerical problem also in SbDPMatrix::multLineMatrix().

2016-03-27 12:01 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (1caf2fb8a491 <Issue_Sphere_Line_Intersection>)

	* src/base/SbDPLine.cpp, src/base/SbLine.cpp, src/base/SbMatrix.cpp,
	src/base/SbSphere.cpp:
	Fixed several numerical issues in the computation of intersection
	between sphere and line (used e.g. by SoTrackballManip).

2016-03-30 18:53 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1a60d2f32f03 <CMake>)

	* src/CoinConfig.cmake.in: new file.
	* src/CMakeLists.txt:
	Merged in veelo/coin/CMake (pull request #58)

	Install CoinConfig[Version].cmake.

2016-03-15 18:21 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (e605ab87fe56 <CMake>)

	* src/CoinConfig.cmake.in: new file.
	* src/CMakeLists.txt, src/CoinConfig.cmake.in:
	Generate and install two additional CMake files containing
	information about the Coin configuration and version:
	lib\Coin\cmake\CoinConfig.cmake and
	lib\Coin\cmake\CoinConfigVersion.cmake so that users can configure
	their build without guessing.

	If we ever do an installer (NSIS or the like) it should register the
	location of these files as documented in
	https://cmake.org/cmake/help/v3.1/manual/cmake-packages.7.html
	#package-registry-example

2016-03-15 19:35 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (686317d73452 <CMake>)

	* src/CMakeLists.txt:
	Merged latest changes from Coin3D main repository.

2015-12-31 16:16 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (ca3b1b0ad297 <CMake>)

	* CMakeLists.txt, include/Inventor/C/basic.h.cmake.in,
	include/Inventor/system/inttypes.h.cmake.in, src/CMakeLists.txt,
	src/config.h.cmake.in:
	Adapted CMake configuration to support Windows builds with VS 9
	(2008)

2016-03-14 18:10 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (28df9b0721da <CMake_MSVC_debug>)

	* Close branch CMake_MSVC_debug.

2016-03-14 18:08 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f0e95c923ba4 <CMake>)

	* src/CMakeLists.txt:
	Merged in veelo/coin/CMake_MSVC_debug (pull request #57)

	For debugging builds, copy the pdb to bin for shared libraries and
	embed debugging information in static libraries.

2016-03-12 11:53 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (c6733a307aa0 <CMake_MSVC_debug>)

	* src/CMakeLists.txt:
	For debugging builds, copy the pdb to bin for shared libraries and
	embed debugging information in static libraries, as suggestded by
	Nikolay Fedorov.

2016-03-14 18:03 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (ec03f8a4f547 <CMake>)

	* Merged in Unril/coin-1/Unril/edited-srccmakeliststxt-changed-install
	--1457727488559 (pull request #56)

	Edited src/CMakeLists.txt

2016-03-11 20:18 +0000  Nikolay Fedorov  <unril@live.ru>  (acec345ff59c <Unril/edited-srccmakeliststxt-changed-install--1457727488559>)

	* src/CMakeLists.txt:
	Edited src/CMakeLists.txt Changed install destination so it install
	binaries into bin folder. It is a convention almost all CMake
	projects (Quarter for example) follow.

2016-03-03 18:35 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (0fc55ffc9ea2 <CMake>)

	* Merged default into CMake

2016-03-03 18:33 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (559be0543cbc)

	* Merged in Renreok/coin/RayPickAction_getRadius (pull request #54)

	Added new method SoRayPickAction::getRadius (issue #107)

2016-03-03 09:13 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (b252d387ccf3 <RayPickAction_getRadius>)

	* include/Inventor/actions/SoRayPickAction.h,
	src/actions/SoRayPickAction.cpp:
	Changed declaration of SoRayPickAction::getRadius to include 'void'
	as function argument.

2016-03-02 16:43 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (cb927b3f2437 <RayPickAction_getRadius>)

	* include/Inventor/actions/SoRayPickAction.h,
	src/actions/SoRayPickAction.cpp:
	Added new method "float SoRayPickAction::getRadius() const".

2016-02-08 11:00 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f5de507b609b <CMake>)

	* Merged default into CMake

2016-02-06 19:26 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d735206fc3f8 <Parallel_precision>)

	* Close branch Parallel_precision.

2016-02-06 19:25 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (60b9bb5f4b23)

	* Merged in veelo/coin/Parallel_precision (pull request #53)

	Account for floating point precision when evaluating parallelism.

2016-02-06 01:00 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (7a7375bad0c8 <Parallel_precision>)

	* src/base/SbDPPlane.cpp, src/base/SbPlane.cpp:
	Account for floating point precision when evaluating parallelism.

	Without this you can get the following: intersect two completely
	arbitrary planes to get an intersection line. Intersecting that line
	with any of the planes could produce a point, whereas the line and
	plane are parallel by definition.

2016-02-06 18:54 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (3f7808e40482 <Dragger_cleanup>)

	* Close branch Dragger_cleanup.

2016-02-06 18:53 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (4b19af99da5c)

	* Merged in veelo/coin/Dragger_cleanup (pull request #51)

	Stop grabbing events when the dragger is removed while dragging.

2016-02-06 00:16 +0100  Bastiaan Veelo  <Bastiaan@Veelo.net>  (3a800594c033 <Dragger_cleanup>)

	* src/draggers/SoDragger.cpp:
	Stop grabbing events when the dragger is removed while dragging.
	Prevents crashing the event manager on successive events.

2016-01-29 13:23 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (475c4cb1fd60 <CMake>)

	* Merged default into CMake

2016-01-29 13:19 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (c01b9fd6ff5d)

	* include/Inventor/SbVec2us.h, include/Inventor/SbVec3us.h,
	include/Inventor/SbVec4us.h:
	Fixed casting errors when compiling on Mac OS X and Ubuntu

2016-01-05 13:49 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b02ec1c3dda0 <Unril/wrong-include-path-fix-in-sostlfilekit-h-1449166333298>)

	* Close branch Unril/wrong-include-path-fix-in-
	sostlfilekit-h-1449166333298.

2016-01-05 13:49 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f5e2bb476519)

	* Merged in Unril/coin/Unril/wrong-include-path-fix-in-
	sostlfilekit-h-1449166333298 (pull request #45)

	Wrong include path fix in SoSTLFileKit header file.

2015-12-03 18:12 +0000  Nikolay Fedorov  <unril@live.ru>  (35d921577886 <Unril/wrong-include-path-fix-in-sostlfilekit-h-1449166333298>)

	* include/Inventor/annex/ForeignFiles/SoSTLFileKit.h:
	Wrong include path fix in SoSTLFileKit header file.

2016-01-04 20:21 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (c2e4465b18c4 <Issue_Warnings>)

	* Close branch Issue_Warnings.

2016-01-04 20:19 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (72585f81967a)

	* Merged in Renreok/coin/Issue_Warnings (pull request #50)

	Resolved several level 4 compiler warnings in public header files

2016-01-04 17:12 +0100  Mario Koerner  <mario.koerner@gmx.de>  (9ffcd0a937e7 <Issue_Warnings>)

	* Merged Coin3D/coin/default into Issue_Warnings

2015-12-23 13:16 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (6d2f957d99fb <Issue_Warnings>)

	* include/Inventor/SbVec2b.h, include/Inventor/SbVec2ub.h,
	include/Inventor/SbVec2us.h, include/Inventor/SbVec3b.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec3ub.h,
	include/Inventor/SbVec3us.h, include/Inventor/SbVec4b.h,
	include/Inventor/SbVec4s.h, include/Inventor/SbVec4ub.h,
	include/Inventor/SbVec4us.h, include/Inventor/fields/SoSFEnum.h:
	Fixed some more level 4 warnings in public header files

2015-12-23 10:11 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (93602fa1e6da <Issue_Warnings>)

	* include/Inventor/SbBasic.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodes/SoSubNode.h:
	Resolved several level 4 compiler warnings in public header files

2015-12-22 15:47 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (8f2d61c71a91 <Unril/changed-index-type-int-operator-from-sbr-1449249868397>)

	* Close branch Unril/changed-index-type-int-operator-from-
	sbr-1449249868397.

2015-12-22 15:45 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (21141728af76)

	* Merged in Unril/coin-2/Unril/changed-index-type-int-operator-from-
	sbr-1449249868397 (pull request #47)

	Changed index type int operator[] from SbRotation that it matches
	the same operator from SbVec4f. Mismatch causes hundreds of
	compilation warnings.

2015-12-04 17:24 +0000  Nikolay Fedorov  <unril@live.ru>  (789a1bb654bc <Unril/changed-index-type-int-operator-from-sbr-1449249868397>)

	* include/Inventor/SbRotation.h:
	Changed index type int operator[] from SbRotation that it matches
	the same operator from SbVec4f. Mismatch causes hundreds of
	compilation warnings.

2015-08-27 18:30 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (10a51d28f86c)

	* src/actions/SoRayPickAction.cpp:
	Issue #102 - Fixed incorrect matrix info in
	SoRayPickAction::getViewVolume

2015-04-04 11:19 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (6163cc9f5d85 <Issue_Dragger_Viewport>)

	* Closed branch Issue_Dragger_Viewport

2015-04-04 11:18 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (848abc43cff8 <Issue_Billboard_GetMatrix>)

	* Closed branch Issue_Billboard_GetMatrix

2015-04-04 11:16 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (369ba8c9c856 <CMake>)

	* Merged default into CMake

2015-04-04 11:15 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (2f13b3f62c87)

	* Merged in Renreok/coin/Issue_Billboard_GetMatrix (pull request #44)

	SoVRMLBillboard: Fixed missing implementation of getMatrix() method

2015-04-04 10:21 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (626ee63910b6 <Issue_Billboard_GetMatrix>)

	* include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	src/nodes/SoCamera.cpp:
	Worked in review comments

2015-04-01 21:01 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (4906eca8a18b <Issue_Billboard_GetMatrix>)

	* include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/nodes/SoCamera.h, src/vrml97/Billboard.cpp:
	Header file changes for fix of SoVRMLBillboard::getMatrix()

2015-04-01 20:52 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (657d5b9a58a0 <Issue_Billboard_GetMatrix>)

	* src/nodes/SoCamera.cpp, src/vrml97/Billboard.cpp:
	Provided implementatio for SoVRMLBillboard::getMatrix()

2015-04-03 15:56 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (0e589ac7cf1f)

	* Merged in Renreok/coin/Issue_Dragger_Viewport (pull request #43)

	SoDragger: Ensure that camera info is up to date before calling
	updateDraggerCache.

2015-03-29 10:15 +0200  Mario Koerner  <Mario.Koerner@gmx.de>  (724eb612a550 <Issue_Dragger_Viewport>)

	* src/draggers/SoDragger.cpp:
	Ensusre that camera info is up to date before calling
	updateDraggerCache. This is needed because updateMatrix() requires
	viewport region to apply SoGetMatrixAction.

2015-03-15 19:45 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (3c2fb28d78ea <CMake>)

	* Merged default into CMake

2015-03-15 19:42 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (dc7fa05c9c15)

	* src/nodes/SoSceneTextureCubeMap.cpp:
	Fixed issue #96 - Use of illegal fourth component in SbColor
	variable.

2015-02-25 23:51 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (1ed71cc9d1a6 <CMake>)

	* INSTALL:
	Document documentation options.

2015-02-25 23:19 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (c4b740813e80 <CMake>)

	* CMakeLists.txt, docs/coin.doxygen.cmake.in,
	src/actions/SoActionP.cpp, src/doc/CMakeLists.txt,
	src/io/SoInputP.cpp, src/scxml/ScXMLP.cpp:
	Merged Coin3D/coin/CMake into CMake

2015-02-22 16:43 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (e747c6555516 <CMake>)

	* CMakeLists.txt:
	Clear the cache in order not to accumulate lists on successive runs.

2015-02-22 11:39 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (3f764950550c <CMake>)

	* docs/coin.doxygen.cmake.in, src/doc/CMakeLists.txt:
	Warn of undocumented members when documenting public API, not when
	documenting completely.

2015-02-22 03:07 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (7d6fb4d4293c <CMake>)

	* src/actions/SoActionP.cpp, src/io/SoInputP.cpp,
	src/scxml/ScXMLP.cpp: new file.
	* CMakeLists.txt, docs/coin.doxygen.cmake.in,
	src/actions/CMakeLists.txt, src/actions/SoAction.cpp,
	src/actions/SoActionP.cpp, src/base/CMakeLists.txt,
	src/caches/CMakeLists.txt, src/collision/CMakeLists.txt,
	src/doc/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/engines/CMakeLists.txt, src/errors/CMakeLists.txt,
	src/fields/CMakeLists.txt, src/fonts/CMakeLists.txt,
	src/foreignfiles/CMakeLists.txt, src/geo/CMakeLists.txt,
	src/glue/CMakeLists.txt, src/hardcopy/CMakeLists.txt,
	src/io/CMakeLists.txt, src/io/SoInput.cpp, src/io/SoInputP.cpp,
	src/lists/SoCallbackList.cpp, src/misc/CMakeLists.txt,
	src/navigation/CMakeLists.txt, src/nodekits/CMakeLists.txt,
	src/nodes/CMakeLists.txt, src/profiler/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/scxml/ScXML.cpp, src/scxml/ScXMLP.cpp,
	src/shaders/CMakeLists.txt, src/shapenodes/CMakeLists.txt,
	src/soscxml/CMakeLists.txt, src/threads/CMakeLists.txt,
	src/threads/barrier.cpp, src/threads/common.cpp,
	src/threads/condvar.cpp, src/threads/fifo.cpp,
	src/threads/mutex.cpp, src/threads/recmutex.cpp,
	src/threads/rwmutex.cpp, src/threads/sched.cpp,
	src/threads/storage.cpp, src/threads/thread.cpp,
	src/threads/worker.cpp, src/threads/wpool.cpp,
	src/upgraders/CMakeLists.txt, src/vrml97/CMakeLists.txt,
	src/xml/CMakeLists.txt:
	Option to include internal documentation.

2015-02-20 15:10 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (4ba05b81d2ff <CMake>)

	* src/doc/CMakeLists.txt:
	HTML is not the only format of documentation.

2015-02-25 22:15 +0100  Thomas  <TheHubbit@nospam.org>  (3d363956dbb1 <CMake>)

	* CMakeLists.txt, src/config.h.cmake.in:
	Initialize more defines in config.h with CMake.

2015-02-23 14:10 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (527bf1ea6dcf <CMake>)

	* src/actions/SoActionP.cpp, src/io/SoInputP.cpp,
	src/scxml/ScXMLP.cpp: new file.
	* CMakeLists.txt, docs/coin.doxygen.cmake.in,
	src/actions/CMakeLists.txt, src/actions/SoAction.cpp,
	src/actions/SoActionP.cpp, src/base/CMakeLists.txt,
	src/caches/CMakeLists.txt, src/collision/CMakeLists.txt,
	src/doc/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/engines/CMakeLists.txt, src/errors/CMakeLists.txt,
	src/fields/CMakeLists.txt, src/fonts/CMakeLists.txt,
	src/foreignfiles/CMakeLists.txt, src/geo/CMakeLists.txt,
	src/glue/CMakeLists.txt, src/hardcopy/CMakeLists.txt,
	src/io/CMakeLists.txt, src/io/SoInput.cpp, src/io/SoInputP.cpp,
	src/lists/SoCallbackList.cpp, src/misc/CMakeLists.txt,
	src/navigation/CMakeLists.txt, src/nodekits/CMakeLists.txt,
	src/nodes/CMakeLists.txt, src/profiler/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/scxml/ScXML.cpp, src/scxml/ScXMLP.cpp,
	src/shaders/CMakeLists.txt, src/shapenodes/CMakeLists.txt,
	src/soscxml/CMakeLists.txt, src/threads/CMakeLists.txt,
	src/threads/barrier.cpp, src/threads/common.cpp,
	src/threads/condvar.cpp, src/threads/fifo.cpp,
	src/threads/mutex.cpp, src/threads/recmutex.cpp,
	src/threads/rwmutex.cpp, src/threads/sched.cpp,
	src/threads/storage.cpp, src/threads/thread.cpp,
	src/threads/worker.cpp, src/threads/wpool.cpp,
	src/upgraders/CMakeLists.txt, src/vrml97/CMakeLists.txt,
	src/xml/CMakeLists.txt:
	Add option to include internal documentation, resolve missing
	declarations.

2015-02-22 19:03 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f26489b22b71 <CMake>)

	* INSTALL:
	Dummy to reopen CMake branch.

2015-02-22 18:56 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (e54b37eccde6 <CMake>)

	* Close branch CMake

2015-02-20 08:59 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (fa3e16145ed3 <X3D>)

	* Merged default into X3D

2015-02-20 08:55 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (131959c1fc9e <CMake>)

	* Merged default into CMake

2015-02-19 21:39 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d2b3ea5747d5 <CMake2>)

	* Closed branch CMake2

2015-02-19 21:32 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1e4949e261dc <issue93>)

	* Closed branch issue93

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (8638b494e826 <issue89>)

	* Closed branch issue89

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (9dbf8e2eb88b <issue83>)

	* Closed branch issue83

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1088f8840318 <issue78>)

	* Closed branch issue78

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (32b4e2da1ff3 <issue76>)

	* Closed branch issue76

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (ac0a11acb462 <issue74>)

	* Closed branch issue74

2015-02-19 21:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (c7db2c1db7fd <issue68>)

	* Closed branch issue68

2015-02-19 21:30 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (38803d2858b2 <issue67>)

	* Closed branch issue67

2015-02-19 21:30 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (297d5745a1f1 <issue66>)

	* Closed branch issue66

2015-02-19 21:29 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (2d8ac7213bf7 <issue65>)

	* Closed branch issue65

2015-02-19 21:28 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (fb8bee4fa734 <issue44_treeview>)

	* Closed branch issue44_treeview

2015-02-19 21:28 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (892998317c34 <clangmathundef>)

	* Closed branch clangmathundef

2015-02-19 21:27 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (40f8edd6c424 <ReversePerspectiveProjection>)

	* Closed branch ReversePerspectiveProjection

2015-02-19 22:30 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (d77c7249db51)

	* src/profiler/SoProfilerVisualizeKit.cpp:
	Eliminate compiler warning on Linux:

	SoProfilerVisualizeKit.cpp: In constructor
	‘SoProfilerVisualizeKit::SoProfilerVisualizeKit()’:
	SoProfilerVisualizeKit.cpp:153:47: warning: passing NULL to non-
	pointer argument 1 of ‘void SoField::setDefault(SbBool)’
	[-Wconversion-null] this->separatorsWithGLCaches.setDefault(NULL);

2015-02-19 21:37 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (8382f9843b6e <CMake>)

	* Merged in veelo/coin/CMake2 (pull request #38)

	Doxyfile updated for 1.8.8. We already have headers and footers for
	1.8.8.

2015-02-19 21:23 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (0ec92517f0e7 <CMake2>)

	* docs/coin.doxygen.cmake.in:
	Doxyfile updated for 1.8.8. We already have headers and footers for
	1.8.8.

2015-02-19 20:09 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d9688402d7ee <CMake2>)

	* Closed branch CMake2

2015-02-19 18:48 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (6a04fe1464b6 <CMake>)

	* Merged in veelo/coin/CMake2 (pull request #37)

	Documentation fixes for Unices.

2015-02-19 18:33 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (38ed2241c597 <CMake2>)

	* src/doc/CMakeLists.txt:
	Install man pages.

2015-02-18 22:31 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (4c8ede78a9ce <CMake2>)

	* docs/coin.doxygen.cmake.in:
	Do generate manual pages if configured to do so.

2015-02-18 17:56 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (4a4421fdf009 <CMake2>)

	* docs/doxygen/header.html:
	Load logo on case sensitive file systems.

2015-02-19 11:53 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (75366b7b1505 <CMake2>)

	* CMakeLists.txt, data/CMakeLists.txt, data/strfytemplate.cmake.in,
	docs/coin.doxygen.cmake.in, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/3ds/CMakeLists.txt, src/CMakeLists.txt, src/Coin.rc.cmake.in,
	src/actions/CMakeLists.txt, src/base/CMakeLists.txt,
	src/bundles/CMakeLists.txt, src/caches/CMakeLists.txt,
	src/collision/CMakeLists.txt, src/config.h.cmake.in,
	src/details/CMakeLists.txt, src/doc/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/extensions/CMakeLists.txt, src/fields/CMakeLists.txt,
	src/fonts/CMakeLists.txt, src/foreignfiles/CMakeLists.txt,
	src/geo/CMakeLists.txt, src/glue/CMakeLists.txt,
	src/hardcopy/CMakeLists.txt, src/io/CMakeLists.txt,
	src/lists/CMakeLists.txt, src/manips/CMakeLists.txt,
	src/misc/CMakeLists.txt, src/navigation/CMakeLists.txt,
	src/nodekits/CMakeLists.txt, src/nodes/CMakeLists.txt,
	src/profiler/CMakeLists.txt, src/projectors/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/sensors/CMakeLists.txt, src/setup.h.cmake.in,
	src/shaders/CMakeLists.txt, src/shadows/CMakeLists.txt,
	src/shapenodes/CMakeLists.txt, src/soscxml/CMakeLists.txt,
	src/threads/CMakeLists.txt, src/upgraders/CMakeLists.txt,
	src/vrml97/CMakeLists.txt, src/xml/CMakeLists.txt,
	src/xml/expat/CMakeLists.txt: new file.
	* Merged Coin3D/coin/CMake into CMake2

2015-02-19 10:50 +0000  Bastiaan Veelo  <Bastiaan@SARC.nl>  (ed5b051b3d74 <CMake2>)

	* Created new branch CMake2

2015-02-18 12:49 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (0f83804ec7d7 <X3D>)

	* Merged default into X3D

2015-02-18 11:40 +0100  Thomas  <TheHubbit@nospam.org>  (ea25596925a7 <CMake>)

	* CMakeLists.txt, INSTALL:
	Merge

2015-02-18 11:32 +0100  Thomas  <TheHubbit@nospam.org>  (5350f22ce76d <CMake>)

	* CMakeLists.txt, docs/coin.doxygen.cmake.in, src/config.h.cmake.in,
	src/doc/CMakeLists.txt, src/setup.h.cmake.in:
	Changes from pull request 35 added to CMake again.

2015-02-18 11:17 +0100  Thomas  <TheHubbit@nospam.org>  (508dbfbd53ab <CMake>)

	* Merge

2015-02-18 11:12 +0100  Thomas  <TheHubbit@nospam.org>  (84db91db29e1 <CMake>)

	* INSTALL:
	Backout changeset 3e9988466ff0354fd8e12f68f89ab4a4d2413b36

2015-02-17 23:37 +0100  Thomas  <TheHubbit@nospam.org>  (e9a6fec024ae <CMake>)

	* Merged new dummy CMake branch from main repository.

2015-02-17 23:27 +0100  Thomas  <TheHubbit@nospam.org>  (27f016453276 <CMake>)

	* docs/coin.doxygen.cmake.in, src/doc/CMakeLists.txt:
	Set doxygen GENERATE_TREEVIEW based on HHC generation.

2015-02-17 20:55 +0100  Thomas  <TheHubbit@nospam.org>  (79f94b7a9936 <CMake>)

	* CMakeLists.txt:
	Avoid duplications in simage handling section.

2015-02-17 00:42 +0100  Thomas  <TheHubbit@nospam.org>  (64f17988e308 <CMake>)

	* CMakeLists.txt, src/config.h.cmake.in:
	Added simage support.

2015-02-16 20:42 +0100  Thomas  <TheHubbit@nospam.org>  (341e2cb09369 <CMake>)

	* CMakeLists.txt:
	Unmarked COIN_BUILD_SINGLE_LIB and COIN_BUILD_SHARED_LIBS from
	advanced settings.

2015-02-16 20:31 +0100  Thomas  <TheHubbit@nospam.org>  (c2cf81c499b7 <CMake>)

	* Merge

2015-02-16 14:19 +0100  Thomas  <TheHubbit@nospam.org>  (8b2a3d7cb2b0 <CMake>)

	* CMakeLists.txt, src/setup.h.cmake.in:
	Use cmake options for setup.h.

2015-02-15 17:08 +0100  Thomas  <TheHubbit@nospam.org>  (0b92d3b9e0e1 <CMake>)

	* CMakeLists.txt:
	Added missing data directory and options (3ds, threadsafe).

2015-02-17 23:01 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (cc5d26067c3f <CMake>)

	* INSTALL:
	Dummy commit to reopen the branch.

2015-02-17 22:55 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (57e2c2bd14ab <CMake>)

	* Close branch CMake

2015-02-17 20:20 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (3e9988466ff0 <CMake>)

	* INSTALL:
	Dummy commit to reopen branch

2015-02-16 20:27 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (00341afd1865 <CMake>)

	* Close branch CMake

2015-02-16 13:13 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b258fe57acd7 <CMake>)

	* Merged default into CMake

2015-02-16 13:09 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (a9e748858e58)

	* Merged in TheHubbit/coin/issue93 (pull request #36)

	Fix for missing write reference count of children (issue #93).

2015-02-16 12:44 +0100  Thomas  <TheHubbit@nospam.org>  (486477d3a141 <issue93>)

	* src/nodes/SoGroup.cpp:
	Fix for spelling mistake.

2015-02-16 11:18 +0100  Thomas  <TheHubbit@nospam.org>  (ba362f28ed3b <issue93>)

	* src/nodes/SoSwitch.cpp:
	Don't create additional write references in SoSwitch (issue #93).

2015-02-15 18:17 +0100  Thomas  <TheHubbit@nospam.org>  (afb670f2ac66 <issue93>)

	* include/Inventor/nodes/SoGroup.h, src/nodes/SoGroup.cpp:
	Fix for missing write reference count of children (issue #93).

2015-02-14 21:28 +0100  transporter  <transporter>  (91d7ebb76c0c <CMake>)

	* data/CMakeLists.txt, data/strfytemplate.cmake.in: new file.
	* src/internal/data/draggerDefaults/centerballDragger.h,
	src/internal/data/draggerDefaults/directionalLightDragger.h,
	src/internal/data/draggerDefaults/dragPointDragger.h,
	src/internal/data/draggerDefaults/handleBoxDragger.h,
	src/internal/data/draggerDefaults/jackDragger.h,
	src/internal/data/draggerDefaults/pointLightDragger.h,
	src/internal/data/draggerDefaults/rotateCylindricalDragger.h,
	src/internal/data/draggerDefaults/rotateDiscDragger.h,
	src/internal/data/draggerDefaults/rotateSphericalDragger.h,
	src/internal/data/draggerDefaults/scale1Dragger.h,
	src/internal/data/draggerDefaults/scale2Dragger.h,
	src/internal/data/draggerDefaults/scale2UniformDragger.h,
	src/internal/data/draggerDefaults/scaleUniformDragger.h,
	src/internal/data/draggerDefaults/spotLightDragger.h,
	src/internal/data/draggerDefaults/tabBoxDragger.h,
	src/internal/data/draggerDefaults/tabPlaneDragger.h,
	src/internal/data/draggerDefaults/trackballDragger.h,
	src/internal/data/draggerDefaults/transformBoxDragger.h,
	src/internal/data/draggerDefaults/transformerDragger.h,
	src/internal/data/draggerDefaults/translate1Dragger.h,
	src/internal/data/draggerDefaults/translate2Dragger.h,
	src/internal/data/shaders/lights/DirSpotLight.h,
	src/internal/data/shaders/lights/DirectionalLight.h,
	src/internal/data/shaders/lights/PointLight.h,
	src/internal/data/shaders/lights/SpotLight.h,
	src/internal/data/shaders/vsm/VsmLookup.h: deleted file.
	* data/CMakeLists.txt, data/strfytemplate.cmake.in,
	src/CMakeLists.txt,
	src/internal/data/draggerDefaults/centerballDragger.h,
	src/internal/data/draggerDefaults/directionalLightDragger.h,
	src/internal/data/draggerDefaults/dragPointDragger.h,
	src/internal/data/draggerDefaults/handleBoxDragger.h,
	src/internal/data/draggerDefaults/jackDragger.h,
	src/internal/data/draggerDefaults/pointLightDragger.h,
	src/internal/data/draggerDefaults/rotateCylindricalDragger.h,
	src/internal/data/draggerDefaults/rotateDiscDragger.h,
	src/internal/data/draggerDefaults/rotateSphericalDragger.h,
	src/internal/data/draggerDefaults/scale1Dragger.h,
	src/internal/data/draggerDefaults/scale2Dragger.h,
	src/internal/data/draggerDefaults/scale2UniformDragger.h,
	src/internal/data/draggerDefaults/scaleUniformDragger.h,
	src/internal/data/draggerDefaults/spotLightDragger.h,
	src/internal/data/draggerDefaults/tabBoxDragger.h,
	src/internal/data/draggerDefaults/tabPlaneDragger.h,
	src/internal/data/draggerDefaults/trackballDragger.h,
	src/internal/data/draggerDefaults/transformBoxDragger.h,
	src/internal/data/draggerDefaults/transformerDragger.h,
	src/internal/data/draggerDefaults/translate1Dragger.h,
	src/internal/data/draggerDefaults/translate2Dragger.h,
	src/internal/data/shaders/lights/DirSpotLight.h,
	src/internal/data/shaders/lights/DirectionalLight.h,
	src/internal/data/shaders/lights/PointLight.h,
	src/internal/data/shaders/lights/SpotLight.h,
	src/internal/data/shaders/vsm/VsmLookup.h:
	Create headers from glsl & iv

2015-02-14 18:10 +0100  transporter  <transporter>  (f80b2ebb653c <CMake>)

	* src/Coin.rc.cmake.in: new file.
	* src/CMakeLists.txt, src/Coin.rc.cmake.in:
	Add RC for Windows DLL

2015-02-14 17:21 +0100  transporter  <transporter>  (1b33857771a4 <CMake>)

	* src/actions/CMakeLists.txt, src/base/CMakeLists.txt,
	src/bundles/CMakeLists.txt, src/caches/CMakeLists.txt,
	src/collision/CMakeLists.txt, src/details/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/fields/CMakeLists.txt, src/fonts/CMakeLists.txt,
	src/foreignfiles/CMakeLists.txt, src/geo/CMakeLists.txt,
	src/glue/CMakeLists.txt, src/hardcopy/CMakeLists.txt,
	src/io/CMakeLists.txt, src/lists/CMakeLists.txt,
	src/manips/CMakeLists.txt, src/misc/CMakeLists.txt,
	src/navigation/CMakeLists.txt, src/nodekits/CMakeLists.txt,
	src/nodes/CMakeLists.txt, src/profiler/CMakeLists.txt,
	src/projectors/CMakeLists.txt, src/rendering/CMakeLists.txt,
	src/scxml/CMakeLists.txt, src/sensors/CMakeLists.txt,
	src/shaders/CMakeLists.txt, src/shadows/CMakeLists.txt,
	src/shapenodes/CMakeLists.txt, src/soscxml/CMakeLists.txt,
	src/threads/CMakeLists.txt, src/upgraders/CMakeLists.txt,
	src/vrml97/CMakeLists.txt, src/xml/CMakeLists.txt:
	Update for documentation source

2015-02-14 14:24 +0100  transporter  <transporter>  (2a5efd26829b <CMake>)

	* src/CMakeLists.txt:
	Add VS PDB to build and install

2015-02-14 14:01 +0100  transporter  <transporter>  (69d8bc8eaff5 <CMake>)

	* CMakeLists.txt, src/3ds/CMakeLists.txt, src/actions/CMakeLists.txt,
	src/base/CMakeLists.txt, src/bundles/CMakeLists.txt,
	src/caches/CMakeLists.txt, src/collision/CMakeLists.txt,
	src/details/CMakeLists.txt, src/draggers/CMakeLists.txt,
	src/elements/CMakeLists.txt, src/elements/GL/CMakeLists.txt,
	src/engines/CMakeLists.txt, src/errors/CMakeLists.txt,
	src/events/CMakeLists.txt, src/fields/CMakeLists.txt,
	src/fonts/CMakeLists.txt, src/foreignfiles/CMakeLists.txt,
	src/geo/CMakeLists.txt, src/glue/CMakeLists.txt,
	src/hardcopy/CMakeLists.txt, src/io/CMakeLists.txt,
	src/lists/CMakeLists.txt, src/manips/CMakeLists.txt,
	src/misc/CMakeLists.txt, src/navigation/CMakeLists.txt,
	src/nodekits/CMakeLists.txt, src/nodes/CMakeLists.txt,
	src/profiler/CMakeLists.txt, src/projectors/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/sensors/CMakeLists.txt, src/shaders/CMakeLists.txt,
	src/shadows/CMakeLists.txt, src/shapenodes/CMakeLists.txt,
	src/soscxml/CMakeLists.txt, src/threads/CMakeLists.txt,
	src/upgraders/CMakeLists.txt, src/vrml97/CMakeLists.txt,
	src/xml/CMakeLists.txt, src/xml/expat/CMakeLists.txt:
	Change file definition

2015-02-13 16:55 +0100  Transporter  <Transporter>  (72aab83bfced <CMake>)

	* CMakeLists.txt:
	Merge

2015-02-13 16:22 +0100  Transporter  <Transporter>  (ee1e39b8e0e0 <CMake>)

	* src/internal/data/draggerDefaults/centerballDragger.h,
	src/internal/data/draggerDefaults/directionalLightDragger.h,
	src/internal/data/draggerDefaults/dragPointDragger.h,
	src/internal/data/draggerDefaults/handleBoxDragger.h,
	src/internal/data/draggerDefaults/jackDragger.h,
	src/internal/data/draggerDefaults/pointLightDragger.h,
	src/internal/data/draggerDefaults/rotateCylindricalDragger.h,
	src/internal/data/draggerDefaults/rotateDiscDragger.h,
	src/internal/data/draggerDefaults/rotateSphericalDragger.h,
	src/internal/data/draggerDefaults/scale1Dragger.h,
	src/internal/data/draggerDefaults/scale2Dragger.h,
	src/internal/data/draggerDefaults/scale2UniformDragger.h,
	src/internal/data/draggerDefaults/scaleUniformDragger.h,
	src/internal/data/draggerDefaults/spotLightDragger.h,
	src/internal/data/draggerDefaults/tabBoxDragger.h,
	src/internal/data/draggerDefaults/tabPlaneDragger.h,
	src/internal/data/draggerDefaults/trackballDragger.h,
	src/internal/data/draggerDefaults/transformBoxDragger.h,
	src/internal/data/draggerDefaults/transformerDragger.h,
	src/internal/data/draggerDefaults/translate1Dragger.h,
	src/internal/data/draggerDefaults/translate2Dragger.h,
	src/internal/data/shaders/lights/DirSpotLight.h,
	src/internal/data/shaders/lights/DirectionalLight.h,
	src/internal/data/shaders/lights/PointLight.h,
	src/internal/data/shaders/lights/SpotLight.h,
	src/internal/data/shaders/vsm/VsmLookup.h: new file.
	* docs/coin_doxygenfiles.cmake.inc: deleted file.
	* CMakeLists.txt, docs/coin.doxygen.cmake.in,
	docs/coin_doxygenfiles.cmake.inc, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, src/3ds/CMakeLists.txt,
	src/CMakeLists.txt, src/actions/CMakeLists.txt,
	src/base/CMakeLists.txt, src/bundles/CMakeLists.txt,
	src/caches/CMakeLists.txt, src/collision/CMakeLists.txt,
	src/details/CMakeLists.txt, src/doc/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/fields/CMakeLists.txt, src/fonts/CMakeLists.txt,
	src/foreignfiles/CMakeLists.txt, src/geo/CMakeLists.txt,
	src/glue/CMakeLists.txt, src/hardcopy/CMakeLists.txt,
	src/internal/data/draggerDefaults/centerballDragger.h,
	src/internal/data/draggerDefaults/directionalLightDragger.h,
	src/internal/data/draggerDefaults/dragPointDragger.h,
	src/internal/data/draggerDefaults/handleBoxDragger.h,
	src/internal/data/draggerDefaults/jackDragger.h,
	src/internal/data/draggerDefaults/pointLightDragger.h,
	src/internal/data/draggerDefaults/rotateCylindricalDragger.h,
	src/internal/data/draggerDefaults/rotateDiscDragger.h,
	src/internal/data/draggerDefaults/rotateSphericalDragger.h,
	src/internal/data/draggerDefaults/scale1Dragger.h,
	src/internal/data/draggerDefaults/scale2Dragger.h,
	src/internal/data/draggerDefaults/scale2UniformDragger.h,
	src/internal/data/draggerDefaults/scaleUniformDragger.h,
	src/internal/data/draggerDefaults/spotLightDragger.h,
	src/internal/data/draggerDefaults/tabBoxDragger.h,
	src/internal/data/draggerDefaults/tabPlaneDragger.h,
	src/internal/data/draggerDefaults/trackballDragger.h,
	src/internal/data/draggerDefaults/transformBoxDragger.h,
	src/internal/data/draggerDefaults/transformerDragger.h,
	src/internal/data/draggerDefaults/translate1Dragger.h,
	src/internal/data/draggerDefaults/translate2Dragger.h,
	src/internal/data/shaders/lights/DirSpotLight.h,
	src/internal/data/shaders/lights/DirectionalLight.h,
	src/internal/data/shaders/lights/PointLight.h,
	src/internal/data/shaders/lights/SpotLight.h,
	src/internal/data/shaders/vsm/VsmLookup.h, src/io/CMakeLists.txt,
	src/lists/CMakeLists.txt, src/manips/CMakeLists.txt,
	src/misc/CMakeLists.txt, src/navigation/CMakeLists.txt,
	src/nodekits/CMakeLists.txt, src/nodes/CMakeLists.txt,
	src/profiler/CMakeLists.txt, src/projectors/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/sensors/CMakeLists.txt, src/shaders/CMakeLists.txt,
	src/shadows/CMakeLists.txt, src/shapenodes/CMakeLists.txt,
	src/soscxml/CMakeLists.txt, src/threads/CMakeLists.txt,
	src/upgraders/CMakeLists.txt, src/vrml97/CMakeLists.txt,
	src/xml/CMakeLists.txt, src/xml/expat/CMakeLists.txt:
	Updated CMake files
	 - allow single project build
	 - allow multithreaded build (MSVC)
	 - create documentation
	 - install files, header and documentation

2015-02-11 23:35 +0100  TheHubbit  <TheHubbit@nospam.org>  (60d577881e91 <CMake>)

	* src/base/dict.h, src/fonts/glyph.cpp, src/fonts/glyph2d.cpp,
	src/fonts/glyph3d.cpp:
	Header changes from Alexey Pavlov (pull request #22).

2015-02-11 23:33 +0100  TheHubbit  <TheHubbit@nospam.org>  (2e72cd2a846e <CMake>)

	* CMakeLists.txt:
	Added CoreFoundation framework for OS X.

2015-02-11 14:43 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (19378cf1ecad <CMake>)

	* docs/coin_doxygenfiles.cmake.inc:
	Issue #77 - added missing line continuation marks.

2015-02-11 14:20 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (817e5a4e0d02 <CMake>)

	* docs/coin.doxygen.cmake.in, docs/coin_doxygenfiles.cmake.inc: new
	file.
	* CMakeLists.txt, docs/coin.doxygen.cmake.in,
	docs/coin_doxygenfiles.cmake.inc, src/doc/CMakeLists.txt:
	Issue #77 - added first attempt at documentation automation.

2015-02-09 13:37 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (9e21008ad94a <X3D>)

	* include/Inventor/nodes/SoReversePerspectiveCamera.h,
	src/nodes/SoReversePerspectiveCamera.cpp: new file.
	* Merged default into X3D

2015-02-09 13:06 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (397efab2772d <CMake>)

	* CMakeLists.txt, INSTALL, include/Inventor/system/CMakeLists.txt,
	src/CMakeLists.txt:
	Was pull request #32 - Build fixes, shared library support,
	debug/release differentiated target names, documentation. Code
	changes by Bastiaan.

2015-02-09 11:53 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (ed8ee4f5d9ea <CMake>)

	* Close branch CMake

2015-02-08 22:52 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (5005a561c5b0 <CMake>)

	* Merged default into CMake

2015-02-08 22:51 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b6d2acb9230d)

	* Merged in TheHubbit/coin/issue44_treeview (pull request #30)

	Tree view navigation in documentation

2015-02-08 19:41 +0100  Thomas  <TheHubbit@nospam.org>  (3e42d09de6fa <issue44_treeview>)

	* docs/releases.dox:
	Added reverse perspective camera and build system change.

2015-02-08 16:06 +0100  Thomas  <TheHubbit@nospam.org>  (2f91fa158047 <issue44_treeview>)

	* build/msvc6/docs/coin4.doxygen, build/msvc7/docs/coin4.doxygen,
	build/msvc8/docs/coin4.doxygen, build/msvc9/docs/coin4.doxygen:
	Undid doxy file changes in folders msvc6 - 9 for better readability
	of pull request.

2015-02-08 15:53 +0100  Thomas  <TheHubbit@nospam.org>  (ebbad6b50b47 <issue44_treeview>)

	* build/msvc10/docs/coin4.doxygen, build/msvc6/docs/coin4.doxygen,
	build/msvc7/docs/coin4.doxygen, build/msvc8/docs/coin4.doxygen,
	build/msvc9/docs/coin4.doxygen, docs/coin.doxygen.in,
	docs/coin_doxygenfiles.inc, docs/doxygen/Coin_logo.png,
	docs/doxygen/footer.html, docs/doxygen/header.html,
	docs/doxygen/stylesheet.css, docs/releases.dox,
	src/doc/Coin_main.dox, src/doc/Coin_modules.dox,
	src/threads/barrier.cpp, src/threads/common.cpp,
	src/threads/condvar.cpp, src/threads/fifo.cpp,
	src/threads/mutex.cpp, src/threads/recmutex.cpp,
	src/threads/rwmutex.cpp, src/threads/sched.cpp,
	src/threads/storage.cpp, src/threads/thread.cpp,
	src/threads/worker.cpp, src/threads/wpool.cpp:
	Changed doxygen output to tree view navigation layout and put thread
	classes into threads group.

2015-02-08 00:45 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (3ecbbc108419 <CMake>)

	* INSTALL:
	Preliminary install instructions for CMake.

2015-02-08 00:42 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (fc84ee2e73e4 <CMake>)

	* src/nodes/CMakeLists.txt:
	Add compilation of SoReversePerspectiveCamera.cpp.

2015-02-08 00:41 +0100  Bastiaan Veelo  <Bastiaan@SARC.nl>  (581716563523 <CMake>)

	* include/Inventor/C/basic.h.cmake.in, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/config.h.cmake.in, src/setup.h.cmake.in:
	Update comments in generated files. Fixes compilation of config.h.

2015-02-07 12:07 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (a266b2298102 <CMake>)

	* CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/3ds/CMakeLists.txt, src/CMakeLists.txt,
	src/actions/CMakeLists.txt, src/base/CMakeLists.txt,
	src/bundles/CMakeLists.txt, src/caches/CMakeLists.txt,
	src/collision/CMakeLists.txt, src/config.h.cmake.in,
	src/details/CMakeLists.txt, src/doc/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/extensions/CMakeLists.txt, src/fields/CMakeLists.txt,
	src/fonts/CMakeLists.txt, src/foreignfiles/CMakeLists.txt,
	src/geo/CMakeLists.txt, src/glue/CMakeLists.txt,
	src/hardcopy/CMakeLists.txt, src/io/CMakeLists.txt,
	src/lists/CMakeLists.txt, src/manips/CMakeLists.txt,
	src/misc/CMakeLists.txt, src/navigation/CMakeLists.txt,
	src/nodekits/CMakeLists.txt, src/nodes/CMakeLists.txt,
	src/profiler/CMakeLists.txt, src/projectors/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/sensors/CMakeLists.txt, src/setup.h.cmake.in,
	src/shaders/CMakeLists.txt, src/shadows/CMakeLists.txt,
	src/shapenodes/CMakeLists.txt, src/soscxml/CMakeLists.txt,
	src/threads/CMakeLists.txt, src/upgraders/CMakeLists.txt,
	src/vrml97/CMakeLists.txt, src/xml/CMakeLists.txt,
	src/xml/expat/CMakeLists.txt: new file.
	* CMakeLists.txt, include/CMakeLists.txt,
	include/Inventor/C/CMakeLists.txt,
	include/Inventor/C/basic.h.cmake.in,
	include/Inventor/CMakeLists.txt,
	include/Inventor/system/CMakeLists.txt, include/Inventor/system/gl-
	headers.h.cmake.in, include/Inventor/system/inttypes.h.cmake.in,
	src/3ds/CMakeLists.txt, src/CMakeLists.txt,
	src/actions/CMakeLists.txt, src/base/CMakeLists.txt,
	src/bundles/CMakeLists.txt, src/caches/CMakeLists.txt,
	src/collision/CMakeLists.txt, src/config.h.cmake.in,
	src/details/CMakeLists.txt, src/doc/CMakeLists.txt,
	src/draggers/CMakeLists.txt, src/elements/CMakeLists.txt,
	src/elements/GL/CMakeLists.txt, src/engines/CMakeLists.txt,
	src/errors/CMakeLists.txt, src/events/CMakeLists.txt,
	src/extensions/CMakeLists.txt, src/fields/CMakeLists.txt,
	src/fonts/CMakeLists.txt, src/foreignfiles/CMakeLists.txt,
	src/geo/CMakeLists.txt, src/glue/CMakeLists.txt,
	src/hardcopy/CMakeLists.txt, src/io/CMakeLists.txt,
	src/lists/CMakeLists.txt, src/manips/CMakeLists.txt,
	src/misc/CMakeLists.txt, src/navigation/CMakeLists.txt,
	src/nodekits/CMakeLists.txt, src/nodes/CMakeLists.txt,
	src/profiler/CMakeLists.txt, src/projectors/CMakeLists.txt,
	src/rendering/CMakeLists.txt, src/scxml/CMakeLists.txt,
	src/sensors/CMakeLists.txt, src/setup.h.cmake.in,
	src/shaders/CMakeLists.txt, src/shadows/CMakeLists.txt,
	src/shapenodes/CMakeLists.txt, src/soscxml/CMakeLists.txt,
	src/threads/CMakeLists.txt, src/upgraders/CMakeLists.txt,
	src/vrml97/CMakeLists.txt, src/xml/CMakeLists.txt,
	src/xml/expat/CMakeLists.txt:
	Introduction of Christian Buehler's CMake files. This was Pull
	Request #17. Done manually to get it into the correct branch.

2015-02-05 11:31 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (e84c0189c9b1 <CMake>)

	* Merged default into CMake

2015-02-05 11:28 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1c3dba07f84e)

	* docs/coin_doxygenfiles.inc:
	Added missing files for ReversePerspectiveCamera in doxygen file
	listing. Relates to issue #44 and issue #80

2015-02-05 11:07 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (0011a0fa2aea <CMake>)

	* Created new branch CMake

2015-01-16 18:22 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (741b49708bed)

	* Merged in TheHubbit/coin/issue89 (pull request #28)

	Support DISABLE policy in SoSelection node

2015-01-15 20:35 +0100  Thomas  <TheHubbit@nospam.org>  (66a9cdf70680 <issue89>)

	* src/nodes/SoSelection.cpp:
	Support DISABLE policy (issue #89).

2015-01-15 20:32 +0100  Thomas  <TheHubbit@nospam.org>  (3e6f5d9d4d4f <issue89>)

	* include/Inventor/nodes/SoSelection.h, src/nodes/SoSelection.cpp:
	Support DISABLE policy (issue #89).

2014-12-19 23:32 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (b4d79a31fd33)

	* src/nodes/Makefile.am, src/nodes/Makefile.in, src/nodes/all-nodes-
	cpp.cpp:
	Updated make files for new ReversePerspectiveCamera node - pull
	request #27

2014-12-19 20:51 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (6235b4754eed)

	* include/Inventor/nodes/SoNodes.h, src/nodes/SoNode.cpp:
	Added missing class registration for ReversePerspectiveCamera node -
	pull request #23

2014-12-19 14:55 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (4bb7d5a72568)

	* include/Inventor/nodes/SoReversePerspectiveCamera.h,
	src/nodes/SoReversePerspectiveCamera.cpp: new file.
	* Added build file changes for ReversePerspectiveCamera

2014-12-16 18:42 +0100  Mario Koerner  <mario.koerner@gmx.de>  (74c8d2e7bd03 <ReversePerspectiveProjection>)

	* Merged Coin3D/coin/ReversePerspectiveProjection into
	ReversePerspectiveProjection

2014-12-10 20:57 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (037ad5ca234b <ReversePerspectiveProjection>)

	* src/projectors/SbProjector.cpp:
	Removed line that must be replaced for the reverse perspective
	projection fix.

2014-12-10 20:34 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (713561394c29 <ReversePerspectiveProjection>)

	* src/nodes/SoReversePerspectiveCamera.cpp:
	- Fixed inconsitent newline characters
	- Fixed compilation error in constructor
	- Use angle/axis representation to initialize default orientation

2014-12-10 20:24 +0100  Mario Koerner  <Mario.Koerner@gmx.de>  (abe1cba53134 <ReversePerspectiveProjection>)

	* src/base/SbDPViewVolume.cpp, src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSphereProjector.cpp:
	Fixed inconsistent tabs and new lines.

2014-12-19 14:44 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (e33ed63c5a86)

	* src/vrml97/Extrusion.cpp:
	Fixed SoVRMLExtrusion rendering bug - issue #87.

2014-12-19 00:10 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (a344c235f9e0)

	* src/fonts/glyph2d.cpp:
	Fixed issue #86 - Text2 crash with non-integer font sizes.

2014-12-16 15:19 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (a3d8aa6a158d <ReversePerspectiveProjection>)

	* build/Xcode/Coin.xcodeproj/project.pbxproj, build/misc/uninstall-
	headers.bat, build/msvc10/coin4.vcxproj,
	build/msvc10/coin4.vcxproj.filters, build/msvc10/docs/coin4.doxygen,
	build/msvc6/coin4.dsp, build/msvc6/docs/coin4.doxygen,
	build/msvc7/coin4.vcproj, build/msvc7/docs/coin4.doxygen,
	build/msvc8/coin4.vcproj, build/msvc8/docs/coin4.doxygen,
	build/msvc9/coin4.vcproj, build/msvc9/docs/coin4.doxygen:
	Pull Request #23 - Add new node to build files.

2014-12-16 14:33 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (92d6af7a3bc1 <X3D>)

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	Preliminary changes to SoDB with respect to reading X3D files.

2014-12-14 13:32 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (292f70ef8d33)

	* build/html/Coin_logo.png, html/coin.tag: new file.
	* build/html/Coin_logo.png, html/coin.tag:
	Added additional files missed on previous commit for Issue #44

2014-12-14 13:23 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (4d4153d1c852)

	* docs/coin_doxygenfiles.inc, src/base/SbClip.cpp,
	src/base/SbDict.cpp, src/base/SbImage.cpp,
	src/base/SbTesselator.cpp, src/base/hash.cpp, src/base/heap.cpp,
	src/base/memalloc.cpp, src/base/rbptree.cpp,
	src/errors/debugerror.cpp, src/errors/error.cpp,
	src/lists/SoActionMethodList.cpp, src/lists/SoCallbackList.cpp,
	src/misc/SoDB.cpp, src/nodes/SoExtSelection.cpp,
	src/profiler/SbProfilingData.cpp, src/scxml/ScXMLStateMachine.cpp,
	src/threads/barrier.cpp, src/threads/common.cpp,
	src/threads/condvar.cpp, src/threads/fifo.cpp,
	src/threads/mutex.cpp, src/threads/recmutex.cpp,
	src/threads/rwmutex.cpp, src/threads/sched.cpp,
	src/threads/storage.cpp, src/threads/thread.cpp,
	src/threads/worker.cpp, src/threads/wpool.cpp:
	Further documentation update for Issue #44.

2014-12-10 11:09 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (19d7c0db3dd4 <ReversePerspectiveProjection>)

	* include/Inventor/nodes/SoReversePerspectiveCamera.h,
	src/nodes/SoReversePerspectiveCamera.cpp: new file.
	* build/misc/install-headers.bat,
	include/Inventor/nodes/SoReversePerspectiveCamera.h,
	src/base/SbDPViewVolume.cpp,
	src/nodes/SoReversePerspectiveCamera.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSphereProjector.cpp:
	Pull request #23 modified to include creation of
	SoReversePerspectiveCamera node.

2014-12-02 22:11 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (346965875362)

	* Merged in TheHubbit/coin/issue83 (pull request #22)

	Updated shader parameter documentation and fix for issue #83

2014-12-02 21:32 +0100  Thomas  <TheHubbit@nospam.org>  (379a75dad746 <issue83>)

	* src/shaders/SoShaderParameter.cpp:
	Incorporated review finding (more info in asserts).

2014-11-30 15:39 +0100  Thomas  <TheHubbit@nospam.org>  (058f5491b797 <issue83>)

	* src/nodes/SoVertexAttribute.cpp:
	Added missing NULL pointer check before accessing
	attributedata->data in GLRender().

2014-11-30 00:12 +0100  Thomas  <TheHubbit@nospam.org>  (1c72998b5fb3 <issue83>)

	* build/msvc10/docs/coin4.doxygen:
	Updated generated doxyfile under msvc10 to latest version.

2014-11-30 00:10 +0100  Thomas  <TheHubbit@nospam.org>  (3a118bdc6128 <issue83>)

	* src/misc/SoShaderGenerator.cpp, src/shaders/SoFragmentShader.cpp,
	src/shaders/SoGeometryShader.cpp, src/shaders/SoVertexShader.cpp:
	Added classes to shader documentation group.

2014-11-30 00:08 +0100  Thomas  <TheHubbit@nospam.org>  (794929293f73 <issue83>)

	* include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoShaderObject.cpp, src/shaders/SoShaderParameter.cpp:
	In addition to Cg also support GLSL in SoShaderStateMatrixParameter
	class.

2014-11-28 22:17 +0000  Thomas Moeller  <thomas_moeller@yahoo.com>  (0c2590230dd9 <issue81>)

	* Close branch issue81.

2014-11-28 21:52 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f7257e49e9e5)

	* Merged in TheHubbit/coin/issue81 (pull request #21)

	Added support for line pattern scale factor (solves Coin issue #81).

2014-11-28 20:36 +0100  Thomas  <TheHubbit@nospam.org>  (686f21546098 <issue81>)

	* src/elements/GL/SoGLLinePatternElement.cpp:
	Added documentation for SoGLLinePatternElement class.

2014-11-26 22:45 +0100  Thomas  <TheHubbit@nospam.org>  (2bb1c923852b <issue81>)

	* src/elements/GL/SoGLLinePatternElement.cpp:
	Fixed typo.

2014-11-26 20:14 +0100  Thomas  <TheHubbit@nospam.org>  (c5df625d5e26 <issue81>)

	* src/elements/SoLinePatternElement.cpp:
	Another typo.

2014-11-26 20:11 +0100  Thomas  <TheHubbit@nospam.org>  (3e07e30a72f5 <issue81>)

	* src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/SoLinePatternElement.cpp:
	Typo fixed.

2014-11-24 22:28 +0100  Thomas  <TheHubbit@nospam.org>  (ae433fe78d4f <issue81>)

	* src/elements/SoLinePatternElement.cpp:
	Incorporated review comment (check range, clamp and output warning).

2014-11-23 23:04 +0100  Thomas  <TheHubbit@nospam.org>  (0f5ac8877848 <issue81>)

	* src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/SoLinePatternElement.cpp, src/nodes/SoDrawStyle.cpp:
	Updated class documentation.

2014-11-23 20:05 +0100  Thomas  <TheHubbit@nospam.org>  (052aa761e328 <issue81>)

	* include/Inventor/elements/SoLinePatternElement.h,
	src/elements/GL/SoGLLinePatternElement.cpp,
	src/elements/SoLinePatternElement.cpp, src/nodes/SoDrawStyle.cpp:
	Added support for line pattern scale factor (solves Coin issue #81).

2014-11-27 15:48 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (96025b077383)

	* src/engines/SoEngineOutput.cpp:
	Fixed issue #82 - self-connections referencing within engine
	outputs.

2014-11-26 10:15 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d7e9d4d8e31e)

	* Merged in TheHubbit/coin/issue76 (pull request #20)

	Added auto-linking defines for Visual Studio.

2014-11-23 12:26 +0100  Thomas  <TheHubbit@nospam.org>  (ae978bb50a1b <issue76>)

	* build/msvc10/include/Inventor/C/basic.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc9/include/Inventor/C/basic.h,
	include/Inventor/C/basic.h.in:
	Added auto-linking defines for Visual Studio.

2014-10-28 14:53 +0000  Roy Walmsley  <roy.walmsley@ntlworld.com>  (e1e1670117ff)

	* Merged in TheHubbit/coin/issue78 (pull request #19)

	Font name needs to be converted, not cast.

2014-10-25 15:06 +0200  TheHubbit  <TheHubbit@nospam.org>  (fba1cff290d9 <issue78>)

	* src/fonts/win32.cpp:
	Font name needs to be converted, not casted.

2014-10-11 21:45 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (e3dbc1f8f27a)

	* src/elements/GL/SoGLMultiTextureCoordinateElement.cpp:
	Fixed issue #75 - SoTextureCoordinatePlane rendering bug

2014-10-06 14:24 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1dd16504da2f)

	* src/misc/SoDBP.cpp:
	Issue #73 - Fixed memory leak in the realTime SoGlobalField
	variable.

2014-09-30 23:31 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (99f40d7a7b7f)

	* Merged in TheHubbit/coin/issue74 (pull request #18)

	Wrong viewport offset in SoOffscreenRenderer

2014-09-28 14:39 +0200  TheHubbit  <TheHubbit@nospam.org>  (dea7d2d2d850 <issue74>)

	* src/rendering/SoOffscreenRenderer.cpp:
	Viewport offset has to be zero (fix for issue #74).

2014-09-16 20:39 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d13a8803c4bd)

	* docs/coin.doxygen.in:
	Issue #44 - fixed a couple of typos with the main doxygen input file
	in the previous commit.

2014-09-16 19:02 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (d9bb5490424c)

	* docs/coin.doxygen.in, src/bundles/SoMaterialBundle.cpp:
	Issue #44 - updated main doxygen input file.

2014-09-16 14:03 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (0c4af3e19996)

	* configure:
	As per issue #47 removed reference to -fno-for-scope.

2014-09-15 14:14 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (186f49abc911)

	* configure:
	Issue #47 - fixed test flag misspelling in configure.

2014-09-15 13:58 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (f74625b4017b)

	* docs/doxygen/images/asciitext.png,
	docs/doxygen/images/basekitexample.png,
	docs/doxygen/images/centerball.png,
	docs/doxygen/images/centerballdragger_actionexample.png,
	docs/doxygen/images/directionallight.png,
	docs/doxygen/images/directionallightdragger_actionshot.png,
	docs/doxygen/images/dragpoint.png,
	docs/doxygen/images/drawstyle.png,
	docs/doxygen/images/handlebox.png, docs/doxygen/images/jack-in-
	action.png, docs/doxygen/images/jack.png, docs/doxygen/images
	/nurbscurve-circle.png, docs/doxygen/images/nurbsprofile.png,
	docs/doxygen/images/nurbssurface.png,
	docs/doxygen/images/pointlight.png,
	docs/doxygen/images/quadmesh.png,
	docs/doxygen/images/rotatecylindrical.png,
	docs/doxygen/images/rotatedisc.png,
	docs/doxygen/images/rotatespherical.png,
	docs/doxygen/images/scale1.png,
	docs/doxygen/images/scale2uniform.png,
	docs/doxygen/images/scaleuniform.png,
	docs/doxygen/images/sosfimage.png,
	docs/doxygen/images/spheresheet.png, docs/doxygen/images/tabbox.png,
	docs/doxygen/images/tabplane.png, docs/doxygen/images/text3.png,
	docs/doxygen/images/texture3.png, docs/doxygen/images/trackball-
	cone.png, docs/doxygen/images/trackball.png,
	docs/doxygen/images/transformbox.png,
	docs/doxygen/images/transformer.png,
	docs/doxygen/images/translate1.png,
	docs/doxygen/images/translate2.png,
	docs/doxygen/images/transparencytype.png: new file.
	* docs/coin.doxygen.in, docs/coin_doxygenfiles.inc,
	docs/doxygen/footer.html, docs/doxygen/header.html,
	docs/doxygen/images/asciitext.png,
	docs/doxygen/images/basekitexample.png,
	docs/doxygen/images/centerball.png,
	docs/doxygen/images/centerballdragger_actionexample.png,
	docs/doxygen/images/directionallight.png,
	docs/doxygen/images/directionallightdragger_actionshot.png,
	docs/doxygen/images/dragpoint.png,
	docs/doxygen/images/drawstyle.png,
	docs/doxygen/images/handlebox.png, docs/doxygen/images/jack-in-
	action.png, docs/doxygen/images/jack.png, docs/doxygen/images
	/nurbscurve-circle.png, docs/doxygen/images/nurbsprofile.png,
	docs/doxygen/images/nurbssurface.png,
	docs/doxygen/images/pointlight.png,
	docs/doxygen/images/quadmesh.png,
	docs/doxygen/images/rotatecylindrical.png,
	docs/doxygen/images/rotatedisc.png,
	docs/doxygen/images/rotatespherical.png,
	docs/doxygen/images/scale1.png,
	docs/doxygen/images/scale2uniform.png,
	docs/doxygen/images/scaleuniform.png,
	docs/doxygen/images/sosfimage.png,
	docs/doxygen/images/spheresheet.png, docs/doxygen/images/tabbox.png,
	docs/doxygen/images/tabplane.png, docs/doxygen/images/text3.png,
	docs/doxygen/images/texture3.png, docs/doxygen/images/trackball-
	cone.png, docs/doxygen/images/trackball.png,
	docs/doxygen/images/transformbox.png,
	docs/doxygen/images/transformer.png,
	docs/doxygen/images/translate1.png,
	docs/doxygen/images/translate2.png,
	docs/doxygen/images/transparencytype.png,
	include/Inventor/SbMatrix.h, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoReorganizeAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/base/SbBox2f.cpp, src/base/SbBox2i32.cpp, src/base/SbBox2s.cpp,
	src/base/SbBox3f.cpp, src/base/SbBox3s.cpp, src/base/SbCylinder.cpp,
	src/base/SbDPLine.cpp, src/base/SbDPRotation.cpp,
	src/base/SbDPViewVolume.cpp, src/base/SbLine.cpp,
	src/base/SbMatrix.cpp, src/base/SbRotation.cpp,
	src/base/SbSphere.cpp, src/base/SbVec2d.cpp, src/base/SbVec2f.cpp,
	src/base/SbVec2i32.cpp, src/base/SbVec2s.cpp, src/base/SbVec3d.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec3s.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbXfBox3d.cpp,
	src/base/SbXfBox3f.cpp, src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoNormalBundle.cpp,
	src/bundles/SoVertexAttributeBundle.cpp,
	src/caches/SoGlyphCache.cpp, src/caches/SoPrimitiveVertexCache.cpp,
	src/caches/SoShaderProgramCache.cpp, src/caches/SoVBOCache.cpp,
	src/collision/SbTri3f.cpp, src/doc/Coin_books.dox,
	src/doc/Coin_environment.dox, src/doc/Coin_main.dox,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp, src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/elements/GL/SoGLCacheContextElement.cpp,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	src/elements/SoBumpMapElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/errors/debugerror.cpp,
	src/errors/error.cpp, src/fields/SoSFImage.cpp,
	src/hardcopy/HardCopy.cpp, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/VectorizePSAction.cpp, src/io/SoOutput.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformerManip.cpp, src/misc/CoinResources.cpp,
	src/misc/SoCompactPathList.cpp, src/misc/SoDebug.cpp,
	src/misc/SoShaderGenerator.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoTexture3.cpp,
	src/nodes/SoTextureCombine.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTransparencyType.cpp, src/profiler/SbProfilingData.cpp,
	src/profiler/SoProfilerStats.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/scxml/ScXMLOnEntryElt.cpp, src/scxml/ScXMLOnExitElt.cpp,
	src/shaders/SoGeometryShader.cpp,
	src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowDirectionalLight.cpp,
	src/shadows/SoShadowSpotLight.cpp, src/shadows/SoShadowStyle.cpp,
	src/shadows/SoShadowStyleElement.cpp,
	src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoNurbsCurve.cpp,
	src/shapenodes/SoNurbsSurface.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoText3.cpp, src/shapenodes/SoTriangleStripSet.cpp,
	src/threads/barrier.cpp, src/threads/condvar.cpp,
	src/threads/fifo.cpp, src/threads/mutex.cpp,
	src/threads/rwmutex.cpp, src/threads/storage.cpp,
	src/threads/thread.cpp:
	Issue #44 - Partial update of source code files to fix documentation
	issues. Note currently using with doxygen 1.8.8.

2014-09-15 13:38 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (9bb62f3bc666)

	* Merged in TheHubbit/coin/issue68 (pull request #15)

	Added SbString constructor for wide character strings.

2014-09-11 21:43 +0200  TheHubbit  <TheHubbit@nospam.org>  (86db40debcc9 <issue68>)

	* src/base/string.cpp:
	Fix for null pointer argument handling in cc_string_compare_text().

2014-09-03 06:57 +0200  TheHubbit  <TheHubbit@nospam.org>  (a8a90e70399b <issue68>)

	* src/base/string.cpp:
	Incorporated review comment in cc_string_grow_buffer.

2014-08-31 17:12 +0200  TheHubbit  <TheHubbit@nospam.org>  (bd7ba5d12d3d <issue68>)

	* include/Inventor/C/base/string.h, include/Inventor/SbString.h,
	src/base/SbString.cpp, src/base/string.cpp:
	Added SbString constructor for wide character strings.

2014-08-25 19:06 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (90465eec4642)

	* Merged in TheHubbit/coin/issue65 (pull request #12)

	Added missing definition of enum value NONE.

2014-08-24 21:08 +0200  TheHubbit  <TheHubbit@nospam.org>  (747142672760 <issue65>)

	* src/nodes/SoAlphaTest.cpp:
	Added / corrected documentation.

2014-08-23 14:14 +0200  TheHubbit  <TheHubbit@nospam.org>  (66a273ce38f0 <issue65>)

	* src/nodes/SoAlphaTest.cpp:
	Added missing definition of enum value NONE.

2014-08-25 19:04 +0100  Roy Walmsley  <roy.walmsley@ntlworld.com>  (1c51d899e612)

	* Merged in TheHubbit/coin/issue67 (pull request #14)

	Fix for normal binding in 3DS import

2014-08-24 20:40 +0200  TheHubbit  <TheHubbit@nospam.org>  (a8f351877da7 <issue67>)

	* src/3ds/3dsLoader.cpp:
	Incorporated review comment.

2014-08-24 16:07 +0200  TheHubbit  <TheHubbit@nospam.org>  (917510fb91f5 <issue67>)

	* src/3ds/3dsLoader.h:
